commit ac175aabb945fa8d524333dc421a08cef27f96a8
Author: pancake <pancake@nopcode.org>
Date:   Thu Nov 10 17:15:20 2016 +0100

    Release 1.0.2

commit d4b91790b06f4fe3d5cea36a234236eebda60371
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Thu Nov 10 13:35:38 2016 +0100

    bp and sp both must be zero

commit bb6daf8d0f644f0cef5d55196ddce9f92602e067
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Thu Nov 10 12:36:56 2016 +0100

    Fix regressiong with aeim

commit ec15203dc41ae8f086742924eb31c4a3750da041
Author: pancake <pancake@nopcode.org>
Date:   Thu Nov 10 12:32:34 2016 +0100

    Fix aeim- and show warning when reinitializing aeim

commit 700955a1862f598af009a071fdbf321ef4fbe2ba
Author: pancake <pancake@nopcode.org>
Date:   Thu Nov 10 12:02:27 2016 +0100

    Add HTML pipe for #5934 (x H> a.html)

commit 4e3837ad8fc8994d4e7aca249548d2a9d344374a
Author: pancake <pancake@nopcode.org>
Date:   Thu Nov 10 11:43:07 2016 +0100

    Fix last COVs

commit a4ab69320bd678cf722b7d4d8b036e7c796704fa
Author: pancake <pancake@nopcode.org>
Date:   Thu Nov 10 11:14:00 2016 +0100

    Fix _IOR usage to make every linux taste happy

commit 129212d12796ed9e47640c32d5af51529c08fd4c
Author: pancake <pancake@nopcode.org>
Date:   Sat Oct 29 03:00:27 2016 +0200

    Honor _IOR from kernel if available

commit fa473b86c4e01f7b702740edbdf9fc2a126a3c24
Author: pancake <pancake@nopcode.org>
Date:   Thu Nov 10 10:22:34 2016 +0100

    Fix #6168 - Initialize stack for aaaa

commit ff868af3be4c335247dc8760f1e2e9edc3d7fbc3
Author: Sebastian Reichel <sre@ring0.de>
Date:   Thu Nov 10 10:14:45 2016 +0100

    asm_m68k_cs: Add missing CORELIB check (#6169)
    
    radare_plugin should not be defined for builtin plugins.

commit 19295f880ef282878ea4b22cce0f8b3b08c4c559
Author: pancake <pancake@nopcode.org>
Date:   Thu Nov 10 02:57:34 2016 +0100

    Add missing SN in linux-arm64 debugger reg profile

commit b589c215256bd7f2db3a3a6c17a1c0835baaba9c
Author: pancake <pancake@nopcode.org>
Date:   Thu Nov 10 01:11:39 2016 +0100

    Release 1.0.1

commit ec4e60d2bd3a2ea2448d275d9631c7097ac8e0bb
Author: Stefan Marsiske <stef@users.noreply.github.com>
Date:   Wed Nov 9 16:35:47 2016 +0000

    fix radare_plugin redundantly defined (#6165)
    
    without these guards the linker complains:
    
    p/asm_z80.o:(.data.rel+0x0): multiple definition of `radare_plugin'
    p/asm_m68k_cs.o:(.data.rel+0x0): first defined here
    collect2: error: ld returned 1 exit status

commit e4f57ae9ca2efb192a02171e3be7ec7ab0f70e0d
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Nov 9 17:21:37 2016 +0100

    refactor izz and fix regression

commit 9e8341e85c4e1e8a485cdb55ac9be7a1778ad395
Author: pancake <pancake@nopcode.org>
Date:   Wed Nov 9 03:10:46 2016 +0100

    Release 1.0 - finally

commit 831f8151b6f4bde7a8fed9a6ad69024a2d8a1086
Author: pancake <pancake@nopcode.org>
Date:   Wed Nov 9 02:52:26 2016 +0100

    Fix #6160 - dupplicated -1 in x86-32's b8ffffffff

commit 620234f69d871d1fbc4a07cf88ae60bf72b665e2
Author: pancake <pancake@nopcode.org>
Date:   Wed Nov 9 02:42:59 2016 +0100

    Fix windows build

commit a9607cf526a56e68a9a5d7eef14c466ad30880da
Author: pancake <pancake@nopcode.org>
Date:   Wed Nov 9 02:35:44 2016 +0100

    Fix #6163 - crash in Vst

commit f5166f936de9860b5d738f4f10eecb5944e44854
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Nov 9 02:28:14 2016 +0100

    Fix some meamleaks (#6156)

commit b5c2facba3baf6465185c2edeb1881349c95ae20
Author: pancake <pancake@nopcode.org>
Date:   Wed Nov 9 02:27:12 2016 +0100

    Refactor, cleanup and fix proects, still wip

commit 6ba8497f819cbc9d6a3a20081eb0e52d5bb75dab
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Nov 8 17:15:24 2016 +0100

    aim to fix #5982

commit 06b08f43b970eac42c1af66b7f3549c2e843a9cd
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Nov 8 17:21:37 2016 +0100

    Revert change from uninitialized values

commit df4f5d70c0a25f3447ac4d749711bb358fce1d97
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Nov 8 16:47:13 2016 +0100

    fix regression

commit 8804952eec6ebe3056a64b582461b2989893b9a4
Author: pancake <pancake@nopcode.org>
Date:   Tue Nov 8 15:37:44 2016 +0100

    Fix some uninitialized arguments

commit ca730772f43b8b0836fbb1bdd9811933fbfa43d9
Author: pancake <pancake@nopcode.org>
Date:   Tue Nov 8 15:12:43 2016 +0100

    Fix wrong usage of sizeof(ptr)

commit ea5c83ce4eb9cd57f1c7a03b450ae0691bcb4cba
Author: pancake <pancake@nopcode.org>
Date:   Tue Nov 8 15:09:52 2016 +0100

    Fix a bunch of malloc(0)

commit d78220d0233378794569c501a2f38fd1234e4b24
Author: pancake <pancake@nopcode.org>
Date:   Tue Nov 8 14:52:25 2016 +0100

    Fix sandbox scape in chroot

commit f23336b3935c24c1d7d592c6cd3dabf10c86c678
Author: pancake <pancake@nopcode.org>
Date:   Tue Nov 8 14:46:50 2016 +0100

    Fix null callback issue in io.self

commit 56b4b752777b97a5916b6d64741616e89232eb65
Author: pancake <pancake@nopcode.org>
Date:   Tue Nov 8 14:33:15 2016 +0100

    Fix android build

commit 5c9ec638579ef53b923ee23689a417a1698d4381
Author: pancake <pancake@nopcode.org>
Date:   Tue Nov 8 14:27:37 2016 +0100

    Add parameter to Sf

commit 93c029366468644c2e64384737e80c538431e5a0
Author: pancake <pancake@nopcode.org>
Date:   Tue Nov 8 13:25:08 2016 +0100

    Fix overflow in r_str_ansi_crop

commit 544ab253d88977feb4aa9b03968d7003237660b5
Author: Rakholiya Jenish <P4N74@users.noreply.github.com>
Date:   Tue Nov 8 16:21:10 2016 +0530

    Initial integration with r2k for linux (#6148)
    
    fix opening with oo+
    make everything ut64

commit 72313ca8de3ec16ae36419ca01f3b4ce4540393e
Author: Maijin <maijin21@gmail.com>
Date:   Tue Nov 8 11:24:57 2016 +0100

    Add Sf by default on -nn #5289
    
    Add Sf by default on -nn

commit f3be6a8cda2ffe881d116867551176a08761d23b
Author: pancake <pancake@nopcode.org>
Date:   Mon Nov 7 22:51:23 2016 +0100

    Update android paths for the new app

commit b4abe032ad7880f6bb07a6dad83f1bced813e2bc
Author: skuater <skuater@hotmail.com>
Date:   Mon Nov 7 20:13:14 2016 +0100

    Fix error r_cons_break_end when build for windows

commit 3222447eab428e3c57f16eb4335bf0bf74fdd51b
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Nov 8 01:58:07 2016 +0100

    Fix warnings when compiling in linux

commit 24ea4e210d473b371d0916febbda76aa6e8e7c86
Author: mrmacete <mrmacete@protonmail.ch>
Date:   Mon Nov 7 14:27:29 2016 +0100

    Fix coverity 1365640, 1365641

commit ae2888dbc7c8dde0b4259e0f9c3f39f0dcdb63de
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Mon Nov 7 23:28:37 2016 +0100

    add r_str_nlen_w to get wide or ascii len
    
    we already have r_str_nlen and r_wstr_clen to get either ascii string or wide
    string length but in some cases such as defining string with 'Cs' or 'ds' from
    visual mode we do not know if is a wide or ascii so r_str_nlen_w try to detect
    and is prone to errors.
    
    We should rename those API and maybe introduce new command to handle both cases
    correctly without guessing and letting the user to chose the best

commit 2748f407b6044a1c7bdc909d5dd232d1eb3c6c44
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Mon Nov 7 22:53:06 2016 +0100

    check to avoid mix wide and ascii strings

commit 9f6c3a2c8a4e8eb6a16058ef30d2074bcc304f2b
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Mon Nov 7 22:31:09 2016 +0100

    fix warning in tms320 s/st8/char/g

commit f941d219fe51b4bb1bf6b5a51933ec1176293917
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Mon Nov 7 21:23:05 2016 +0100

    revert change on ins.c

commit c39a8f2d6c58910bd20622f002a24a6b5a35c2c5
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Mon Nov 7 21:06:11 2016 +0100

    Wide string support in Cs

commit 9c3e2a46b5b227f1edcd4169b3770d305ba2451c
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Mon Nov 7 20:54:00 2016 +0100

    support define wide string with `ds` in visual mode

commit aeb5d1be4b4e3e3cd36747ab62ca5058b842fa16
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Mon Nov 7 19:33:49 2016 +0100

    Added help message when izz after -nn
    
    When opening a binary with -nn internal structures are not initialized being
    one of them RBinFile that is need to retrieve the info.
    
    However, when opening an image for example RBinFile exist but we do not have a
    corresponding plugin or binary format to say so we are able to get strings.
    This will be need a great refactor to handle correctly and furthermore
    something I did not like is that baddr is only accesible through RBinObject and
    I think it should be within RBin at least.
    
    This was working before cause rabin2 was being called but without -B as
    parameter. I have resorted for eprintf message so the user can configure as his
    need.

commit 00b0f8fb0e71a1188216997a7711df992e4cf0b3
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Mon Nov 7 18:38:45 2016 +0100

    Update focus theme and fix crash when switching themes

commit e180f50039a8c674f361becc3aef6e54582639dd
Author: pancake <pancake@nopcode.org>
Date:   Mon Nov 7 16:36:50 2016 +0100

    Fix /index.html

commit 7217f1ab9ec37d04bfc84b79b0cb75b5edd82fd2
Author: pancake <pancake@nopcode.org>
Date:   Mon Nov 7 15:34:22 2016 +0100

    Update Dockerfile to use latest Ubuntu, Node and r2pipe

commit 679ab60501633819f33cdb13b332c01290a6341d
Author: Sven Steinbauer <sven@unlogic.co.uk>
Date:   Mon Nov 7 11:13:40 2016 +0000

    Print PZI flags for `drr` [FIX #6088] (#6149)

commit 57a67587fbe759565a40feabb3a2b1a270502475
Author: dx <dx@dxzone.com.ar>
Date:   Mon Nov 7 08:08:55 2016 -0300

    anal: honor scr.color in axf (#6145)

commit 33f7ef8edefe602a298fe66fc7480f518ba62e3c
Author: pancake <pancake@nopcode.org>
Date:   Mon Nov 7 05:21:49 2016 +0100

    Fix #6144 - asm.capitalize do not uppercase locals

commit 1d2859b8becc01e3ee8ef9d9e6656f4fedc14880
Author: pancake <pancake@nopcode.org>
Date:   Mon Nov 7 04:53:09 2016 +0100

    Update /m webui

commit ecd414a6bfb31833cf005284fb5217214022db74
Author: pancake <pancake@nopcode.org>
Date:   Mon Nov 7 04:52:38 2016 +0100

    Fix [p[x] len] regression introduced in the ph fix

commit de2cc698ba2fc7c51d27a2b301ab25bd472aaba0
Author: pancake <pancake@nopcode.org>
Date:   Mon Nov 7 03:36:49 2016 +0100

    Only blockread when needed in ph

commit 637e6db3e1dff627236ede7f0f302ad4a952bf5c
Author: pancake <pancake@nopcode.org>
Date:   Mon Nov 7 03:13:01 2016 +0100

    Initial fix for #5113 - axf not working

commit 83b07099e08a41531cf3313a237db4a016231df3
Author: SkUaTeR <skuater@hotmail.com>
Date:   Mon Nov 7 02:58:34 2016 +0100

    Implemented basic FPU regs for the winx64 debugger

commit 6ff015ce29b0226fe9c545c56dcd9c764ea84e97
Author: pancake <pancake@nopcode.org>
Date:   Mon Nov 7 02:55:27 2016 +0100

    Fix #6098 - Simplify cyclomatic complexity calculation

commit baf53e48692f8729be6f5d1ff35933c7c6b157c8
Author: pancake <pancake@nopcode.org>
Date:   Mon Nov 7 02:33:09 2016 +0100

    Fix #6127 - ph was breaking tmpseek

commit 8ecb580aa7a5bd11d1405f6bc082a408875505c7
Author: pancake <pancake@nopcode.org>
Date:   Mon Nov 7 01:56:08 2016 +0100

    Add dylinker and libsystem for rabin2 -C mach0, still not working

commit 66c96aec04d3889a24ab2a8def1b08a0fc2709f0
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sun Nov 6 23:42:09 2016 +0100

    fix range in aac to avoid long loop

commit 195d1da7e1f4bd6f50c9196fd99f9497aaf6e6d7
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sun Nov 6 23:10:17 2016 +0100

    fix integer overflow pe.c

commit ab289175688066b8fa67163abbea982781d8a7a6
Author: pancake <pancake@nopcode.org>
Date:   Sun Nov 6 22:04:31 2016 +0100

    Honor --without-debugger for linux-coredump

commit 302d3f52e95a715966a28e88221ba46435e7e9f0
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sun Nov 6 22:00:08 2016 +0100

    Take into account section alignment

commit 76dab54b962d49c797199ce4cdd0b04b1d3fa1f6
Author: dx <dx@dxzone.com.ar>
Date:   Sun Nov 6 17:54:50 2016 -0300

    Fix #6124 - ensure "#\t" doesn't get processed as a command (#6132)
    
    This whitelists #! and #? and considers every other line starting with #
    as a command, handled at r_core_cmd_subst() instead of reaching
    cmd_hash(), because if that happens, file redirections and other
    modifiers may get processed too in lines that otherwise look like
    comments.

commit 34c63c8db9ab7f4a450d3b1db0987737c581be5c
Author: dx <dx@dxzone.com.ar>
Date:   Sun Nov 6 17:54:25 2016 -0300

    Fix #2401, #2402, #6133 - p8/pB/px with negative len (#6134)
    
    p8 (#2401) and pB (#2402) were broken, and px wasn't cleaning up
    correctly after changing the block size (#6133).
    
    The fix for the last one involved deferring block size cleanup to the
    r_core_block_size() call at the end of the function, and moving that
    call *after* seeking to the original position instead of before (which
    is what was making it leave data with the wrong offset in core->block)
    
    After simplifying that, the fix to the p8 and pB issue is just calling
    r_core_block_size() to reread the block like px does.

commit d00b9f3f7972342b343e82d67c5e95773c912967
Author: dx <dx@dxzone.com.ar>
Date:   Sun Nov 6 17:54:02 2016 -0300

    cmd_help: Remove # [algo] [len] from main help (it's ph now) (#6138)
    
    It was renamed by 5683e45cb2a7c60b422aa7943a049616ec1607d7, which just
    missed removing it from here.

commit 7269a29be6e53e6086225cb7f1b2e6d5c44be00c
Author: pancake <pancake@nopcode.org>
Date:   Sun Nov 6 21:52:47 2016 +0100

    Fix #6135 - arm64 can hwstep

commit 03028730f067e332dda30f430465f6b083f13347
Author: pancake <pancake@nopcode.org>
Date:   Sun Nov 6 02:12:10 2016 +0100

    Fixed a bug of Cf in pd

commit e7009d9be21c71adffd0a97e957e297de7747b58
Author: pancake <pancake@nopcode.org>
Date:   Sun Nov 6 01:40:51 2016 +0100

    Fix #6075 - Add CCf to list all comments in current function

commit b04e1f2c4ce9dc0ca2144dfe74ece005d1e14f75
Author: pancake <pancake@nopcode.org>
Date:   Sun Nov 6 01:16:02 2016 +0100

    Fix #6060 - Add Cr command to run commands in meta for disasm

commit babfd7e10a042f0f54643118e151344fb26f794e
Author: pancake <pancake@nopcode.org>
Date:   Sun Nov 6 00:49:31 2016 +0100

    Fix #6005 - Sf as an alias for S 0 0   foo mrwx

commit ac644878a8ca205914f6c4309b95f41e120b8fc7
Author: dromero <dromero.perez@hotmail.com>
Date:   Sun Nov 6 00:46:10 2016 +0100

    Send KILL to child on ^C in dc when dbg.consbreak is set

commit 2a5afa18e8ec031a15e57684fcbebff2b8c27c7c
Author: pancake <pancake@nopcode.org>
Date:   Sun Nov 6 00:43:12 2016 +0100

    Fix dm= colors

commit 7d1c1daa14bbc999478772c9baa7d987dec2d3db
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sat Nov 5 15:10:14 2016 +0100

    more work on dmi

commit 1e80f45e6e4841f6e7a9eec20ff04344cf3ad8cf
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sat Nov 5 13:09:08 2016 +0100

    refix dmi issue

commit 7a15e5acb9924651b1005e79b7dff67c756c1ba4
Author: pancake <pancake@nopcode.org>
Date:   Fri Oct 28 23:25:14 2016 +0200

    Fix dmm/dmi baddr issue

commit e7972587412d71a0f8bcc35d5ed18ebcddb6bb8e
Author: Sven Steinbauer <sven@unlogic.co.uk>
Date:   Sat Nov 5 09:38:42 2016 +0000

    Test for valid numbers in arm getnum function (#6118)
    
    * Test for valid numbers in arm getnum function
    
    Using strtod it's possible to test if the string passed in is a valid
    number
    
    Also handles hexvalues
    
    * KISS the fix

commit bdcd1df8c552e23675b6d1fbbe5d04026aa0e396
Author: pancake <pancake@nopcode.org>
Date:   Sat Nov 5 04:53:24 2016 +0100

    Add linux-arm64 sflib support for ragg2-cc

commit ed9cd818f3635c708f9e08c642653d1ed818fb6c
Author: pancake <pancake@nopcode.org>
Date:   Sat Nov 5 04:51:20 2016 +0100

    Initial support ndk-gcc in ragg2. Tested for arm64

commit afd70ba590a3d4302c64c1cc1346a9a76c00f305
Author: pancake <pancake@nopcode.org>
Date:   Sat Nov 5 01:18:32 2016 +0100

    Fix VVvr empty fcn renaming name

commit 32a53fc86f98e07ade5115cd74aa280853136308
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sat Nov 5 01:04:42 2016 +0100

    Fix #6106 - fix symbol parsing coff

commit 04c5c8c77fce8b364845f5a22d321ad386c2c193
Author: pancake <pancake@nopcode.org>
Date:   Sat Nov 5 00:46:00 2016 +0100

    Fix pdrj JSON

commit ba3ed8f7f6fc9aee04cc0d9f0872f1666f8803fb
Author: Moritz Eckert <mo@mightym0.de>
Date:   Fri Nov 4 23:15:54 2016 +0100

    Fix pi -x Issue (#6117)

commit a235726efb36a014c1967681a7a4c68ae27200dd
Author: Francesco Tamagni <mrmacete@protonmail.ch>
Date:   Fri Nov 4 23:11:32 2016 +0100

    Fix ljmp with immediate segment:offset (#6125)

commit f9e9962a6ee4ab9446c4daeb25519a00e3ff691b
Author: pancake <pancake@nopcode.org>
Date:   Fri Nov 4 23:09:44 2016 +0100

    Fix #6126 - r2 -f work with -c

commit 4d3e6876571e0c2ad6c5a8fc7c3bb81879da8085
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Fri Nov 4 23:07:12 2016 +0100

    Fix #6121 #6120 - fix oob read on dex parser

commit 0379354ded5c9386b780d20a0b0ac854015493d7
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Fri Nov 4 22:51:44 2016 +0100

    Fix #6122 - null dereference

commit 2466c892bbb0126d15c58fbad05baca6136a1d4a
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Fri Nov 4 22:27:21 2016 +0100

    Fix #6123 - null dereference

commit 9c57ff07a63356fd7bd2020c0f6c64bc9700b18e
Author: pancake <pancake@nopcode.org>
Date:   Fri Nov 4 23:07:02 2016 +0100

    Implement Po& and r2 -tp to load projects in a thread

commit 36085eb03d1adb1eddf7ce99e443ca949bc9290c
Author: pancake <pancake@nopcode.org>
Date:   Fri Nov 4 12:21:42 2016 +0100

    Add S.-* to remove all sections in current address

commit fb060ff508c476f03f4193a32c0992333e6a9da2
Author: pancake <pancake@nopcode.org>
Date:   Fri Nov 4 11:26:47 2016 +0100

    Do not system() to set randomize_va_space

commit 99fbd9bf9f53ace8cd4ff8bc50fb9d01d49c4de5
Author: pancake <pancake@nopcode.org>
Date:   Fri Nov 4 05:00:15 2016 +0100

    Fix S-[id]

commit f29a91b63a8cedf107d05f456431b4d9efda02b6
Author: szt <SztfG@yandex.ru>
Date:   Fri Nov 4 05:49:34 2016 +0200

    arm chars are unsigned by default
    
    http://blog.cdleary.com/2012/11/arm-chars-are-unsigned-by-default/

commit 61102d26433f76eb973f534bd61e1883d7f0bcdc
Author: pancake <pancake@nopcode.org>
Date:   Fri Nov 4 04:45:35 2016 +0100

    Fix #524 - grep count (~?) returns a value

commit 2e090ed750f20e05a3909fd2c7373d1356e4526d
Author: pancake <pancake@nopcode.org>
Date:   Fri Nov 4 04:22:43 2016 +0100

    Complete the xvilka theme

commit 836c8851997110bdb953868b2bf67e17a1f27851
Author: pancake <pancake@nopcode.org>
Date:   Fri Nov 4 04:11:21 2016 +0100

    Enhance the white theme

commit 02d064b1d40d945a9d70839e1dc68df5d11ab46c
Author: pancake <pancake@nopcode.org>
Date:   Fri Nov 4 03:56:42 2016 +0100

    Add asm.capitalize option

commit 29e774a6a97ebe3fc829b48b3c20d25912d24608
Author: pancake <pancake@nopcode.org>
Date:   Fri Nov 4 03:28:40 2016 +0100

    Implement ?Od to list all mnemonics + description

commit 1fd1568bc65d4852f5d1a8c3836498432febda0b
Author: Francesco Tamagni <mrmacete@protonmail.ch>
Date:   Fri Nov 4 03:17:25 2016 +0100

    Recursive graph emu (wip)
    
    * Add recursive reg arena in graph
    * Force comments on graph pds
    - because pds works by parsing also the comments
    - especially for emu strings and symbols

commit f3895cdfc06ee082f1acb7efd17d7f0a44eeafd7
Author: pancake <pancake@nopcode.org>
Date:   Fri Nov 4 03:15:17 2016 +0100

    Initial implementation of io.pava

commit c15cf1239c32eed5be11d95872564b7e7357ecc2
Author: pancake <pancake@nopcode.org>
Date:   Fri Nov 4 01:30:35 2016 +0100

    Initial support for io.pava

commit 80da50f31f40021f698ef7356101c5fa4ac62a7b
Author: Sven Steinbauer <sven@unlogic.co.uk>
Date:   Thu Nov 3 23:34:56 2016 +0000

    Error on invalid b instruction (#6109)
    
    If label resolves to an offset of 0, assume instruction invalid

commit 7bf7ff3fadcfbbf902fe2658e87f8b97498e61b6
Author: pancake <pancake@nopcode.org>
Date:   Fri Nov 4 00:13:21 2016 +0100

    Fix rabin2 -C menuet:cc fun

commit 4cde12745f4260559422739b56cc1908733d321d
Author: pancake <pancake@nopcode.org>
Date:   Fri Nov 4 00:05:26 2016 +0100

    Add support for MENUET{00,01,02} binaries

commit adc8ee4fa3b2e068c6540699ddc5f34b758d4926
Author: pancake <pancake@nopcode.org>
Date:   Thu Nov 3 23:38:15 2016 +0100

    Add bin.menuet plugin

commit 8fdd7af0b3a5b374c513d4ddba5c4628cab1786d
Author: pancake <pancake@nopcode.org>
Date:   Thu Nov 3 20:15:25 2016 +0100

    Support weak framework libraries in mach0 parsing

commit 776577d553ba6ee2593dbdae57719e47edcae14b
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Thu Nov 3 11:51:10 2016 +0100

    get rid of rabin2 when ik*

commit 3d1141ff7edcecaa5d6f864732848bcfaaad3441
Author: pancake <pancake@nopcode.org>
Date:   Thu Nov 3 16:22:56 2016 +0100

    Aim to fix an ao issue

commit c5b62540e649d3d298b83f5bb8f303f34d5800f3
Author: pancake <pancake@nopcode.org>
Date:   Thu Nov 3 15:37:52 2016 +0100

    Fix #6105 - objc stack exhaustion bug

commit 601bd60e4d854aaf52415fa33ba7e3226d87d43f
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Thu Nov 3 13:47:14 2016 +0100

    refix r_asm_set_big_endian

commit 5fb78df9e275074839c9e362a9025064c501d71b
Author: szt <SztfG@yandex.ru>
Date:   Thu Nov 3 14:43:38 2016 +0200

    Fix #5940 in anal_x86_cs.c

commit 53655fd3c23c33661608eca6069308085e2614d4
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Thu Nov 3 13:42:37 2016 +0100

    fix regression

commit 8db20a28f7a3038b426e32b7b4203e3697b556e2
Author: pancake <pancake@nopcode.org>
Date:   Thu Nov 3 13:15:23 2016 +0100

    Fix integer overflow and oobread for PE

commit d5e4a2125f862a8f6f7297f6dee1a5416410821c
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Thu Nov 3 11:59:50 2016 +0100

    Fix an oob read in p_format

commit 2e23217ccd2db7b9b16514096151b91028478d6f
Author: pancake <pancake@nopcode.org>
Date:   Thu Nov 3 12:49:16 2016 +0100

    Add support for .endian rasm2 directive

commit cb1f0c79ceb36b78a9491c39d31b0984fd01168b
Author: pancake <pancake@nopcode.org>
Date:   Thu Nov 3 12:32:50 2016 +0100

    Support /**/ in a single line

commit 0fb0a170d250a4b059623dd2b950033a28f996a5
Author: pancake <pancake@nopcode.org>
Date:   Thu Nov 3 12:29:08 2016 +0100

    Fix /**/ comments in rasm2

commit 90fcf7662359acaa6dfdf64d6dac46b350f874ce
Author: pancake <pancake@nopcode.org>
Date:   Thu Nov 3 12:01:54 2016 +0100

    Initial support for .align in rasm2

commit 9d1f080b59871414ccca6780609e7f1b00d9be81
Author: pancake <pancake@nopcode.org>
Date:   Thu Nov 3 11:11:50 2016 +0100

    Fix heap overflow in rasm2

commit 39f25ae2dbe4220e9b1f2b431ca87035fcf9bc52
Author: pancake <pancake@nopcode.org>
Date:   Thu Nov 3 10:39:20 2016 +0100

    Support /**/ in rasm2 -f

commit af974b699068f7632991ca01dcf158bf007e1049
Author: Francesco Tamagni <mrmacete@protonmail.ch>
Date:   Thu Nov 3 09:05:33 2016 +0100

    Fix mips emu function resolution in disasm (#6100)

commit 1660cee3259655c9991205bdce37350530b5c9cf
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Nov 2 22:49:36 2016 +0100

    Fix #5824 - ahi s endian issue

commit aba221dcd8bfb103f36b4d221d9f6cd8ffad9de7
Author: Maijin <maijin21@gmail.com>
Date:   Wed Nov 2 17:50:52 2016 +0100

    Add edges in afll Fix #6092#

commit 07eb8c033789c394e114b87887854161370f3198
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Nov 2 16:57:13 2016 +0100

    remove check against dos_file_size in mz parser

commit 1f4a0bcd4b2c4fda301bc5d6efa93729b76eebd5
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Nov 2 13:21:21 2016 +0100

    Fix regression in visual graph mode

commit 2a4ebeeb11dda283a85a9ce6e7968e243944a589
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Nov 2 12:40:24 2016 +0100

    update check in mz

commit 08e7a2bd0f8d3245d8527153f83c80e29bec0f12
Author: pancake <pancake@nopcode.org>
Date:   Wed Nov 2 12:10:50 2016 +0100

    Add asm.midflags=3 (symalign)

commit 693fab645db7ae0b9ec06b1fe99e557a28c49775
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Nov 2 11:56:08 2016 +0100

    minor speed up dwarf

commit acdf944a4ab46f4bb46fd45ff315c2e9e1f31686
Author: pancake <pancake@nopcode.org>
Date:   Wed Nov 2 09:23:02 2016 +0100

    Do not recommend to update after r2pm update

commit 76aa1858135d826ae24fab9284ec8d4e3c58311f
Author: pancake <pancake@nopcode.org>
Date:   Wed Nov 2 04:22:48 2016 +0100

    Update capstone from git

commit 893f0b056ed98c528355d51f8427256faf3aca73
Author: pancake <pancake@nopcode.org>
Date:   Wed Nov 2 04:07:58 2016 +0100

    Fix segoff regression in pie

commit 37454c1dc1b2be22aea5b525bace4cdcbec2203d
Author: pancake <pancake@nopcode.org>
Date:   Wed Nov 2 03:49:55 2016 +0100

    Fix #6052 - ?O supports name -> id

commit d7c13a36b1017af6f11db4685163de90288dee67
Author: pancake <pancake@nopcode.org>
Date:   Wed Nov 2 03:27:37 2016 +0100

    Fix #3763 - Add oi command to raise/close fd by index

commit f411df98816b60b860dbd98692a7924cfe3c5ae4
Author: pancake <pancake@nopcode.org>
Date:   Wed Nov 2 01:06:40 2016 +0100

    Fix #2653 - Honor hex.cols in pc*

commit db60f158ddf36b11f3ad90cd7d32d82955408bfb
Author: pancake <pancake@nopcode.org>
Date:   Wed Nov 2 00:50:22 2016 +0100

    Fix #6061 - an->tn and fix some regressions in tn/tna

commit f225ec0bc3ec22a5c9dbcb87ef27af61042d115f
Author: vraelvrangr <noahshihabi@gmail.com>
Date:   Sun Oct 30 23:58:30 2016 -0400

    Fixing help issues in rax2

commit a0b4aab22a1a2a8115c3971bd9b950984a9c7cb0
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Nov 1 19:47:34 2016 +0100

    Fix #5935 - improvements on ah command
    
    make anal hint print more grep friendly
    fix ah- command
    honor offset in ah? and ah*
    implement ahb-, ahS-, ...etc

commit f40328b89a28b8087c86324430faba483cfb1806
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Nov 1 19:42:43 2016 +0100

    some cleanup and update r_core_anal_get_bbaddr

commit d89ccfbe8399a3805a90b5b27021e0a5878052a5
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Nov 1 18:53:09 2016 +0100

    s/in_function/r_anal_fcn_in/ in anal.c

commit 6b42ac6e1c2e566d47c69a9116b0a4bd417c37f7
Author: pancake <pancake@nopcode.org>
Date:   Tue Nov 1 23:44:21 2016 +0100

    Show RAnalOp.id in ao

commit 42caf90d323f988b0a9782c032689f48930652a8
Author: pancake <pancake@nopcode.org>
Date:   Tue Nov 1 23:42:12 2016 +0100

    Fix #6051 - add RAnalOp.id

commit 52dd1f85f094cf67950cf0154f58df0e7ffca120
Author: pancake <pancake@nopcode.org>
Date:   Tue Nov 1 23:30:36 2016 +0100

    Add asm.decoff

commit 9b573dc9966db132cdc2fb1b0be438094059d7f2
Author: Francesco Tamagni <mrmacete@protonmail.ch>
Date:   Tue Nov 1 21:23:33 2016 +0100

    Fix issues in emuwrite call args in disasm (#6087)
    
    - actually use arg_size to advance the stack pointer
    - nice error display: unk_size, unk_format or unk_size_format

commit 3a48b1273c84fbe2adee6a85b6224bca37cd3e56
Author: pancake <pancake@nopcode.org>
Date:   Tue Nov 1 18:41:19 2016 +0100

    Fix mz again ¬¬U

commit 3ad519acac32a1224ec61003c4222ce73ccb0625
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Nov 1 18:36:09 2016 +0100

    update bb tinyrange through afb+

commit af94d09c29e22790b53870e01fe38fd067ec855f
Author: Maijin <maijin21@gmail.com>
Date:   Tue Nov 1 15:14:48 2016 +0100

    Fix project regression

commit 9aca4d259300cda26c23f9d436ea6c88cda8e2bf
Author: Maijin <maijin21@gmail.com>
Date:   Tue Nov 1 14:56:57 2016 +0100

    Fixing some type error and remove old databases

commit 19a0f9cf7f0c4627b8ebec7c4c683c2e3ee8cf87
Author: Francesco Tamagni <mrmacete@protonmail.ch>
Date:   Tue Nov 1 13:32:22 2016 +0100

    Use anal types sdb in emuwrite disasm hints (#6086)
    
    - resolve function calls and arguments type
    - add size_t for 32 / 64 bits
    - change 'char *' to 'z' instead of '*z' to work with both
    register and stack calling conventions

commit cbcb5e56d26020d7b222c6d0e31ae9b2c2f0977c
Author: pancake <pancake@nopcode.org>
Date:   Tue Nov 1 01:14:23 2016 +0100

    Fix for #5931 - align reloc comments

commit 8c1c7290383d8bd741a8efe0dff38c24c5eed7bc
Author: pancake <pancake@nopcode.org>
Date:   Tue Nov 1 01:09:33 2016 +0100

    Fix error messages in project_save

commit 9a9dbbf4462ed86d9425a922c9fcd9b94759d0da
Author: pancake <pancake@nopcode.org>
Date:   Tue Nov 1 01:02:49 2016 +0100

    Fix #6017 - Pn projects notes ported to the new projects

commit ab2551691c2d0d090d57764189dda2fdbf4d86c9
Author: Sven Steinbauer <sven@unlogic.co.uk>
Date:   Mon Oct 31 23:56:27 2016 +0000

    Add arm shift ops FIX #5482 (#6081)

commit e7d10a716f8437f26410856aa932d7066f6ac0ac
Author: pancake <pancake@nopcode.org>
Date:   Tue Nov 1 00:42:30 2016 +0100

    Fix #6084 - crash in V! -> Close

commit 18511a97d91ff06445e5628a532f121ec312e9a8
Author: pancake <pancake@nopcode.org>
Date:   Mon Oct 31 12:06:20 2016 +0100

    Fix syscall resolution for x86-16 and x86-32

commit f5158b1713d3d1143bb855cba965cc2f0f517bd4
Author: pancake <pancake@nopcode.org>
Date:   Mon Oct 31 00:57:17 2016 +0100

    Fix another mz issue

commit d1937cd367ccc6c1da36dc12e34e1e69247f461b
Author: pancake <pancake@nopcode.org>
Date:   Mon Oct 31 00:43:24 2016 +0100

    Fix pf regressions

commit 4421b2ef72e32c5fda18976eb2828b9637ee388f
Author: pancake <pancake@nopcode.org>
Date:   Mon Oct 31 00:00:01 2016 +0100

    Fix m68k plugin name

commit 385823203053072eb38396fafb4ac55e5fa02fd6
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 30 23:57:25 2016 +0100

    Fix some pf regressions

commit 7bd47e5a049cdbd6dd2dc27255f1b7dd412a0086
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 30 23:30:50 2016 +0100

    Fix mz check

commit 7ddcd864007770356e6ebb551beabdd8af885dcc
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 30 23:24:20 2016 +0100

    Fix cmd_pf tests

commit e5b30f91d8d164185888a98d629af9d5ca9a5850
Author: Maijin <maijin21@gmail.com>
Date:   Sun Oct 30 12:39:49 2016 +0100

    Add Oj Fix #6074
    
    Add Oj Fix #6074

commit e3b32c58a9900651d396c21b77f96c41ac7e35e9
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 30 12:16:46 2016 +0100

    Add indegree and outdegree in afi and afij

commit 41b6ccccccf9f30ed664aeb741f819ddf18c5b8f
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 30 11:10:20 2016 +0100

    Fix #4027 - Add @@c: as an alias for @@=``

commit 212828b50ebb8cb09573d4f16ce532ce516ebd2d
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 30 10:54:54 2016 +0100

    Enforce MZ check

commit 82bb7f6df74c31fd9fed7eecbbe1004c003b47b2
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 30 10:52:32 2016 +0100

    Fix #6045 - Check entrypoint to accept raw MZ bins

commit c48ca4bd82e1767dd8be44ebf82f27648c5a3ae2
Author: Marc <h4ng3r@users.noreply.github.com>
Date:   Sun Oct 30 10:23:46 2016 +0100

    Fix numeric key in xref JSON, command axj (#6072)

commit 0baf5d6e9a51e99da8d1705e91b6a2a34e2b7a41
Author: Lowly Worm <cutlassc91@gmail.com>
Date:   Sat Oct 29 15:52:12 2016 -0700

    use r_debug_step_over in dsf

commit 7b70402037adda0abb31ce174f77dd280680dc4d
Author: Lowly Worm <cutlassc91@gmail.com>
Date:   Sat Oct 29 15:46:27 2016 -0700

    fix the `dsf` to use step over, so that it functions properly
    
    not a full fix for making a good `finish` equivalent, but better than
    nothing.

commit 697efb1b5149039a26e501c9534dd8fb4550696d
Author: Maijin <maijin21@gmail.com>
Date:   Sat Oct 29 15:13:16 2016 +0200

    Add __uClibc_main in non-return list
    
    Add __uClibc_main in non-return list

commit fb7597e8d43a772b9baf0d4ea74e8d1da0ed9e90
Author: Maijin <maijin21@gmail.com>
Date:   Sat Oct 29 13:55:10 2016 +0200

    Removing an old documentation
    
    Removing an old documentation

commit b5be168cd2469ab9a5f171905d75d44c10ca7116
Author: pancake <pancake@nopcode.org>
Date:   Sat Oct 29 13:46:49 2016 +0200

    Cleanup /media and move it into /doc

commit e31164a5fa0a41af043c776e0590ad33c82ab222
Author: pancake <pancake@nopcode.org>
Date:   Sat Oct 29 13:06:11 2016 +0200

    Fix latest covs

commit 98a35bf83bd98cec024b76bbdeb35869ffc3f889
Author: Francesco Tamagni <mrmacete@protonmail.ch>
Date:   Sat Oct 29 12:33:58 2016 +0200

    Disable color during pds string parsing (#6062)
    
    * Disable color during pds string parsing
    - color causes extra ';' chars to break string matching in pds
    * Use pdr in pdsf
    - and avoid displaying branches to non-symbols
    * Improve pds
    - avoid treating branches to non-symbols as calls
    - only in specific case of arm's b instruction
    - remove redundant string compares not needed if color is disabled

commit 0adfbae0a7ad1b8bc1e40cff592ef464c2a38985
Author: Maijin <maijin21@gmail.com>
Date:   Sat Oct 29 12:31:02 2016 +0200

    Beautify some of the function definition
    
    Beautify some of the function definition

commit 4385bad569c6cc43b2498623a143abdda2714383
Author: dx <dx@dxzone.com.ar>
Date:   Sat Oct 29 07:27:54 2016 -0300

    Fix #6056 - crash on "mp gpt" and other non-msdos grub part types (#6065)
    
    The only partition type with grub_parhook was "msdos", and grub_parhook is
    needed to call avoid calling the partition map as if it were a function.
    
    Also simplified a few void * casts.

commit 878d25a8d5f731d742120ebc21621040d26f40b2
Author: Maijin <maijin21@gmail.com>
Date:   Sat Oct 29 12:15:46 2016 +0200

    Reset asm.filter after pdc bug #6066

commit 54afd47d9e8bda6b96de0bd9fcf9cf07c4ebbad3
Author: Sven Steinbauer <sven@unlogic.co.uk>
Date:   Fri Oct 28 11:54:48 2016 +0100

    Remove m68k asm and anal from core (#6063)
    
    * Remove m68k disassembler - Moving to extras
    * Remove m68k anal plugin - Gets moved to r2e to be installed with m68k

commit 31fdc079479ca0899387cf583670a57f29f6a4a2
Author: Maijin <maijin21@gmail.com>
Date:   Fri Oct 28 12:29:54 2016 +0200

    Fix parsing error with const

commit 3f534abdd9a47a56d81482010029d7d8a76b125e
Author: Maijin <maijin21@gmail.com>
Date:   Fri Oct 28 12:23:41 2016 +0200

    Add more functions for linux/osx

commit a597684970e70dfadebff379ee3c9ede5510b327
Author: pancake <pancake@nopcode.org>
Date:   Fri Oct 28 12:19:44 2016 +0200

    Chopro the flag command args

commit eb272dc6f353cc4637443581da504860b9e5a8ce
Author: pancake <pancake@nopcode.org>
Date:   Fri Oct 28 02:27:50 2016 +0200

    Honor SN in syscall resolution on disasm

commit 8cd6077600639916d72cd3866a2635cc7286cfc0
Author: pancake <pancake@nopcode.org>
Date:   Fri Oct 28 01:04:25 2016 +0200

    Fix filesize for mach0 in rabin2 -C

commit 80f92cba4e2a819b3ceab0a453f9f921bdd9a7bd
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 27 23:55:54 2016 +0200

    Fix wt usage

commit 196e5a763c9810e0b123e68560f7ece95aa8d4c0
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 27 23:51:22 2016 +0200

    Add ik* command to load bin headers info, and use Cf for that

commit f95744b9a1a6d7f5b2bdc79355ec94863a11e9b0
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 27 22:52:46 2016 +0200

    Implement LC_MAIN and PAGEZERO in rabin2 -C mach0

commit 961b0cfdaa78e1153f41f01398e17053cd2f2910
Author: Francesco Tamagni <mrmacete@protonmail.ch>
Date:   Thu Oct 27 22:08:36 2016 +0200

    Fix another memleak in pdr (#6059)
    
    - avoid overwriting a parent_reg_arena coming
    from another parent

commit b478d3d757a7428c3bc8482eaf951412b6c51a4a
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Thu Oct 27 19:42:00 2016 +0200

    Fix #6047 - underflow in prompt

commit 9d13a48563d56ee3350ad44c2f8e58d5dc89dbaa
Author: Francesco Tamagni <mrmacete@protonmail.ch>
Date:   Thu Oct 27 17:46:12 2016 +0200

    Fix memleak in pdr on backward jumps (#6057)
    
    - arena is propagated only in foward jumps / fails
    - because pdr evaulates blocks in order of address

commit 3f5cdfe77c1daec6b81e45b959a29df5d8682dee
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 27 17:20:54 2016 +0200

    Add autocompletion for et

commit 048eaff1a96c4f2a4fbe32ca55ddc596e329c61a
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 27 17:19:59 2016 +0200

    Autocomplete ec

commit e8ddc6889320a6097fc00afe88ff235580b9c778
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 27 17:11:24 2016 +0200

    Add autocompletion for wxf and wtf

commit 961e9479dcff391c052aac2179b3aa2b4e7f0e7f
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 27 15:50:02 2016 +0200

    Autocomplete eco color themes

commit 1ab7c43efec8f21d034f19ddb89350c378f00d27
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 27 15:31:46 2016 +0200

    Fix #6054 - divbyzero in pcp

commit 7d5f4cbde730b06b9ab81bf6011166eaa7549cb8
Author: Sven Steinbauer <sven@unlogic.co.uk>
Date:   Thu Oct 27 14:14:10 2016 +0100

    Assemble 64bit byte mov correctly [FIX 6042] (#6053)
    
    $ rasm2 -a x86 -b 64 'mov byte [rbp - 0x100], 2'
    c68500ffffff02
    
    Oddly this also compiles correctly before this patch with keystone
    installed. Not sure as to why yet.

commit 57784e02b1b930018420dc360845db623b1f0afc
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 27 13:35:10 2016 +0200

    Update linux-arm-64 from android definitions (thanks @maijin)

commit 94d47c79bbeeb48ebbcbe93d059f10297f091331
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 27 13:33:27 2016 +0200

    Completely remove all references to list.h

commit f8df2d0655dc92aa15303a80975a4b4ed2a7038b
Author: szt <SztfG@yandex.ru>
Date:   Thu Oct 27 13:08:14 2016 +0300

    pkgconfig fix (#6050)

commit ffc74163b45975b20b3d3c09e9235202740c4148
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 27 04:45:39 2016 +0200

    Fix div by zero with scr.pagesize and matrix theme

commit 05bdb884a19522231e69dd2a02770e5566711731
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 27 04:22:09 2016 +0200

    Ansify+update rasta and white themes

commit ae41db5a3d3d9c5ae36e35ce556f78cd22000b7c
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 27 03:55:27 2016 +0200

    Fix dark theme and add new theme CGA

commit d2b2314b1b71e036f682f5c4ff2f4d45a31b7764
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 27 03:09:51 2016 +0200

    Make the lima and pink themes look as lima and pink

commit 8a5d768d4afa82028f6aa3d41a51c372e3ecea25
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 27 01:56:38 2016 +0200

    Add asm.minicols config var for pCd

commit e925e04ea2cd94c74673e4697eed003442f3930a
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 27 01:42:00 2016 +0200

    Fix crash in disassembler

commit d41b577106ae9edf2ea0f0966281e88a2445123c
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 27 01:02:26 2016 +0200

    Fix #5924 - r_flags -> r_flag

commit 3ab7122df2d276727f9adc7b7a621040e6b07e52
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 27 00:54:48 2016 +0200

    Implement ?O and r_asm_mnemonics() new API

commit aed798e0039262e6681356fb0e77f6f9bdefef5b
Author: pancake <pancake@nopcode.org>
Date:   Wed Oct 26 23:46:41 2016 +0200

    Add some breaks in egg and bin

commit 589ac97bda68b619460024670b540687e894aac0
Author: pancake <pancake@nopcode.org>
Date:   Wed Oct 26 23:40:17 2016 +0200

    Fix some overflow-related covs

commit 8d37adc5467d22b749b0cfa470f0418ac8e7f66a
Author: pancake <pancake@nopcode.org>
Date:   Wed Oct 26 23:22:04 2016 +0200

    Fix all pending null-deref covs

commit ad1a73a2e96caefe4e480af6ec16d46078d85848
Author: pancake <pancake@nopcode.org>
Date:   Wed Oct 26 23:16:31 2016 +0200

    Reindent a bit more

commit 22e024d5de3c3d6ee158d8c816f11cd52fb6cc35
Author: pancake <pancake@nopcode.org>
Date:   Wed Oct 26 23:04:55 2016 +0200

    Implement scr.linesleep and scr.pagesize for fancier demo output

commit 2d0b00222a82f6f99e91f68d347052fd4cc9a0ff
Author: pancake <pancake@nopcode.org>
Date:   Wed Oct 26 22:31:33 2016 +0200

    Fix syscall resolution for linux-arm-64

commit f2dd1a50987255fa4eadbe75a3de7ad3525cb978
Author: pancake <pancake@nopcode.org>
Date:   Wed Oct 26 22:07:19 2016 +0200

    Add initial linux-arm-64 syscall definitions

commit b3e55980a3b500c551b5b8f6172febc780e7f123
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Oct 26 19:04:26 2016 +0200

    Fix #6035 - oob read java_switch_op

commit 5800b23e8feb06df42c7898299b4872572b7b979
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Oct 26 18:49:25 2016 +0200

    Fix #6034 - "fix" uaf in fcn_callconv
    
    share ownership should be taken with care

commit fe4a10ce963b51dbe08d78d9735104efc8a6d1e3
Author: pancake <pancake@nopcode.org>
Date:   Wed Oct 26 16:52:56 2016 +0200

    For some reason ret=0 on io.write via rap means -1

commit afad3c6380c058fd3767a7b48d40a69e9dce8336
Author: pancake <pancake@nopcode.org>
Date:   Wed Oct 26 14:37:56 2016 +0200

    Fix crash on config_init

commit 5dab613f08db6287b478fda97917a594c3262973
Author: pancake <pancake@nopcode.org>
Date:   Wed Oct 26 16:22:47 2016 +0200

    Honor -w via rap://

commit f49448faf03c2faff8c79a99b28872e8a931efb6
Author: Maijin <maijin21@gmail.com>
Date:   Wed Oct 26 14:53:31 2016 +0200

    Add remaining .h

commit 8b8151d12e1f43bc0a14f40106be4e14e3082350
Author: pancake <pancake@nopcode.org>
Date:   Wed Oct 26 11:01:42 2016 +0200

    Fix latest covs

commit f19b34edf8ae6cd4d280cc7bebfb9f6d23ea0ef6
Author: Maijin <maijin21@gmail.com>
Date:   Wed Oct 26 00:23:42 2016 +0200

    Add kernel,processes,.. in types-windows

commit 4c915d909a72e3af0614ce26456e8867f0900c61
Author: Maijin <maijin21@gmail.com>
Date:   Tue Oct 25 20:45:19 2016 +0200

    aftm seek back to original offset fix #6007
    
    aftm seek back to original offset fix #6007

commit 046cc2532c4880095e818a60e876a7020d79ace7
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Oct 25 14:37:25 2016 +0200

    specify row to start sorting with ~$[n]

commit aa5124905d8efe4e26e4752049eb46b54e954cf5
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Oct 25 13:33:29 2016 +0200

    fix oob str.c

commit f40bc158f45dc59c7bd0d8f5413f13c9c274d304
Author: Rene Laemmert <rlaemmert@gmail.com>
Date:   Tue Oct 25 14:31:48 2016 +0200

    Function resolving when searching for calls Fix #1886
    
    Function resolving when searching for calls Fix #1886

commit b5fa7848ffee3b463c820ccfc5cd92a9b03008d3
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 25 13:02:35 2016 +0200

    Fix null derefs related to izzzq

commit 0e5f39e4ae18df3becbbd73733ec00c981992a0d
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 25 12:39:36 2016 +0200

    Implement inverse sort order and fix regression

commit d45999d10e6704468d382d2748bee4de201462d1
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 25 12:03:55 2016 +0200

    Implement column sorting in RCons.grep

commit a2befc8adc64cecc103e2cfc76b8edd32a7c10b0
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Oct 25 01:12:06 2016 +0200

    Enhance performance in r_anal_fcn_get_in() using tinyrange and sorted adds
    
    * added sorted parameter in r_list
    * use r_list_sort in r_range_sort
    * some clean up
    * added is_data into RBinSection
    * use tinyrange by default to improve speed

commit f41f74c527e8474cf89ab1e24c7f68da550c67d3
Author: Francesco Tamagni <mrmacete@protonmail.ch>
Date:   Mon Oct 24 14:31:03 2016 +0200

    Fix #4497 - Recursive function emulation

commit 52cc4dfe957d7cee5a045ec117200f03bc33b239
Author: Sven Steinbauer <sven@unlogic.co.uk>
Date:   Mon Oct 24 13:21:36 2016 +0100

    Move Z80 non-commercial to r2e (#6015)
    
    * Move z80 non-commercial to r2e
    
    Rename z80-cr to z80 as a consequence as it will be the default z80 disassembler
    
    * Add GPL z80 assembler back in
    
    * Fix Clang build

commit 54539a9eb471a35f4e519c2b4738e4aaca10125b
Author: Moritz Eckert <mo@mightym0.de>
Date:   Mon Oct 24 12:11:42 2016 +0200

    Fix pd -N issue, with correct offset for bw-disassembling (#6016)
    
    * Correct offset for backwards disassembling with pd -N
    Fix #5879
    
    * Fix typo in comment

commit 0cd32b40908a9ed85f34769ac67f37e2ea673681
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Mon Oct 24 11:58:35 2016 +0200

    fix build

commit 995faf728957cb49822acca89c4d4c40cd9ece8e
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Mon Oct 24 11:54:03 2016 +0200

    aim to fix regression

commit aa5fd3253c41088863af3a2ff658c471a359331a
Author: Sven Steinbauer <sven@unlogic.co.uk>
Date:   Mon Oct 24 10:28:59 2016 +0100

    Update and fix LGPL Z80 disassembler (#6009)
    
    * Fix dd IX instructions
    
    * Fix segfault for dd and de ops
    
    Although only seemed to happen on OSX, not on linux.
    
    * Fix ed op
    
    * Remove invalid instruction "in f, [c]" which is not referenced in
    http://clrhome.org/table/
    
    * fix bad offsets to ops following removed one
    
    * Fix fd ops with bad type flags
    
    * Fix ed and fdcb ops
    
    Remove debug prints

commit 39eeb5eeefddde3502b0ee0464a7825cddb6457a
Author: Francesco Tamagni <mrmacete@protonmail.ch>
Date:   Mon Oct 24 11:17:59 2016 +0200

    Set zf on arm (16 / 32 bits) compare (#6024)

commit 586e8e685f25084ccf601b824a9eaccc500a6d24
Author: pancake <pancake@nopcode.org>
Date:   Mon Oct 24 10:48:25 2016 +0200

    Fix disasm lines glitch

commit c34865cdbe616308c61886336692d1d7473c0414
Author: Riccardo Schirone <ret2libc@users.noreply.github.com>
Date:   Sun Oct 23 23:57:36 2016 +0200

    Add some libc functions to types info (#6013)

commit 20c97cb778d16afbe38377184b684f1cbe64831f
Author: oddcoder <ahmedsoliman@oddcoder.com>
Date:   Mon Oct 24 00:41:53 2016 +0300

    making .cc part of function definition optional (#6020)

commit 17666398fa0c5151293530a1c911f774e6b64dae
Author: b1ack0wl <b1ack0wl@users.noreply.github.com>
Date:   Sun Oct 23 12:45:07 2016 -0500

    Added iertutil.sdb.txt and urlmon.sdb.txt Fix #6010

commit 09ea59c6ba7f56abf9723e30cf4e5f8fe3de63fb
Author: Maijin <maijin21@gmail.com>
Date:   Sun Oct 23 19:44:27 2016 +0200

    Type matching in aaaa

commit 8b778cf41535213af50b7dd205e5d4af79b02042
Author: Maijin <maijin21@gmail.com>
Date:   Sun Oct 23 17:43:23 2016 +0200

    Add wldap32.sdb

commit 7fb6a3c1ac6d6ef47975a9e8af9787f584456381
Author: pancake <pancake@nopcode.org>
Date:   Fri Oct 21 01:28:05 2016 +0200

    Update www-m from git

commit 02950398a9e22eb7018660a546c3810d65c9fc73
Author: pancake <pancake@nopcode.org>
Date:   Fri Oct 21 01:24:40 2016 +0200

    Add utf8 rune support for RCons.canvas

commit bc9712daf4891546e71eb11ca6e4a44e22442942
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 20 20:58:32 2016 +0200

    Fix regressions

commit 69ecf6f52823cbda3050970ba802564bd585511b
Author: Giulio De Pasquale <Krishath@users.noreply.github.com>
Date:   Thu Oct 20 18:58:57 2016 +0200

    Added early returns (#6002)

commit 35d9eef757d2b6cbfb72e03adcb967b3290b1298
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 20 15:39:36 2016 +0200

    Fix 20 more covs (divBy0, dbl3, negidx, bufovr, ..)

commit be9df39f6f5bb8b195470b1c76579c08eda511e2
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 20 15:02:25 2016 +0200

    Fixed 40 null derefs reported by coverity

commit 7a1b6871d93a2c604e4168881f789f60c057539e
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 20 13:47:56 2016 +0200

    Fix a bunch of outstanding coverities

commit 91f3a729bdde44beb32645c3c2d75fe06f6bf28f
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 20 13:05:58 2016 +0200

    Fix possible doublefree in r2 (thx @joxeankoret)

commit 8cd132a3d0a91193768903bedb0a0300451d9051
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 20 05:03:27 2016 +0200

    Update /m from git

commit c5f049a8da5b17ddedfd0d8ea88ce51f7e891f10
Author: Markus Lottmann <lottmann86@gmx.de>
Date:   Thu Oct 20 01:54:43 2016 +0200

    Rework of X86_INS_XADD. It is now basically an X86_INS_XCHG + add. (#5996)

commit 98dcb1cde54a9dc71136a421a6ac6ce5c2d233f5
Author: Jack Baker <Qwokka@users.noreply.github.com>
Date:   Wed Oct 19 16:53:42 2016 -0700

    Fix integer size in opcode type attribute (#6000)

commit ce6d84a02db174d75e27e606e11205aca4ca16c3
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 20 01:52:47 2016 +0200

    Fix #5997 - Do not permit xrefs on invalid addresses

commit c2379502002aa5cc5b181b1b8754ccaf45568cc5
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Oct 19 23:00:44 2016 +0200

    Fix #5968 - search string when malloc://X + wx

commit 19f054840fed29350e065505aa883922b88dddaa
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Oct 18 01:02:35 2016 +0200

    avoid fork and r_core_new in iz commands
    
    Changed the code to use C API instead of forking rabin2 or create a new core
    instance. Besides, izz handles string from raw binary (without RBin)

commit c5ce0d21409d79615fb70d1a3ab0f072115024b8
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Mon Oct 17 22:21:00 2016 +0200

    clean up rabin2

commit 4a2fba616884f2fcefb7e1cdfa995135add9fdbb
Author: Sven Steinbauer <sven@unlogic.co.uk>
Date:   Wed Oct 19 21:10:17 2016 +0100

    Add segment reg support and numerous fixes FIX #5967 (#5995)
    
    * Add support for seg registers
    
    Support added for mov and pop instructions
    
    [fs] is treated as [fs:0] which is not equivalent
    
    Accepts sreg:[x] and [sreg:x] syntax
    
    * Error if mov op reg sizes differ
    
    also add support for 16bit register mov ops
    
    * Improve segment register handling for mov op
    
    * Fix opcode for 64bit instr with 32bits regs
    
    * Refactor parsing of segment reg offset

commit 34a49f094c7e4ba13822f9e1c886c252fa000ac8
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Oct 19 16:18:04 2016 +0200

    Fix #3546 - Enhanced support for RCons line grep
    
    Now ~: operator support ranges and negative values
    
    ~:-1 show last line
    ~:-2 show line before the last one
    ~:..3 same as ~:0..3
    ~:2..8 show lines from 2 to 8
    ~:2.. show lines from 2 to the end

commit 995495ade4490b0d90a902bd153e1ac80cc2bc8a
Author: pancake <pancake@nopcode.org>
Date:   Wed Oct 19 15:16:14 2016 +0200

    Fix 1 byte write issue in io.http and io.tcp

commit e3e31c51c741007cda38b7d95787a61cb536a293
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Oct 19 13:38:29 2016 +0200

    clean I.buffer when r_cons_push to avoid trash

commit a5db0d94863fbe0abb833d3f481d0dd119d023ae
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Oct 19 13:10:10 2016 +0200

    clean up cons grep

commit fbd84145f5a286e1a731bc937fc578195bd26ffd
Author: pancake <pancake@nopcode.org>
Date:   Wed Oct 19 13:19:30 2016 +0200

    Fix latest COVs and make tcp:// rw

commit 42feca7a3b536f136f8447c8ba3e6e5e55907f47
Author: pancake <pancake@nopcode.org>
Date:   Wed Oct 19 11:47:47 2016 +0200

    Fix #5974 - reflines not shown for last disasm line

commit 5fcee5d712b52d01300b62ab700ac3027714e205
Author: pancake <pancake@nopcode.org>
Date:   Wed Oct 19 03:36:59 2016 +0200

    Implement wts to send data to socket

commit f80685c2591ef0cd09465760a3a1289439315a93
Author: pancake <pancake@nopcode.org>
Date:   Wed Oct 19 03:10:48 2016 +0200

    Fix #5992 - Honor ^C in tcp://

commit 258e12fdd84124bb75f11c4e355f9b55d9b5c764
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Oct 19 02:09:14 2016 +0200

    Fix oob write when r_cons_pop

commit 27d3d3dbf0be4c3d8717972bd84bbfa335d528d9
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Oct 19 01:09:14 2016 +0200

    Fix NULL derefence

commit 267d80474163ab323b022f917654e21758ee0250
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Oct 19 00:36:14 2016 +0200

    Fix regression

commit 44d9048169dc57c52c01185ca2ab01ea4c0990b5
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Oct 18 23:15:51 2016 +0200

    Fix #5986 - use RStack in r_cons_push/pop
    
    clean up cons and stack code
    extend RStack to have free function
    use RStack in r_cons_push/pop

commit b7ab1dbc07d31b25448d7ac0666aaef90856c06c
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Oct 18 21:29:15 2016 +0200

    remove unused variables to avoid warnings

commit 7cd67522e8a5768f226877d59f4122273a13f171
Author: Gerardo García Peña <killabytenow@gmail.com>
Date:   Tue Oct 18 17:00:08 2016 +0200

    Code clean up. (#5988)

commit 813361df4c21486e229aff4eed8ca7a74e8b0bac
Author: Gerardo García Peña <killabytenow@gmail.com>
Date:   Tue Oct 18 16:59:38 2016 +0200

    Support for modifying the incoming value in operation RAnalEsilCallbacks::hook_reg_write(). (#5977)

commit 18f0a3a1f364876fb69e8e11e955873049e47eab
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 18 14:26:20 2016 +0200

    Initial import of io.tcp + rsocket cleanup

commit 0e1859609937cb836cbbee281f971ff96835d186
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 18 13:09:25 2016 +0200

    Show instructions in /A and add /A[jq]

commit 4102e149a457a62a1eb6beeadb423c95852ab6b9
Author: stefan <dev+git@2904.cc>
Date:   Thu Oct 13 22:53:22 2016 +0200

    Added buggy fortunes

commit d2f3f6f5d70dea0e584224add5da4ca2dc94135c
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 18 02:12:43 2016 +0200

    Wip fix for #5937 - grep not working

commit c39266beb7c0f242adf216c77af4a6ec16f643d2
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 18 02:09:45 2016 +0200

    Add atoi in default anal types

commit 8a7262ca324efdffa9c8ce97ac6cdef585648eea
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 18 02:09:05 2016 +0200

    Add IS_UPPER and IS_LOWER macros

commit 27c60ea634463fdcb3a202c76f1d006f3d206a57
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 18 02:08:53 2016 +0200

    Fix crash in macros

commit 1f2f3f23943de24b2f0287f65de4d6733cb53443
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 18 01:49:32 2016 +0200

    Honor varsub and relsub with asm.ucase for parse.arm

commit daafeda5e105c029c5e3adcc206b281e3db1a5aa
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 18 01:08:52 2016 +0200

    Fix call xrefs in arm+thumb

commit 22dddd970442362ac7227bd6e1d0584eaaa00d03
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 18 00:55:10 2016 +0200

    Fix #5975 - Honor asm.varsub and asm.relsub with asm.ucase

commit cbf1b2ddb0c5715d9d126de0351bc38beddc5c79
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 18 00:40:55 2016 +0200

    Implement project upgrading and remove old code

commit 5a2cb343c1c0af3354badae2a24837d5af0c42ce
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 18 00:15:51 2016 +0200

    Implement prj.zip and fix prj.git

commit c80f0a1ac8ba0b48ea9d45f69185ced69f3f1bcf
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 18 00:07:31 2016 +0200

    Fix #5141 - Initial support for prj.git

commit 9f4c8768a74c6a67ed4aa5b5d86b860d10dded0f
Author: pancake <pancake@nopcode.org>
Date:   Mon Oct 17 23:58:39 2016 +0200

    Implement prj.files and fix some bugs in project listing and saving

commit 08112345881872431820013be0301c882e7beb3d
Author: pancake <pancake@nopcode.org>
Date:   Mon Oct 17 17:19:43 2016 +0200

    Dont fuck with old capstone

commit 1ed039610e45938a0eb645272c94aff5a981cf05
Author: pancake <pancake@nopcode.org>
Date:   Mon Oct 17 16:55:54 2016 +0200

    Projects are now completely contained inside a single directory
    
    - Ease GIT/GPG integration

commit f6b0ba574beeb9f8ccfe9751d32c78d8163ee417
Author: Sven Steinbauer <sven@unlogic.co.uk>
Date:   Mon Oct 17 14:45:38 2016 +0100

    Fix for issue #5976 (#5979)
    
    Check that register is not memory i.e. [eax] to generate correct opcode

commit 31ff46507b525f809386b26fceb49a18adf30d76
Author: Maijin <maijin21@gmail.com>
Date:   Mon Oct 17 14:49:58 2016 +0200

    typo in windows-type

commit ae1405d7c0b7095f0176aab9a290b70c69e31760
Author: pancake <pancake@nopcode.org>
Date:   Mon Oct 17 14:38:43 2016 +0200

    Handle ~?* to make travis happy

commit b386477deb030c191e84a7e0594401745040a963
Author: Maijin <maijin21@gmail.com>
Date:   Mon Oct 17 14:36:05 2016 +0200

    Add WORD and PADDR in types-windows
    
    Add WORD and PADDR in types-windows

commit 990620feea309072e55ef8df5143cd4d4f5c744e
Author: pancake <pancake@nopcode.org>
Date:   Mon Oct 17 14:09:10 2016 +0200

    Fix #5978 - Fix segfault in types

commit dd8ccc7b13396ace760b7487336aed672cf28b88
Author: pancake <pancake@nopcode.org>
Date:   Mon Oct 17 13:11:46 2016 +0200

    Honor vim command

commit 98ea86a59afb6a4eeaa71bdcfa0b323524b595b7
Author: Maijin <maijin21@gmail.com>
Date:   Sun Oct 16 23:36:22 2016 +0200

    Add various symbols in bin_nes

commit 645aea930291308bdf02cc91a40930b8c9985c47
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 16 02:57:08 2016 +0200

    Honor bin.strings

commit cea2c80d56bc9ad3b396cdd5c1730b70e5bf9bf1
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 16 02:34:54 2016 +0200

    Show flags in dm, add dmq and add resolver in rnum

commit bee054b1ec4ed1a6bffc9badd89dc43577187f9f
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 16 01:46:03 2016 +0200

    Rename recursive help from ?? to ?*

commit a93bc5b4d355832a8e4bec4a0ab52f9a1144bde6
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 16 00:57:24 2016 +0200

    Fix dupped output in recursive help

commit 10ce12112a994a96d00e49557d618469ab941bf2
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 16 00:54:06 2016 +0200

    Fix #5952 - Handle scr.null in projects

commit 9f588e8b2932b0af4bc5f32685d4ee79897a5c47
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 16 00:48:39 2016 +0200

    Implement support for recursive help ??

commit e85f0c0e0e2af01d790a19fb8b1763666f12e09e
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 16 00:39:54 2016 +0200

    Implement experimental recursive help for d??

commit bf6ea1dcc010fa0ed4f8767bca845840a7b21925
Author: pancake <pancake@nopcode.org>
Date:   Sat Oct 15 23:54:17 2016 +0200

    Fix crash when loading truncated mach0s

commit 18fb6a2aacf8259cbbf743dfc166c424b50a5302
Author: pancake <pancake@nopcode.org>
Date:   Sat Oct 15 23:42:12 2016 +0200

    Implement http.log and http.logfile

commit 01d1de4f7b3bfff0397ad347c49fd8a20493cbf3
Author: pancake <pancake@nopcode.org>
Date:   Sat Oct 15 21:08:54 2016 +0200

    Fallback to oo when ood fails

commit a28bcb41924626259f7bac547057e14a915b327f
Author: oddcoder <ahmedsoliman@oddcoder.com>
Date:   Fri Oct 14 22:54:00 2016 +0300

    saving/retireving functions stack in project file (#5973)

commit 486434036aed29275849e80dab133ea134d76860
Author: Maykeye <maykeye@gmail.com>
Date:   Fri Oct 14 17:03:24 2016 +0700

    Fix #5960 - What to push shall be put on stack before changing sp

commit 2f87024db431ed7ea5b4ee5c70e1c9a1e14f5260
Author: Gerardo García Peña <killabytenow@gmail.com>
Date:   Thu Oct 13 10:54:03 2016 +0200

    Added SBR opcode.

commit c82c411724223d1ecc938f06a6343b843398b4c4
Author: Gerardo García Peña <killabytenow@gmail.com>
Date:   Thu Oct 13 10:50:23 2016 +0200

    New instruction SBIW.

commit 452e2fdb77cd8c1d900cfc1f75e8a0e7993875d5
Author: Gerardo García Peña <killabytenow@gmail.com>
Date:   Thu Oct 13 00:18:03 2016 +0200

    Added new AVR instructions (SBI, SBIC, SBIS) and new op family class.

commit 803f4f2a4fc3f961835b8219e59e9ae3e7d00e73
Author: Gerardo García Peña <killabytenow@gmail.com>
Date:   Wed Oct 12 13:27:57 2016 +0200

    SBCI and SBI opcodes.

commit a26964eb7ac880618d6f7c499b9ade75b1c26580
Author: Gerardo García Peña <killabytenow@gmail.com>
Date:   Wed Oct 12 01:44:26 2016 +0200

    Added OR, ORI and ROR.

commit 13dfa3c9e43b6df10ec5f127d182f570d11dc9f4
Author: Maijin <maijin21@gmail.com>
Date:   Thu Oct 13 12:17:44 2016 +0200

    Fix #5860 - axtj relsub (#5964)
    
    Fix #5860 - axtj relsub

commit d4588f31c0a013f9b31658d5752ff04fd93f3adc
Author: pinkflawd <marion-m@live.at>
Date:   Thu Oct 13 11:24:47 2016 +0200

    Symbols mfc42/mfc42u (#5962)
    
    * Symbols added
    
    * Symbols added

commit 45bbca4e29c0dd3c104f5d25bf7f83d5437f3776
Author: szt <SztfG@yandex.ru>
Date:   Thu Oct 13 00:33:53 2016 +0300

    Fix "orr" in ARM assembler (#5958)
    
    https://github.com/radare/radare2/issues/5954 fix

commit 42a45a2a19f718c2d5b0eeb8a694468ec1e1d4d4
Author: Marc <h4ng3r@users.noreply.github.com>
Date:   Wed Oct 12 22:32:31 2016 +0200

    fix Dalvik flags test (#5957)

commit 6773d95247b0ded8a0de5238fd5ac94e92e00f43
Author: pancake <pancake@nopcode.org>
Date:   Wed Oct 12 15:31:03 2016 +0200

    Blindly fix the iOS build

commit 503cb6219d87dc667d1fb021496ad2d052b7f620
Author: pancake <pancake@nopcode.org>
Date:   Wed Oct 12 03:07:51 2016 +0200

    Add more ARM cpu subtypes for mach0

commit 56d708562e7506d319c2a0dd3a9adcc6ffb7a2f5
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Oct 11 17:36:25 2016 +0200

    Fix another regression

commit f7396bc600285d2cf77bbc004969b2e54b273211
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Oct 11 17:36:25 2016 +0200

    Fix regression

commit 45f193bb6a88f3e86ad525c070989e87287e06e7
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Oct 11 14:32:35 2016 +0200

    Fix ELF support for 32-64bit relro relocations, fix negative allocation in PE and null deref

commit 65af037198bcb5bb24ab0e5cc7f6c1f3378ad6d9
Author: Marc <h4ng3r@users.noreply.github.com>
Date:   Tue Oct 11 14:28:46 2016 +0200

    Fix Dalvik imports and symbol ordinals

commit b2ad3302e2d2c5261b9e48764ac442baa59c3ee5
Author: Gerardo García Peña <killabytenow@gmail.com>
Date:   Tue Oct 11 12:09:10 2016 +0200

    Gif me moar Anal AVR Opcodes (#5943)
    
    * CPI, CPC and RCALL bugfixed.
    * RJMP bugfixed
    * Added LSR and MOV. Index table resorted again.
    * Added MUL, MULS and MULSU.
    * Implemented NEG opcode.
    * By default copy values from atmega8

commit 84b4b1b8f6788a2b863fef46dd86aa114d607ee4
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Mon Oct 10 21:09:30 2016 +0200

    fix regression

commit 3ae8b9813b5fa883e3d1c900cd724e73ed7d23eb
Author: pancake <pancake@nopcode.org>
Date:   Mon Oct 10 10:20:06 2016 +0200

    Get rid of some %\d$ constructions in anal_8051.c for #3944

commit 557d35f4cc150d421c345816ba7b7cf92a9a37f7
Author: Phil <philipp.B.610@googlemail.com>
Date:   Mon Oct 10 09:50:01 2016 +0200

    Fix aei help text (#5949)

commit 8c592750c677be2d28a4acb79c649718c772b70f
Author: pancake <pancake@nopcode.org>
Date:   Mon Oct 10 00:06:50 2016 +0200

    Fix build avoiding confusions for io|debug/reg/desc

commit 64cd03dab58adb790e658bb4f100c94d8fca45b7
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 9 23:56:52 2016 +0200

    Fix rap:// with no filename and reindent related stuff

commit 7b4dc8310dc9617316414e676d094e0b2be46a2b
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 9 23:55:34 2016 +0200

    Use RIODesc.detach when serving from RCore

commit ed704253a9712d1e35741b1bbc7f2577994c48a1
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 9 23:54:52 2016 +0200

    Enhance RDebug.io to support more commands

commit a48df016ff7e3b62252ff1c33ccd8953b6676e05
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 9 23:54:21 2016 +0200

    Ignore newlines in r_hex_str2bin input

commit 4a412b022789b269b075ec63873220308ee5e142
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 9 23:53:40 2016 +0200

    Implement RIODesc.detach()

commit 05220c2fe0a594628158e53efe307c6834eb1c4b
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 9 23:52:24 2016 +0200

    Fix overflow in debug.reg_read

commit 7403f6229d9b5afe250e97f23d66d0f30880b75e
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 9 22:03:02 2016 +0200

    Honor size=-1 in o

commit b4971693e5173ce28a9147fb8bc424e33130e6f4
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 9 20:13:32 2016 +0200

    Add dr8 and more commands for the RDebug.io plugin

commit d0cccc5ec71311fbe5da971823912e30f994a4df
Author: Duncan Ogilvie <mr.exodia.tpodt@gmail.com>
Date:   Sun Oct 9 19:11:40 2016 +0200

    updated various opcode descriptions (#5948)

commit 208892b8472f82ff94ec82d43721269b5d26fe4a
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 9 15:11:09 2016 +0200

    Aim to fix dmm. in w32

commit 5ac2be945ecccda3e63a5414dc88c9a5c29bedc1
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 9 10:59:36 2016 +0200

    Fix #5867 - Remove all references to __FILE__ or __LINE__

commit 4db241262d1fdbc6d803a6e21a75b91924dd9724
Author: Markus Lottmann <lottmann86@gmx.de>
Date:   Sun Oct 9 10:50:33 2016 +0200

    Reworked in_function() to iterate over all bbs

commit 66a55302ee74058d9426728d16a6ccc78545421f
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sat Oct 8 13:25:16 2016 +0200

    Fix build

commit 1a99f72d63e25e29c204864cf0985872b9937f5c
Author: pancake <pancake@nopcode.org>
Date:   Sat Oct 8 03:07:26 2016 +0200

    Fix @i:

commit cd26e34a7b79a46b3d29b82e70e94748f15db4ba
Author: pancake <pancake@nopcode.org>
Date:   Sat Oct 8 03:01:22 2016 +0200

    Blind fix #5938 - remove some __FILE__ references

commit a8af78c7a60ae0ccba4ab248eb7e51a209b73fb9
Author: pancake <pancake@nopcode.org>
Date:   Sat Oct 8 02:40:40 2016 +0200

    Rollback the z80 change

commit 466c9ff0669e32967a2a0251e6169fca3051879d
Author: pancake <pancake@nopcode.org>
Date:   Sat Oct 8 02:39:50 2016 +0200

    Initial implementation of the RDebug.io plugin

commit 0cf6623f520753ef8b19e91eddcffd6ac880d670
Author: pancake <pancake@nopcode.org>
Date:   Sat Oct 8 01:35:27 2016 +0200

    Kill the z80.cr plugin, and use the disasm into z80

commit 2ec01e9fffc6239830b5e45bd4fa05418cb25e99
Author: pancake <pancake@nopcode.org>
Date:   Sat Oct 8 00:54:43 2016 +0200

    Fix r2pm -c

commit 2b37951e633edcb2673dd6661e9891ad84fa7bdc
Author: pancake <pancake@nopcode.org>
Date:   Sat Oct 8 00:02:47 2016 +0200

    Initial implementation of pC (column disasm)

commit a1e9c8914f771ceff3b31340367ef52ae6fc1e83
Author: pancake <pancake@nopcode.org>
Date:   Fri Oct 7 23:08:36 2016 +0200

    Implement @i: for temporary instruction seeks

commit 8386438ea0a88248145de5f92c2be30817ba7af0
Author: Duncan Ogilvie <mr.exodia.tpodt@gmail.com>
Date:   Fri Oct 7 18:35:40 2016 +0200

    fixed and added opcode descriptions (#5942)

commit bb0f174c2f63f6ca3d7c6b79d9b4bd74aefbdd6f
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Fri Oct 7 00:54:24 2016 +0200

    changed how remove sections

commit e4a370ba470fa7efe7702003edcba7bbca00c22c
Author: n4☠0r <kalianon2816@gmail.com>
Date:   Thu Oct 6 18:02:25 2016 +0200

    Refactor DMH

commit fe2a919d49edc6ff942b3181d541878554494420
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 6 15:53:46 2016 +0200

    Fix #4556 - use jetsam limit to bypass launchd memory restrictions on iOS

commit 70e905bbc8017a1577941478764117df524fcd91
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 6 15:25:43 2016 +0200

    Trim pds lines

commit 7023d010ccf91712af011f1e83a221e181791b3a
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 6 15:16:43 2016 +0200

    Add ios-cydia32.sh script to build radare2-arm32 cydia package

commit 5f34fbbfdbc0d02c9e2bc9d42d6580a827448fb4
Author: oddcoder <ahmedsoliman@oddcoder.com>
Date:   Thu Oct 6 15:49:29 2016 +0300

    Fixing spaces in t* output (#5936)

commit 3ab7b326cfff68ddea2af3452dca3bde6ee15cc5
Author: Gerardo García Peña <killabytenow@gmail.com>
Date:   Thu Oct 6 12:21:52 2016 +0200

    More memory AVR operations (LDS/LPM)

commit 8a5b5ae7b7aef7f4acdfc6231ffc063a130a9113
Author: BlueC0re <bluec0re@users.noreply.github.com>
Date:   Thu Oct 6 11:24:39 2016 +0200

    added support for escape sequences in r_num_as_string (#5897)

commit 1ff73d3cb2afa06b917a03beac3c396dc1ea858b
Author: Gerardo García Peña <killabytenow@gmail.com>
Date:   Thu Oct 6 11:08:39 2016 +0200

    Fixed LCALL for x64 (#5930)

commit 9e49bfc338ab774d06e316a771a7afc200576aac
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 6 03:42:49 2016 +0200

    Honor pal_comment and fix indent for asm.emu

commit 4bbc825de9a3d19e39947116a36cd14155737168
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 6 03:38:28 2016 +0200

    Add sync optype and refix the jmphint glitch

commit 72c66a0e28126121ad6817f644a2fc64a46aa3b5
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 6 03:13:02 2016 +0200

    Fix call rX hotkeys glitch in disasm

commit 25107af9581e7af03093630597123e4d4bcc603f
Author: pancake <pancake@nopcode.org>
Date:   Thu Oct 6 03:12:43 2016 +0200

    Update the ogray theme

commit 20ec177ba0add4442ce74d62694bc3adb54ad2fb
Author: radare <pancake@nopcode.org>
Date:   Thu Oct 6 02:40:26 2016 +0200

    Initial implementation of flag zones

commit 6a9fce1dc094f1767138877c9365072f7b5418bd
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Thu Oct 6 01:12:26 2016 +0200

    removed limit number of exports

commit 44155e609c07da7c321c96706a9b3b10bf4d1202
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Thu Oct 6 00:34:52 2016 +0200

    select sorting algorithm based on list's length

commit 5b95f046f8cc9528f3832b416c68f2df0e9151ad
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Oct 5 23:33:57 2016 +0200

    s/r_list_merge_sort/r_list_sort

commit fd542c75bb33bd8b8d6b0334d7f77da21bfc4926
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Oct 5 23:16:19 2016 +0200

    changes into merge sort to reassemble behaviour with sort

commit f6b94d7b7551f895280768c8ae30aee522fe0cfa
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Oct 5 23:00:06 2016 +0200

    changed r_list_length to use list->length

commit e00123d259d794da90429d3a78f4fbee7ca32d9e
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Oct 5 22:59:31 2016 +0200

    removed unused api from r_list

commit ce0753130abb5d770ae9970970f8cd34c64357ab
Author: pancake <pancake@nopcode.org>
Date:   Wed Oct 5 23:07:58 2016 +0200

    Add more arm64 regs, fix movk esil

commit d1b334d6426626421c90ea78e3012bb221009c58
Author: Maijin <maijin21@gmail.com>
Date:   Wed Oct 5 16:54:43 2016 +0200

    Update mfc42, thanks @pinkflawd

commit 5ea9899f06ae6dfabb1b2ab39f5debf05b1e9845
Author: Gerardo García Peña <killabytenow@gmail.com>
Date:   Wed Oct 5 16:03:58 2016 +0200

    Fixed LJMP, added support to segments in JMP, fixed LCALL. (#5920)

commit 4e3849c905284fdc541a5c8c8a2e65df27cc5829
Author: Marc <h4ng3r@users.noreply.github.com>
Date:   Wed Oct 5 16:02:08 2016 +0200

    Remove invalid anal str for const-class instruction. Fix #5911 (#5913)

commit c1b4cd666f2ebcd2863e5005165347128e4dbd76
Author: pancake <pancake@nopcode.org>
Date:   Wed Oct 5 16:01:01 2016 +0200

    Do not run aav in aa on ARM

commit 2be521421b23173ea848d7efc839de409427759e
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Oct 5 15:59:41 2016 +0200

    Add merge sort algorithm into r_list (#5917)

commit 290fa7a7e6b9b7137c4e7ef5f0eac23ea3c92861
Author: Riccardo Schirone <ret2libc@users.noreply.github.com>
Date:   Wed Oct 5 15:49:36 2016 +0200

    util: fix behaviour of r_str_rwx and r_str_rwx_i (#5915)

commit 9b9a839215ae81668bab373aa64c2c55c14faec0
Author: Riccardo Schirone <sirmy15@gmail.com>
Date:   Wed Oct 5 10:36:05 2016 +0200

    util/debruijn: put terminator at the end of buf

commit 9ea972b218b47b8e32f02cb2a8a8241ba560940e
Author: Gerardo García Peña <killabytenow@gmail.com>
Date:   Wed Oct 5 02:50:40 2016 +0200

    Fixing LCALL for x86 16/32 bit (#5910)

commit 888841ee332e99d110b04203f3501e31d47cd067
Author: Riccardo Schirone <ret2libc@users.noreply.github.com>
Date:   Wed Oct 5 02:43:04 2016 +0200

    util: fix debruijin arguments meaning and uses (#5914)

commit 74ba61d9bb6db008fb19c8cb043f650c8bc1e702
Author: pancake <pancake@nopcode.org>
Date:   Wed Oct 5 01:59:58 2016 +0200

    Fix 'Cannot find function at' issue on some functions

commit 3c22cbfa7c34d05cb4c8710e9d658eed41ae73fa
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 4 21:03:11 2016 +0200

    Fix #5890 - Assume pushed executable addresses as CODE references

commit 6db1ee101da4b26f0ac30484db10b2b766cb5ed5
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 4 18:03:03 2016 +0200

    Fix wxs command

commit 150ebc3c26e62cc77cc03638016e8cf56661ea94
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 4 15:55:04 2016 +0200

    Add long-to-double instruction for anal.dalvik

commit 9eb1a2903b31802c1bab1193d6aeee59eb24ff63
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 4 15:46:46 2016 +0200

    Enforce hexpair parsing rules. To fix rahash2 -S foo without s:

commit 1647da5631e1b009914238ad10f2b434fe48cad6
Author: {avicoder} <avinash.mankoo@gmail.com>
Date:   Thu Sep 29 15:06:11 2016 +0530

    Reformatted document in Markdown

commit c39b9e9dc392065c16209ec8cce700a9eec8057b
Author: Marc <h4ng3r@users.noreply.github.com>
Date:   Tue Oct 4 15:07:26 2016 +0200

    fix flags duplication (#5899)

commit d7e0be5dada7c395e8a58c01bc49ca6b531d14bc
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 4 15:01:02 2016 +0200

    Implement rasm2 -s? and refactor this a bit

commit 516a095a0417d6686feea2afe755204d11b48348
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 4 14:47:09 2016 +0200

    Fix #5909 - r2 -o is now -k

commit 41d6e9edde82afd4172629f533f5f7c128238bdd
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 4 14:34:06 2016 +0200

    Add bash autocompletion support

commit f3176a11742e714eeb9ccaacdd09f2b5cfbe5634
Author: pancake <pancake@nopcode.org>
Date:   Tue Oct 4 11:53:33 2016 +0200

    Fill the op.type field for STOS and LODS on x86.cs

commit 8b0d157614749a057926c4b3945ab38bb55b6ad9
Author: Riccardo Schirone <ret2libc@users.noreply.github.com>
Date:   Tue Oct 4 11:13:30 2016 +0200

    conf: enable graph.nodejmps by default (#5904)

commit e3b1f8eb30723adc7087f2784dcb9c738ff244ba
Author: Gerardo García Peña <killabytenow@gmail.com>
Date:   Mon Oct 3 21:43:55 2016 +0200

    Fix issue in aeso

commit 9bcf6bdcbea499339879b42ef7269fcec2d14ae2
Author: Marc <h4ng3r@users.noreply.github.com>
Date:   Mon Oct 3 20:13:45 2016 +0200

    more coverity fixes (#5882)

commit 008039902160731a0c02ca027af4a75766297097
Author: pancake <pancake@nopcode.org>
Date:   Mon Oct 3 15:08:21 2016 +0200

    Fix build on FreeBSD

commit f0f54ad1c614f7f1a449844a123fb8f9299ee497
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Mon Oct 3 00:13:35 2016 +0200

    move check of num_threads into get_proc_process_content

commit 7ba81f68866a87511790686572d483c22f76c9ef
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sun Oct 2 23:46:57 2016 +0200

    More work into ragg2

commit 62fe6eb85e9929af3c0043c4edc315c6881ac5bf
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sun Oct 2 23:06:49 2016 +0200

    more work into sys.c

commit b09e19041f9e59d83ed856393a6314190f7981e9
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sun Oct 2 22:57:50 2016 +0200

    Fix oob read in ragg2

commit bd544b5ee3e1abac076cfa4eae6855989787b8d6
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sun Oct 2 12:51:06 2016 +0200

    Added check for section size in bin_pe.c

commit c6107b0dbe5687c98159e86b6a2e23a20f789337
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 2 11:58:46 2016 +0200

    Add R2PM_OLDPWD var for r2pm

commit 88579008631be4d90d5dda1701b30ef7c3b6c5a3
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 2 11:53:12 2016 +0200

    Add support for zip and 3rd url parameter

commit 37f353b6939616726394e0d306630645d40859ef
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 2 11:33:25 2016 +0200

    Add R2PM_SUDO and enhance r2pm -c

commit 8cbfaf8dbcac876319c7aa4b98334f2c3f2df46e
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sun Oct 2 02:10:37 2016 +0200

    Fix NULL dereference in search_reg_val

commit 218474ec1345ec14d2ac41a2bd3c633604f9d06b
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sun Oct 2 02:05:23 2016 +0200

    Remove unused variable and coding style file.c

commit 4762f73c4ed0144ef28abf9aff1e0c458b3539b8
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 2 01:26:53 2016 +0200

    Fix prompt in r2pm cd

commit c3bd6a6a107aef586f1de256a2ab293f52686996
Author: pancake <pancake@nopcode.org>
Date:   Sun Oct 2 00:37:09 2016 +0200

    Add r2pm ls|cd

commit c7877075a125119bb381d78e63cbfd73b0240cae
Author: pancake <pancake@nopcode.org>
Date:   Sat Oct 1 17:44:25 2016 +0200

    Minor tweak to get better colors in dalvik disasm

commit d482f8974f7ffa838d656c6df8f1da0a6dcb6a06
Author: pancake <pancake@nopcode.org>
Date:   Sat Oct 1 14:04:54 2016 +0200

    Add R2PM_TGZ for r2pm

commit b1ee53bf2aeccb4e51099bb0dd6c85914d4203ad
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Thu Sep 29 16:24:26 2016 +0200

    change addr alignment

commit f807f13fca1c6f9870c0b84171c3ae92e570495f
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Thu Sep 29 15:54:09 2016 +0200

    Fix relsub for arm and esil

commit b0ee337c0fd9f6fb420a1eecb8c902c0a8cb5c24
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sat Oct 1 11:03:05 2016 +0200

    Fix regression in coredump

commit 4971aca917dc16009aa14e172c3fad2e26058e97
Author: Gerardo García Peña <killabytenow@gmail.com>
Date:   Thu Sep 29 23:46:14 2016 +0200

    It's raining AVR anal ops, hallelujah! (#5888)
    
    * Implemented opcodes FMUL, FMULS, FMULSU.
    
    * Implemented IJMP and ICALL.
    
    * Added opcodes LAC, LAS and LAT.

commit ec25d8475c527615770bce31480f6614066455d0
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 29 19:39:59 2016 +0200

    Disable syscall emulation in esil by default

commit fad94aa57f0ddd5e2cc3c409a4e32b77291b7fb0
Author: oddcoder <ahmedsoliman@oddcoder.com>
Date:   Thu Sep 29 16:07:53 2016 +0300

    fixing invalid json syntax (#5884)

commit 7bbf637b6ba39dfd671707bcc7b658859b19bc17
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Thu Sep 29 13:37:53 2016 +0200

    remove annoying stray introduced by vim

commit 6f2b0e5b64d0e90e2ce3b3a06bebaef0a1f0e86a
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Thu Sep 29 12:55:47 2016 +0200

    more coverities

commit 053efaa93890d9cb7a7dd94292495a592d3a63c6
Author: h4ng3r <h4ng3r@users.noreply.github.com>
Date:   Thu Sep 29 08:33:57 2016 +0200

    fix some coverity issues

commit 69b327cfd5c2abd8829f4506bcd9a1539cedcbd8
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 29 11:33:44 2016 +0200

    More interdoc between i and rabin2

commit 6a7f728950196c91de78ea5a0a2108079a72a4f2
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 29 11:26:42 2016 +0200

    Make more visible the relation between r2's i and rabin2

commit bfbc5c2f7fb50367016e2817885f228339285191
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 29 11:25:18 2016 +0200

    Fix #5874 - Implement asm.relsub for arm.cs

commit c02be8da7d126abd2966d5dfce7f1871dd91fc96
Author: Markus Lottmann <lottmann86@gmx.de>
Date:   Thu Sep 29 09:41:33 2016 +0200

    Correction of ESIL code generated for ROL, ROR and OR instructions on X86 (#5873)
    
    * Esil equivalent of x86 cmp instruction now set the overflow flag.
    
    * Fixed ESIL code generated for ROL instruction.
    
    * Fixed ESIL code generated for OR instruction.

commit ccda50b1a2aad70e0e093dee551fe6063d34589b
Author: Gerardo García Peña <killabytenow@gmail.com>
Date:   Thu Sep 29 09:39:04 2016 +0200

    More opcodes for AVR anal plugin (#5875)
    
    * More opcodes for AVR anal plugin:
    
    New ops BREAK, BST, CBI, COM, CPSE, DEC, LD, LDD, INC, SBRC/S, STD, EIJMP, EICALL and ELPM.
    
    Heavy bugfixing and refactorization.
    
    Emit cycles warning only one time.
    
    working on FMUL
    
    * Removed strcasestr() and bzero() moved to memset()
    
    * Bugfixes (avr tests were broken).

commit cfa5af96cf71ac202f39cb0b332a8f6352865e7e
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Sep 28 23:19:15 2016 +0200

    indent mach0_defines.h

commit 3044a2da05759f6d0f6970ce567612b07349ff21
Author: Sebastian Reichel <sre@ring0.de>
Date:   Wed Sep 28 05:27:19 2016 +0200

    Replace mach headers from AAPL to LLVM
    
    The mach headers are licensed under APSL-2.0, which
    is not compatible with GPL. The mach0_defines.h
    provides all required structs and defines and comes
    under a GPL compatible MIT/BSD styled license.

commit b98880ff26fbaa5163d1357fcc90786d337d0fa1
Author: Sebastian Reichel <sre@ring0.de>
Date:   Wed Sep 28 19:17:43 2016 +0200

    Debian patches (#5866)
    
    * Fix esil manpage
    
    Each manual page should start with a "NAME" section, which lists the
    name and a brief description of the page separated by "\-". The "NAME"
    section is parsed by lexgrog and used to generate a database that's
    queried by commands like apropos and whatis. Without this change
    lexgrog fails to parse the NAME section of this manual page.
    
    This was found by Debian's lintian tool (manpage-has-bad-whatis-entry).
    
    * Fix empty input line in manpages
    
    Found-By: lintian as manpage-has-errors-from-man
    
    * Fix rahash2 manpage
    
    .El (end list) is only valid after .Bl (begin list),
    but no list was started in this section.
    
    Found-By: lintian
    
    * Avoid build break if no static bin plugins are defined
    
    If one disables all static bin plugins, build currently fails,
    since R_BIN_STATIC_PLUGINS/R_BIN_XTR_STATIC_PLUGINS are not
    defined. This fixes the build for these kind of setups.
    
    (In Debian does not built the mach code, since the
    Apple Public Source License is not compatible with
    the Debian Free Software Guidelines. Without the
    mach code there is not a single binxtr plugin)
    
    * Fix implicit declaration of function 'linux_generate_corefile' on i386
    
    Noticed by Debian build farm.
    
    * Add support for SOURCE_DATE_EPOCH
    
    SOURCE_DATE_EPOCH can be used to make builds
    reproducible [0].
    
    Note: radare suffers from a second problem making the
    build unreproducible: It captures the full build path.
    This is *not* covered by this change.
    
    [0] https://reproducible-builds.org/specs/source-date-epoch/

commit 87cd22a25b8fdd9605125da7483c5c18a69c6c8b
Author: pancake <pancake@nopcode.org>
Date:   Wed Sep 28 17:16:47 2016 +0200

    Fix ios cross-build on the first run

commit 18ac22ea6ef9b805ebf2726a5525b7ee16363d2b
Author: pancake <pancake@nopcode.org>
Date:   Wed Sep 28 16:47:16 2016 +0200

    Fix #5872 - uninitialized free in pdj

commit 95d982f1fcc59b7f7e853f23acedb90b25d89d2c
Author: Marc <h4ng3r@users.noreply.github.com>
Date:   Wed Sep 28 12:05:46 2016 +0200

    add METH symbol type to anal core (#5861)

commit 9855e55e987cf8374bee41b773628f406bedbd28
Author: Hi-Angel <Hi-Angel@users.noreply.github.com>
Date:   Wed Sep 28 14:05:12 2016 +0400

    More documentation for rabin2 (manpage and help)

commit e78b56166944dc306be875926fef8ad84d020013
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 27 23:50:48 2016 +0200

    Fix re/av-pag in VV graph view

commit c8130c41988480c15aeae17e9b1bb88d43b18190
Author: alvaro_fe <alvaro.felipe91@gmail.com>
Date:   Tue Sep 27 19:49:39 2016 +0200

    Fix crash in reflines

commit 413ff4313a781cee535a0604bb4b630c6c919cfc
Author: alvaro_fe <alvaro.felipe91@gmail.com>
Date:   Tue Sep 27 18:35:49 2016 +0200

    Fix some coverities

commit 26cb39c7595b98fbafec976d8c571ca18a7b5d48
Author: Maijin <maijin21@gmail.com>
Date:   Tue Sep 27 18:44:34 2016 +0200

    Move build to sys/build

commit bf5ebbf5835a8a5308c93de8d7dd5be49c8420ac
Author: Alexandru Caciulescu <alex.darredevil@gmail.com>
Date:   Tue Sep 27 05:16:52 2016 +0300

    Fix Ps/Po for ROP SDB namespaces (#5856)

commit eb53c4273060f69880776499c5bfe353df52c5ad
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 27 03:02:17 2016 +0200

    Release 0.10.6 - codename: Sleepy Autumn

commit 5e00b6118f01a88cef308e1255ae639e1d4b158f
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 27 02:59:30 2016 +0200

    Bump capstone and update releasenotes.js

commit dc00fa90481c6fed27755dd5faa08aa19c790e7a
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 27 02:17:26 2016 +0200

    Fix #5721 - r2pipe.c spawn blocking and not working

commit 490b0294c2b7d05ddeaa33cfb9dc717d364e2ce3
Author: alvaro_fe <alvaro.felipe91@gmail.com>
Date:   Tue Sep 27 00:50:56 2016 +0200

    Fix regression in axt

commit b61cd6f22a67d229e56372f9c4fe5741fb9adaa3
Author: alvaro_fe <alvaro.felipe91@gmail.com>
Date:   Tue Sep 27 00:44:14 2016 +0200

    Fix build

commit 069391dd050cf3fe9d8183444ba82deb5f6b1862
Author: dequis <dx@dxzone.com.ar>
Date:   Mon Sep 26 18:44:30 2016 -0300

    Fix leak in r_anal_noreturn_at_name

commit 30519fbd2c2c32dc50130f653ef191322cf1aeab
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 27 00:15:41 2016 +0200

    More release-notes enhancements

commit dd75e7c84afda6a8e040f69352c5aa836ed8c379
Author: alvaro_fe <alvaro.felipe91@gmail.com>
Date:   Tue Sep 27 00:02:52 2016 +0200

    Fix warning

commit ff18723f6bedeacef7a88afb78cbe9ac4d8c022a
Author: alvaro_fe <alvaro.felipe91@gmail.com>
Date:   Tue Sep 27 00:00:09 2016 +0200

    Fix possible overflow in ds_atabs

commit f8b6fab24f6bb0500c8c7e4c5ea8679b33f6037e
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 27 00:01:20 2016 +0200

    Fixes for release-notes

commit ba119b6edc5b7724626239612ec5cbb4a4c8958b
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 26 23:55:05 2016 +0200

    Fix regression in axt

commit ad844b5b657e1d268a9112bd4c6d9385c64a455b
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 26 23:36:44 2016 +0200

    Refix #5698 - Honor asm.varsub and asm.relsub in axt

commit 1923ee74eff4439dc6acc1d41206c33b956f841e
Author: radare <pancake@nopcode.org>
Date:   Mon Sep 26 23:13:49 2016 +0200

    Fix #5698 - Support memrefcalls in xrefs and hotkeys common on w32 bins

commit b002bbf316f84bb107321da893999a82274e3b5a
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 26 18:41:14 2016 +0200

    Fix oobread in mach0 parser

commit 3986ea1fbbf72b7265ed50ebe4ca0d7634ed459a
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 26 17:33:08 2016 +0200

    Aim to fix the sym loading regression in debugger

commit e2950f16769d051a8f50e40b90a5dfaf0b69addf
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 26 17:16:21 2016 +0200

    Fix #5695 - Support @@f: to iterate over all functions matching a name

commit ee876d4bf198ac0420ae29db282c1c0040640243
Author: alvaro_fe <alvaro.felipe91@gmail.com>
Date:   Mon Sep 26 17:07:25 2016 +0200

    Fix build

commit 956bd21ef1e038d30b5da4767dfafb85ccdc6ef8
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 26 17:04:26 2016 +0200

    Fix #4311 - Allow ESIL to change BITS from core

commit 9763de3b0bbf45f2683e5688201343c628ce92fd
Author: alvaro_fe <alvaro.felipe91@gmail.com>
Date:   Mon Sep 26 16:59:15 2016 +0200

    coding styles changes

commit 7fe4084b328ae4a25931d865da360b39a149af2c
Author: zonkzonk <bofh666ftw@googlemail.com>
Date:   Wed Sep 21 00:45:11 2016 +0200

    update linux_coredump.c check nullptr for  elf_proc_note->n_threads
    
    .

commit c2c0e37e9538107ec53779ad4388f527ac71201c
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 26 16:52:21 2016 +0200

    Grab CERTID from environment to ease OSX builds

commit 62de135861ed1d615e61b2e5bc749902dc9504b8
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 26 14:40:26 2016 +0200

    Check the state of the gdb connection

commit 490d2a498aeb21c1192aed5a0feebc609776b86f
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 26 13:38:30 2016 +0200

    Fix #2571 - dcs is working again

commit 3a5444f3caa567ec78357c2e7d635eb1fea586af
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Mon Sep 26 12:52:14 2016 +0200

    Fix warnings

commit 8abffec3848e99a86a56b73490e11d9b38d6df6f
Author: Markus Lottmann <lottmann86@gmx.de>
Date:   Mon Sep 26 13:03:08 2016 +0200

    Esil equivalent of x86 cmp instruction now set the overflow flag. (#5851)

commit 59bf09a66a0169db83debc4cbb08bd66fbe1c588
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 26 12:53:05 2016 +0200

    Refix oo to make travis happy

commit 5c70e3fae1a06874aa06b6cb29632d25a021ba57
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 26 01:51:17 2016 +0200

    Fix regression in rbin

commit 060bab63501a2d07d426554a4da0fb37d54f0c2f
Author: Vlad Ivanov <vlad-mbx@ya.ru>
Date:   Sun Sep 25 16:43:50 2016 +0300

    anal_xtensa: fix possible heap buffer overrun
    
    Stack pointer could be affected by both wide and narrow
    forms of addi. Use proper instruction decoding to obtain
    the operand value.

commit 1e89dddd87a67ce920b9764ed8a7fe2b254bd2c7
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 26 00:45:28 2016 +0200

    Fixes in oa, asm.bits, avr and io debug issues

commit 5bcb963a9e8b93a99d0bee0efe3ac3e4b01791c2
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sun Sep 25 23:16:00 2016 +0200

    Fix section parsing

commit 19a633ff7753dbf85b00393bfbd98e0e39faea85
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sun Sep 25 03:31:26 2016 +0200

    Fix signature from mach0

commit c32624b86bf936110de2350eafa234e148a968dc
Author: Damien Zammit <damien@zamaudio.com>
Date:   Tue Aug 23 04:16:48 2016 +1000

    Bigendian fixes: Mainly for mach0 (WIP)

commit 6235c677575406ddc5ae56c19c62eb363c082c8c
Author: zlowram <zlowram@gmail.com>
Date:   Sun Sep 25 21:22:20 2016 +0200

    Honored search.in in z/ command Fixes #5691 (#5843)

commit 34bcf82df147660affefeabea0704ab1c816084e
Author: Vlad Ivanov <vlad-mbx@ya.ru>
Date:   Sun Sep 25 22:22:08 2016 +0300

    cmd_print: fix possible heap buffer overrun (#5845)

commit 7c8292b9fb6cee988b7e6fee30b8dea8bca6a6b7
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sun Sep 25 01:26:30 2016 +0200

    Fix warnings and coding style

commit e1889b31a18fe9c844b49680de38e2e62806a506
Author: h4ng3r <h4ng3r@users.noreply.github.com>
Date:   Sat Sep 24 00:36:38 2016 +0200

    Fix some BR test from asm.dalvik

commit 2b6ff1e0dc93724a8c9ee4344ad8443e7175068b
Author: Edgar (Algebr) <edgar.factorial@gmail.com>
Date:   Sat Sep 24 15:59:55 2016 -0700

    Add OCaml correctly to the README (#5842)

commit 90e11b8ff34560ce8b27ca3e79801aad7e134ae4
Author: oddcoder <ahmedsoliman@oddcoder.com>
Date:   Sat Sep 24 15:55:21 2016 +0300

    Adding some more types (#5840)

commit d3add04b5a8c343d5fce62117f708fbc88a41066
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sat Sep 24 02:14:53 2016 +0200

    Fix oob read

commit f17814d9d8e2694c7c163621e5211eef61f9cce3
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sat Sep 24 00:30:13 2016 +0200

    update pds changes

commit f88eb2408aaccace61d93c66d759decf614f0245
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sat Sep 24 00:19:36 2016 +0200

    Fix regression when selecting bits in core

commit 49cab152000a2cf4c59eb58e5c41e6415d497529
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Fri Sep 23 13:23:32 2016 +0200

    Minor enhancements in pds

commit 187ecaec7b180187998d452f603b0ed919c90033
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Fri Sep 23 16:28:48 2016 +0200

    Follow wide strings in disasm

commit 8ab5f5fb5b07d62aa9941a15cd7c9a71981c80dd
Author: Sven Steinbauer <sven@unlogic.co.uk>
Date:   Fri Sep 23 16:26:07 2016 +0100

    Add short jumps to nz (#5832)

commit cecc994541d6d4d0f627686723e44e132e26eb55
Author: Marc <h4ng3r@users.noreply.github.com>
Date:   Fri Sep 23 12:20:56 2016 +0200

    fix coverity error (#5831)

commit 0c8556bb22f378782b932243e11f7493e9e766b5
Author: Marc <h4ng3r@users.noreply.github.com>
Date:   Fri Sep 23 00:33:25 2016 +0200

    Fix some DEX disasm issues (#5829)

commit a75b4b56c6cd819e6de8a59dd582aec1ba4d3503
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 22 23:57:16 2016 +0200

    Fix the radiff2 -C MATCH issue, still not perfect but getting in shape

commit d1088fa95d2a71192c70a723b0aa7245863c3bd4
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 22 20:31:40 2016 +0200

    Add radiff2 -S to specify which column to sort for code diffing

commit 5c64af6ea7cc1d30c1726b56172bd22fb8b83ab0
Author: Jayakrishna Menon <jkrshnmenon@gmail.com>
Date:   Thu Sep 22 22:00:42 2016 +0530

    beautify code

commit 6c71de7b1102a62b689edf0c7c6860d8be85dafd
Author: Jayakrishna Menon <jkrshnmenon@gmail.com>
Date:   Thu Sep 22 20:48:26 2016 +0530

    implementing sorting of code diff

commit a80c1f2a4a5c631f4dac6aa618e9555d60df0ff7
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Thu Sep 22 19:04:02 2016 +0200

    Fix warning

commit ca732f05beb4242c3b1ef54464e602f82e989fd7
Author: radare <pancake@nopcode.org>
Date:   Thu Sep 22 18:50:05 2016 +0200

    Upgrade capstone from -next

commit 5c7313641dacd4f71f6699e5456fab3b5fc1a06b
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Thu Sep 22 18:06:10 2016 +0200

    Fix issue with repeat disasm

commit 51cbed7af2233bcad716ac386b8b432430d48d0c
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Thu Sep 22 16:37:27 2016 +0200

    Fix warning in coff

commit 5df82dd364a73069f8a2506fdc09ccf77f7d643a
Author: saucec0de <saucec0de@users.noreply.github.com>
Date:   Thu Sep 22 15:31:05 2016 +0200

    dso problem (#5825)

commit c908e0f8185a6a4940382a088b93a534cca0e435
Author: saucec0de <saucec0de@users.noreply.github.com>
Date:   Thu Sep 22 13:42:06 2016 +0200

    Fixing ds in x86 (#5802)
    
    * Fixing ds in x86
    * Several updates due to new OP_TYPE

commit 438f151d6c7f6855c4e0283d0774b92ffb231df4
Author: Vlad Ivanov <vlad-mbx@ya.ru>
Date:   Thu Sep 22 13:21:37 2016 +0300

    asm_xtensa: fix possible buffer overrun (#5820)

commit 635fb6795c358e4928014c0be56abce9d51a1ef3
Author: Andrey Arapov <andrey.arapov@nixaid.com>
Date:   Thu Sep 22 12:20:58 2016 +0200

    Fix typo in fortunes

commit 43a3eacddbe67eeaa5cef160b7c0fb454dfa80e3
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 22 12:19:21 2016 +0200

    Enhance Visual bit editor with 30% more colors and keys!

commit 3c80bfa3866c7b4a4043571bc377a5745149fcf2
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 22 12:18:55 2016 +0200

    Fix #5813 - Honor scr.randpal in VVR as its done in VR

commit 6ecc34b2c02fa014eff02571c18df6ba3da841af
Author: Greynad <wapitidou@gmail.com>
Date:   Wed Sep 21 16:04:21 2016 +0200

    add support for jb instruction in pseudo asm (#5818)

commit f5b255603aa524a472781abf4d0c61873fa44d25
Author: pancake <pancake@nopcode.org>
Date:   Wed Sep 21 12:07:44 2016 +0200

    Bring back the old buffer_distance algorithm, make levenstein optional

commit 53af9babce14e8c53444bfe71874bcbe03325cbc
Author: pancake <pancake@nopcode.org>
Date:   Wed Sep 21 11:53:35 2016 +0200

    Aim to fix coverity-driven regression

commit e2b14a50f3e5341540511bf3010437beb331ead6
Author: pancake <pancake@nopcode.org>
Date:   Wed Sep 21 11:00:52 2016 +0200

    Fix latest COVs

commit 8428cacb16f68296f52f30f0a4015463eb31c8b7
Author: pancake <pancake@nopcode.org>
Date:   Wed Sep 21 00:58:06 2016 +0200

    Fix .qword in pd and consider adr on arm64 a lea op

commit 6c47f5a20d08760289004f2ae15612b9a4073e0a
Author: Ahmed Mohamed Abd El-MAwgood <ahmedsoliman0x666@gmail.com>
Date:   Tue Sep 20 22:54:44 2016 +0300

    Basic merge of no return function with types db (#5774)

commit 482a98365dd833391a16ca40e777100e072d9e69
Author: Gerardo García Peña <killabytenow@gmail.com>
Date:   Tue Sep 20 17:21:17 2016 +0200

    New opcode ASR and bugfixed comma eater

commit 91cb15a3e77750c7b905bb515e44188ff6e1678d
Author: Gerardo García Peña <killabytenow@gmail.com>
Date:   Tue Sep 20 13:48:17 2016 +0200

    New opcodes and operations in AVR anal plugin. (#5783)

commit 5a4d39b65ab8858ac98deddc306bd044a885c3d4
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 20 13:20:49 2016 +0200

    Fix glitches in hud avrepag stuff

commit 69b70a2a94ae47d28f4e8ff1f3396c96e434923d
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 20 13:14:34 2016 +0200

    Fix #5643 - Handle re/av-page in V_ hud mode

commit 454b4d1a54727ebf8b08a993716a4a2ed35e1754
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Sep 20 12:32:28 2016 +0200

    fix coding style

commit 7d970e45b5f5c2dde43958f43eba422dc8bb231a
Author: Damien Zammit <damien@zamaudio.com>
Date:   Sat Aug 27 14:53:32 2016 +1000

    Bigendian fixes: ELF (WIP) - 8 failures left in r2r format.elf BE

commit b966a8ddce4e83a81c8867b77f1b45638e20544f
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 20 11:34:08 2016 +0200

    Only recache hints if database changes. Huge speedup in pd

commit 613c27f98f55ece9a3f2de528ab77040d039bb37
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 20 11:35:32 2016 +0200

    Implement cfstring support for ARM/Thumb binaries

commit 052ae7de4b3a0a44de32b0c752d65e9fab352f78
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 20 11:19:01 2016 +0200

    Optimize ios build for size (7MB -> 2.8MB)

commit 503b3a9e98d5aec82b9c159fe40b80a3b06f6237
Author: Jon Gentle <atrodo@atrodo.org>
Date:   Tue Sep 20 03:25:06 2016 -0400

    Reduce the requirements of dko to any reason with a signum (#5806)

commit 9347bf437e4a12412c200a74cb91aa7aa216c895
Author: eazy-f <eazy-f@yandex.ru>
Date:   Tue Sep 20 08:03:50 2016 +0100

    Add Win10 profile to WinDbg module (#5805)

commit 40bab922dfb1a25774e1ae7288edb7ded33e75f9
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 20 00:54:50 2016 +0200

    Handle LDR instructions properly in ARM64 for static analysis

commit e228e430e0b43835470e16282a0c02b84a6f8bc3
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 20 00:43:06 2016 +0200

    Add support for cfstrings and fix arm64 ADR analop for more refs

commit 6d6a23c45699f597d48869f0e2c4f291b2a4a977
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 20 00:11:59 2016 +0200

    Add scr.flush and handle ^C in px/pxr/pd/..

commit 2c2e3078e09e47f35737992794386792ff5c4c95
Author: Maijin <maijin21@gmail.com>
Date:   Mon Sep 19 20:48:57 2016 +0200

    FIX #5197

commit c59519d244734f8e058da776f97c8dea197a43d9
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Mon Sep 19 17:54:20 2016 +0200

    fix potential crash in coff

commit 57fcc54a4d987d3202c13c1c16e01e580816504f
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 19 17:44:22 2016 +0200

    Fix #5790 - 0>> shouldnt quit the prompt

commit e9fe78064d8faa99ff2d964e65b50a3b4822e38b
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Aug 16 23:42:53 2016 +0200

    some changes in r2 to handle reloc

commit 80026a5d5e6ad250953cb28828551de643f5fca1
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Aug 16 23:43:05 2016 +0200

    added reloc into coff

commit 21b1befc6646140270c85ac5be7f0af9be127026
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Aug 16 23:04:15 2016 +0200

    added section and symbol into coff

commit 52f56b825c0cb4f80e7e7c60c0572e87950e78c4
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Aug 16 22:58:30 2016 +0200

    some work before to add reloc into coff

commit 71d45f9a426bc7dc43b0a222d043a2c3a617a6fb
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Aug 17 00:41:52 2016 +0200

    added coff in is_data_section

commit 9088ae76b3a1dbd8004bf0af074a8f6d5c353ae3
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Mon Sep 19 17:34:22 2016 +0200

    fix bad indentation

commit a20398624e47ac86fa6915ffece9a418b9ec4381
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Mon Sep 19 17:09:09 2016 +0200

    fix properly the crash in dwarf

commit 555adaeee1ff62cd3415336ad223bdf248b81815
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 19 16:34:45 2016 +0200

    Fix #5796 - Implement oom to reopen file in malloc://

commit 85371bc377ec1ff15a537470e95f6f1ff4f065c8
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Mon Sep 19 16:13:13 2016 +0200

    fix crash in dwarf

commit c57f2eb4100cb9e8b34f86fb544914dd1bba0f3e
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Mon Sep 19 16:01:11 2016 +0200

    fix crash in dex loader

commit 05ae77eda47c2afa46889d271f06f6510fb2fbbd
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Mon Sep 19 15:47:19 2016 +0200

    fix warning & remove check in version info elf

commit 2996538700f491fe0bdfd0a00d04f6cb2995b140
Author: Sven Steinbauer <sven@unlogic.co.uk>
Date:   Mon Sep 19 13:44:47 2016 +0100

    Fix #5633 - Change `x == NULL` to correct syntax

commit a86ae89f1d01868661fc633a9ed4187946219618
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 19 12:39:00 2016 +0200

    Fix syntax error from termux

commit 6cbae900c52e9ef12e9d7b67ad3ea87895cf798c
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 19 12:21:54 2016 +0200

    Include some patches frmo termux

commit 4fbaa01864ae93782d31ca47ea72c48b4880dac5
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Mon Sep 19 11:49:25 2016 +0200

    get symbols from phdr when shdr is fucked up (#5804)

commit 14db7949bbabe3f623d94cbc7522900ee89125c4
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 19 05:27:42 2016 +0200

    Update pf output

commit 20ed81af73468eb56d8c0ff290cc2a53d2bfaef0
Author: dromero <dromero.perez@hotmail.com>
Date:   Mon Sep 19 02:10:43 2016 +0200

    Fixing debugging problems at MIPS (32bits) (#5800)

commit dbc4cd4cadb988161d6f6dae06d8998b99976df1
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 19 02:09:42 2016 +0200

    Fix some JSON bugs in pf

commit dee162875d711762cdd3fc0085857401b81a0a28
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 19 01:35:36 2016 +0200

    Fix big-endian bug in r_cons_yesno()

commit 99ec70a82aed850deaa036d61cdb0062e206ebb6
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 19 01:18:39 2016 +0200

    Fix regression in function naming

commit 3e262feef8fa4efe1969db52e20848bf70a77ef6
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 19 01:04:04 2016 +0200

    Fix UJMP for x86.cs

commit 4e5d5cbd913f723f5442dff5c2a6b58849e138cb
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 19 00:47:38 2016 +0200

    Fix p=b uninitialized memory issue

commit 5dca943a09168788d6980766acc5b834e7097818
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 19 00:23:06 2016 +0200

    Fix issue with autonaming functions

commit 13ed2131ee2a4b6a20bc5d251a9d54fc57db1b99
Author: Maijin <maijin21@gmail.com>
Date:   Mon Sep 19 00:02:10 2016 +0200

    Cleanup TODOs [ci skip]

commit fe5d60078150c49e1ddf0189427311d1b14ae618
Author: zonkzonk <bofh666ftw@googlemail.com>
Date:   Sun Sep 18 23:22:57 2016 +0200

    update fortunes.fun (#5794)

commit c0692f3e53cbe584c41f5bead7879650230bd8a2
Author: pancake <pancake@nopcode.org>
Date:   Sun Sep 18 23:19:13 2016 +0200

    Revert "Fix #5472 - ds on call and jmp (#5785)"
    
    This reverts commit 6ccc0455260064579302885a660b6db9820407ef.

commit 27922b17fe3e55694f7897eec22014a2ade4dd6e
Author: zlowram <zlowram@gmail.com>
Date:   Sun Sep 18 23:07:48 2016 +0200

    More zignature fixes (#5795)

commit 1016708b14af3bbb88ac2385ebff8c3c4fd35494
Author: pancake <pancake@nopcode.org>
Date:   Sun Sep 18 23:02:49 2016 +0200

    Aim to fix that anal mayhem

commit b806494c9d89523824b133cc5b752742ffcaa1ec
Author: pancake <pancake@nopcode.org>
Date:   Sun Sep 18 22:34:03 2016 +0200

    Fix #5748 - Add zs as an alias for z/

commit 8197fce582c3ad8b4b14ed6136d09fd449d3e93b
Author: pancake <pancake@nopcode.org>
Date:   Sun Sep 18 22:32:13 2016 +0200

    Drop the 128 char limit of symbol names in ELF

commit 42692477cf2a8ca0bc12e7cfa863c330ea2c3d18
Author: pancake <pancake@nopcode.org>
Date:   Sun Sep 18 22:20:46 2016 +0200

    Fix regression introduced in last anal change

commit 997455fe5f4a47f54d1e4907a454d635910425c3
Author: pancake <pancake@nopcode.org>
Date:   Sun Sep 18 22:11:35 2016 +0200

    Fix format string in fcn.c

commit f404b85d15f14ad8945527f89111b3f28d871b76
Author: pancake <pancake@nopcode.org>
Date:   Sun Sep 18 21:57:48 2016 +0200

    Fix /j JSON output by encoding results in base64

commit 6ccc0455260064579302885a660b6db9820407ef
Author: saucec0de <saucec0de@users.noreply.github.com>
Date:   Sun Sep 18 21:41:15 2016 +0200

    Fix #5472 - ds on call and jmp (#5785)

commit f9b70631b2689b730e0234e3f6f99bbb61d59b1b
Author: zlowram <zlowram@gmail.com>
Date:   Sun Sep 18 13:28:26 2016 +0200

    Fixed some issues from #5718 (#5791)
    
    * Fixed some issues from #5718
    
    - Confirmation message for number of lines to print will not appear
    anymore if the output is redirected to a file.
    - "signature too small" message will be printed to stderr instead of
    stdout, so will not appear on zignature file.
    - Previous flagspace will be restored after running `.z` or `z/`
    commands.
    
    * Changed fprintf (stderr,... to eprintf

commit c28b541b583d24142f65d546426dd0037710a040
Author: Siguza <siguza@siguza.net>
Date:   Sun Sep 18 13:26:29 2016 +0200

    Fix typo

commit e10c664c551af6c689b265b40ab4114a0b5d25ca
Author: pancake <pancake@nopcode.org>
Date:   Fri Sep 16 18:27:42 2016 +0200

    Add msr/mrs for the armass64 assembler

commit d4a87d1eed63d7f04136b87febcca30a4d5f2d36
Author: pancake <pancake@nopcode.org>
Date:   Fri Sep 16 16:32:56 2016 +0200

    Extend oa to load a different bin and handle riodesc properly

commit 90ddc675df36f58a01e1306f6ceded03d3b46cbf
Author: pancake <pancake@nopcode.org>
Date:   Fri Sep 16 15:36:24 2016 +0200

    Fix r2 -H

commit f596505c1751bfc4c61a22f1b318c3d288b1b27a
Author: saucec0de <tiago.gasiba+saucec0de@gmail.com>
Date:   Fri Sep 16 11:32:08 2016 +0200

    Fix #5474: proposal of fix (#5782)

commit edb43e11f52f2e29b0cb1007c7ad0165a9460135
Author: pancake <pancake@nopcode.org>
Date:   Fri Sep 16 11:31:30 2016 +0200

    Honor cursor again in Vdf

commit b104e75dcbe0d18b5ac74629542b94b610d6b4c2
Author: pancake <pancake@nopcode.org>
Date:   Fri Sep 16 10:15:17 2016 +0200

    Shadow LDFLAGS and CPPFLAGS for the HOST build of SDB

commit e607086e8fc593de5d4f26b4f23617e5c9dc174c
Author: Marc <h4ng3r@users.noreply.github.com>
Date:   Thu Sep 15 22:57:37 2016 +0200

    fix coverity issues (#5779)

commit ce497415eb1cf4fae7ef2dd745f04cdf989e7011
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 15 22:25:21 2016 +0200

    Fix pkg-config issues for some systems

commit 73b73d507c186454693a7e167e27019cb9b86b4b
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 15 19:31:25 2016 +0200

    Fix #5725 - Honor hex.cols in pxe

commit 515c732bef6e46f524ea2624631af60fa934ce0d
Author: n4☠0r <kalianon2816@gmail.com>
Date:   Thu Sep 15 19:25:20 2016 +0200

    missed return value (#5777)

commit f0466624f6aff390ec92081319ebaa173b88a75d
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 15 19:24:46 2016 +0200

    Fix #5766 - null deref in av

commit 798959bd6f37951bae76ee6786898328d39c35b6
Author: n4☠0r <kalianon2816@gmail.com>
Date:   Thu Sep 15 19:11:15 2016 +0200

    Fix coverities related to dmh

commit 1449d61850d51c033f6875029ad40814a579e52d
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 15 17:30:38 2016 +0200

    Fix regression in rasm2 -d

commit 4df85046fdfcbe06d1f085b5a224ef844c3dca79
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 15 17:19:39 2016 +0200

    Add r_buf_resize and make ihex:// .resize() work

commit 0209a1679ed7697711bf0c6c6fe6e80f4089a105
Author: evanrichter <evanjrichter@gmail.com>
Date:   Thu Sep 15 09:25:32 2016 -0500

    Add ?en command to echo without newlines

commit 4f6b64a9846f62da04cb1d0add40b48cbe62a0a0
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 15 16:21:44 2016 +0200

    Some code cleanup/review for rasm2 + arc

commit bd04f57ceef5e7cbefaced78b5778ae7d6ecb75e
Author: Vlad Ivanov <vlad-mbx@ya.ru>
Date:   Thu Sep 15 16:03:54 2016 +0300

    anal: always save address in the esil read callback (#5738)

commit 271fa1ad338cfd5fc9d3bba2068747d10549896e
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 15 14:18:28 2016 +0200

    Fix aat

commit 502f30bf0f9f5592c173fffb9f2827f5d327fd2c
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 15 13:00:27 2016 +0200

    Fix #5690 - Vvm -> Vvr

commit 22717a7998465807a9dac815f52697e1264e3df6
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 15 12:52:50 2016 +0200

    Fix #5754 - Honor ./ and abspath in r_file_path for r2 -d

commit cde25b0335eedda6135f719ac36cffb52dc71a97
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 15 12:40:29 2016 +0200

    Refix #5715 - Add Ve$ command to see vars in visual

commit 0b0f20c4f58f7a8b494ebf0e5db34afa72096a2d
Author: Ahmed Mohamed Abd El-MAwgood <ahmedsoliman0x666@gmail.com>
Date:   Thu Sep 15 12:09:23 2016 +0300

    asm.calls final tweakings / bug fixes (#5765)
    
    * Fixing asm.calls with zero argumnts
    * Fixing last broken bit of asm.calls
    * refactoring the added cdecl dbs
    * dsaf# Please enter the commit message for your changes. Lines starting

commit c0c0cba3398466661afed716f709f1fc404a752e
Author: Marc <h4ng3r@users.noreply.github.com>
Date:   Wed Sep 14 21:49:03 2016 +0200

    fix #5465, #5745, 'ic' command and some memory leaks (#5764)

commit bc16525860b6efc7f42775d74b727cbff5f6fb05
Author: Ahmed Mohamed Abd El-MAwgood <ahmedsoliman0x666@gmail.com>
Date:   Wed Sep 14 19:23:11 2016 +0300

    Making asm.calls true by default
    
    And fixing some of its output syntax issues

commit aa2286bc355fbee129762677235f8cd4ddd0f133
Author: pancake <pancake@nopcode.org>
Date:   Wed Sep 14 18:13:15 2016 +0200

    Some covs fixed

commit edf019d26171d435c1c7b4e6fcd6299e060b200b
Author: pancake <pancake@nopcode.org>
Date:   Wed Sep 14 17:31:14 2016 +0200

    Add PYPATH to r2pm

commit 04cf13df88cf1635e83111b0fb93603d080a63d3
Author: Ahmed Mohamed Abd El-MAwgood <ahmedsoliman0x666@gmail.com>
Date:   Wed Sep 14 17:49:19 2016 +0300

    integrating asm.calls with function types database (#5761)
    
    Current unfixed issues:
            works with aa, aaa,aaaa but never worked with af

commit d4ea3b2277bfc8e5550296989126af46b7fc9f44
Author: pancake <pancake@nopcode.org>
Date:   Wed Sep 14 16:42:23 2016 +0200

    Fix #5642 - bring back the old afb behaviour

commit b44ec9b3e32026d6542400c91e7ac184dc310d06
Author: pancake <pancake@nopcode.org>
Date:   Wed Sep 14 13:11:04 2016 +0200

    Add =!pkt in gdb:// and other minor fixes

commit b7b46d305c5dcb121fea9772cacf8f8b82528e69
Author: pancake <pancake@nopcode.org>
Date:   Wed Sep 14 00:22:43 2016 +0200

    Fix for tk

commit 9d6cf8d08cc89f874d4d75c59d5ebfc3ab72054c
Author: Ahmed Mohamed Abd El-MAwgood <ahmedsoliman0x666@gmail.com>
Date:   Wed Sep 14 01:11:20 2016 +0300

    merging afv* commands (#5753)
    
    Due to the uniqueness of name of arguments and variables, They can be
    used solely to identify every other piece of information (including the
    base register type).
    This will make the commands some how user friendly and more usable by removing one extra
    letter from some commands.

commit 6b56489eafc6782f0f5de34050b240ebd6abe0a7
Author: jvoisin <julien.voisin@dustri.org>
Date:   Tue Sep 13 20:35:15 2016 +0200

    Fix a few warnings

commit ae511391e220754188792df1553d8477d8887c7b
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 13 17:08:18 2016 +0200

    Fix #5729 - tk uses rcons now

commit 17c3d30a47cf4df5cfe6bd1e606a818268df3e23
Author: szt <SztfG@yandex.ru>
Date:   Tue Sep 13 18:02:09 2016 +0300

    fix op->type in libr/anal/p/anal_x86_cs.c for FMOV in swich statement

commit bfeff9f10bb6e38b2f6156f02a9808cc35d9d48a
Author: Sylvain Pelissier <sylvain.pelissier@gmail.com>
Date:   Tue Sep 13 13:12:07 2016 +0000

    ARM conditional instruction information (#5747)

commit d6708032b57e4777ce0e54636b941c31af336a69
Author: BlueC0re <bluec0re@users.noreply.github.com>
Date:   Tue Sep 13 12:29:20 2016 +0200

    added r_str_{ends|starts}with to header (#5743)

commit bb48971b98a7fe83f598a74f267df22b1cb4454f
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 13 12:28:34 2016 +0200

    Add jump/fail in afbj

commit 68a14b050ad37dc63d15091e89bc4cb5adece10b
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 13 03:46:00 2016 +0200

    Fixes for dr[*]<num> and adjust indent in cmd_debug

commit cadb0bd8458bdcdd65692546c1b171a6c01b9050
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 13 03:25:15 2016 +0200

    Several fixes for gdb:// on avr, still wip

commit a59e0ce083eeca836308ebd5db077dac9f02793a
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 13 02:38:08 2016 +0200

    Fix crash in gdb:// and some oobreads

commit 690847a25f6c4dc8f1b02b669fdb79e10d70fb53
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 13 01:49:36 2016 +0200

    Fix analysis of sub r,r

commit 0167ba90a175c58103c52985bca9a7d1e1a68da3
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 13 01:01:29 2016 +0200

    Add r2pm -w and handle R2PM_DEPS

commit 11dfabd0e4bf5b8a929c8d3e24f327904fa26715
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 13 00:17:07 2016 +0200

    Honor CPU in sys/ios-static arg

commit 039d1fb7c4fd7f5d1690884c75420708cf1b8a39
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 12 23:56:03 2016 +0200

    sys/ios-static.sh generate easy-to-deploy tarball

commit d6a344acec0fb23e7ae89541521b69629f08a2d0
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 12 23:11:38 2016 +0200

    Fix #5737 - Show '%c' in mov [],v

commit d01f3832ad097814950e7cd67f8370c8fe7c1dc1
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 12 23:04:44 2016 +0200

    Fix #5742 - Honor -n in -d

commit 4486553e4fd840f886d6d93f65e773f41562ae8d
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 12 23:04:35 2016 +0200

    Add sys/ios-static-appstore.sh

commit bf33929287684478dbb5c7d3dc1cdcab14f7927e
Author: BlueC0re <bluec0re@users.noreply.github.com>
Date:   Mon Sep 12 22:43:05 2016 +0200

    Feature/var struct offsets (#5733)
    
    * delete variables which are shadowed by a structure field
    * implemented varsub with structure fields (currently only depth of 1)

commit c125f577e12b38b6a9a0711bd0072d566fa7bbdf
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 12 22:41:21 2016 +0200

    Revert "Upgrade capstone-next from git"
    
    This reverts commit 547e98e1f400146586d36a4da67bd2507f73f014.

commit 811f902b5c78d6fe0d7d78439d1d4a7987796bd0
Author: n4☠0r <kalianon2816@gmail.com>
Date:   Mon Sep 12 22:08:16 2016 +0200

    Child thread heap analysis support (#5741)

commit d2e0a7e0faaac8f54c46cf5b6393bc664b95fd9e
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 12 22:06:58 2016 +0200

    Fix 'Cannot allocate issue via rap://

commit 0f168ff73b83846dcc2ef2328f8b7686e585395c
Author: Vlad Ivanov <vlad-mbx@ya.ru>
Date:   Mon Sep 12 22:18:43 2016 +0300

    anal_xtensa: fix l32r offset calculation (#5740)

commit 547e98e1f400146586d36a4da67bd2507f73f014
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 12 21:16:10 2016 +0200

    Upgrade capstone-next from git

commit 7c1d783d4d63d47f20ee2ff4dd5665be01125bbc
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 12 21:13:24 2016 +0200

    More fixes for ios-static

commit 496da56a9e3884fc413598b2a3b0dd68c5be8fb9
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 12 20:52:12 2016 +0200

    Fix sys/ios-static.sh

commit b0b71f9f0980dee7520d6deff7752e6c79012959
Author: Vlad Ivanov <vlad-mbx@ya.ru>
Date:   Mon Sep 12 19:41:11 2016 +0300

    aae improvements (#5727)
    
    * anal: increment instruction ptr even when no ESIL result is available
    
    * anal: axf: try to resolve function names for 'C' refs
    
    * disasm: print function names for 'C' refs

commit c3c03631965c1f2f7926b783cf97978ab781893e
Author: Marc <h4ng3r@users.noreply.github.com>
Date:   Mon Sep 12 18:39:23 2016 +0200

    Check array boundaries for proto, types, fields and methods in DEX

commit 6a6b4ec7f38667d77a3601b2321841da4a7f3395
Author: Anton Todorov <ANTodorov@users.noreply.github.com>
Date:   Mon Sep 12 19:31:48 2016 +0300

    Remove unused variable in r_debruijn_offset()

commit db1d20c05453e4483a84418915c4f0d452ffd133
Author: Ahmed Mohamed Abd El-MAwgood <ahmedsoliman0x666@gmail.com>
Date:   Sun Sep 11 23:36:55 2016 +0300

    stack frame size for xtensa functions (#5734)

commit 3de8491858d0d464442f3934e5fef4d97b0e03d7
Author: Vlad Ivanov <vlad-mbx@ya.ru>
Date:   Sun Sep 11 05:25:08 2016 +0300

    xtensa calling convention (#5731)

commit 3f2cb95869388837492bcb3582e65924e021c98e
Author: jvoisin <julien.voisin@dustri.org>
Date:   Sat Sep 10 18:47:33 2016 +0200

    Sort a bit the fortunes

commit 61bb951cfdb38ec067c1f1432707800390fe28cf
Author: pancake <pancake@nopcode.org>
Date:   Sat Sep 10 16:31:28 2016 +0200

    Fix dex oob index and uninit access issues

commit 798952b56170b46e17cbcd4d01b2ad3dea6e62db
Author: pancake <pancake@nopcode.org>
Date:   Sat Sep 10 13:22:29 2016 +0200

    Fix #5723 - fix null deref in elf.destroy

commit edb720d7915d0af67a55953f5f84de8ec20a561c
Author: pancake <pancake@nopcode.org>
Date:   Sat Sep 10 13:19:43 2016 +0200

    Add r_str_{starts|ends}with

commit f12b1dbec8f6087caf00f5ebddc443b481d4bc7d
Author: pancake <pancake@nopcode.org>
Date:   Sat Sep 10 13:17:09 2016 +0200

    Fix #5720 - Add v in VV

commit 532606160a2376d8ad60f0098ed6f7436c3ae8ab
Author: Maijin <maijin21@gmail.com>
Date:   Sat Sep 10 11:36:07 2016 +0200

    Fix (null) in afna
    
    Fix (null) in afna

commit aa9139d9e427fb886ecdd9baafd6524755cd16e2
Author: Maijin <maijin21@gmail.com>
Date:   Sat Sep 10 00:37:09 2016 +0200

    Add ?$ in the documentation

commit abc9187e144f4d5c33a05586355983b0fcff04cf
Author: Ole André Vadla Ravnås <oleavr@nowsecure.com>
Date:   Fri Sep 9 19:30:23 2016 +0200

    Fix invalid free() on teardown for io plugins (#5722)
    
    For example given a plugin defined like this:
    
    RIOPlugin r_io_plugin_foo = {
            .name = "foo",
            ...snip...
    };
    
    #ifndef CORELIB
    RLibStruct radare_plugin = {
            .type = R_LIB_TYPE_IO,
            .data = &r_io_plugin_foo,
            .version = R2_VERSION
    };
    #endif
    
    We will try to `free(&r_io_plugin_foo)`, which was not allocated on the
    heap. Static io plugins are OTOH allocated like this, so we need to do
    the same for dynamically loaded io plugins. However, this is not the same
    across the different plugin types, so we need to special-case io plugins
    here.

commit 10db9ed827c48ca8ba5d3e4e08784ff977161ec2
Author: Paul <pvt.gord@gmail.com>
Date:   Fri Sep 9 19:28:47 2016 +0200

    pdf/pdr/anal fix (#5709)

commit a76977a89588bbebf99e8ea1cfbb974fa4b3e761
Author: Marc <h4ng3r@users.noreply.github.com>
Date:   Fri Sep 9 19:27:36 2016 +0200

    Enhance DEX parser

commit 9fdc110816bef37252fc090aceaf99423ce6be40
Author: jvoisin <julien.voisin@dustri.org>
Date:   Fri Sep 9 14:52:29 2016 +0200

    Fix a typo

commit c82e9d786719ce5d4ad636c9bd5ee5ca173e76aa
Author: Vlad Ivanov <vlad-mbx@ya.ru>
Date:   Wed Sep 7 21:33:41 2016 +0300

    anal: fix aae command arguments handling

commit 03b2079c157af66c38ebfc8c10a97ac6cfd870d4
Author: leberus <osalvador.vilardaga@gmail.com>
Date:   Fri Sep 9 14:30:41 2016 +0200

    Fix: fix segfault for really long mapped files processes (#5714)

commit 59c72bed21f5bd8d7e5f1e51b457436960ccd82c
Author: pancake <pancake@nopcode.org>
Date:   Fri Sep 9 14:29:42 2016 +0200

    Fix #5715 - Show ?0 variables in ?$

commit 618ac8ad03b0239c0fa2358597d8a16dd0cec0c5
Author: pancake <pancake@nopcode.org>
Date:   Fri Sep 9 14:08:47 2016 +0200

    Fix format string vuln in r_cons_yesno

commit 8ed95246d72691a0e8de799ff71ed409d5ea8f36
Author: pancake <pancake@nopcode.org>
Date:   Fri Sep 9 14:02:28 2016 +0200

    Fix esil expression for x86

commit 6bb5c881167eff47ab99d335449f4bb4dc8d8c6d
Author: Maijin <maijin21@gmail.com>
Date:   Fri Sep 9 14:02:13 2016 +0200

    Fix typo in types-x86-windows
    
    Fix typo in types-x86-windows

commit 61fd4f6d0da6983b621264bff0036688cb3d0f17
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Thu Sep 8 10:22:43 2016 +0200

    added message entitlement mach when malformed

commit b86f1c471d6ed4f22ab0970dc09a4c2e86b8f13c
Author: Anton Kochkov <anton.kochkov@gmail.com>
Date:   Thu Sep 8 13:17:26 2016 +0300

    Add , help

commit 7ea11a38c512c68a11fc2edd455e8348156b9cdf
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Sep 7 19:44:22 2016 +0200

    remove check in check_sections pe.c

commit 89de312a063eec822ed2acdd2cfd78ffb079be74
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Sep 7 19:41:49 2016 +0200

    fix coding style in pe.c

commit d1b44354056c127c41dc2485ac1295f35a8f8349
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Sep 7 19:18:03 2016 +0200

    added comments into RBinPlugin

commit 7826f7fda774f1320fd142ba4ad5f72c7a2a3284
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Sep 7 20:06:36 2016 +0200

    fix crash due to latest changes in anal

commit a458a368145cf26ad6bb4e6cab28ea986b463c0a
Author: pancake <pancake@nopcode.org>
Date:   Wed Sep 7 00:10:05 2016 +0200

    Fix android build

commit 676d4dbc2d2bd54d5288b1fc4892909f402353a7
Author: Vlad Ivanov <vlad-mbx@ya.ru>
Date:   Wed Sep 7 00:00:59 2016 +0300

    core: anal: ref R_ANAL_REF_TYPE_CALL for R_ANAL_OP_TYPE_UCALL (#5706)

commit 38e9b80943bd800122fae8c8a5aaa899592f8bdd
Author: Vlad Ivanov <vlad-mbx@ya.ru>
Date:   Wed Sep 7 00:00:04 2016 +0300

    anal_xtensa: set jump_target in esil (adds ref during aae) (#5707)

commit d250d21385c608a46ce7e09670ce46c0ae85f4db
Author: dromero <dromero.perez@hotmail.com>
Date:   Tue Sep 6 12:02:38 2016 +0200

    Fix for the #5671 issue (#5704)

commit 8b413f101e0014b62ba562c46af0f6d55a1f59fa
Author: Maijin <maijin21@gmail.com>
Date:   Tue Sep 6 10:22:57 2016 +0200

    asm.relsub=true by default
    
    asm.relsub=true by default

commit 2952120e885dcfe95614f2283cf3a34f6d49caf3
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 6 05:17:44 2016 +0200

    Add p=0 and p=F

commit 6df53f8bb12cff092846cf8052c9da597e45d409
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 6 04:29:42 2016 +0200

    Fixes for enum types in t and pf

commit 11bbcfd690a433336e4e43b7db450da2f9723411
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Tue Sep 6 02:53:45 2016 +0200

    Fix bad interpretation from dynamic section (#5702)
    
    We were not using correctly DT_PLTREL

commit 6fabf7acc248e2244297f9260f4876f5d6eca2d4
Author: pancake <pancake@nopcode.org>
Date:   Tue Sep 6 02:48:01 2016 +0200

    Set leahints to false by default

commit d77d7984aa037981b7313a3423345fc436200f3e
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 5 21:56:39 2016 +0200

    Fix build

commit 30a0987c0a9fdff36ce725378e1e003161353696
Author: Paul <pvt.gord@gmail.com>
Date:   Mon Sep 5 20:42:04 2016 +0200

    Various analysis enhancements
    
    * Updated anal.nonskip is updated
    * Possible infinite recursion fix
    * anal.hpskip is added (false by default)
    * mips fix; build fix; flag_exist_at callback is added
    * nopskip fix
    * asm.leahints fix

commit 0e3b2c20a080c787d3eb3d50af285cdfb76374f4
Author: Roman Valls Guimerà <brainstorm@users.noreply.github.com>
Date:   Mon Sep 5 20:38:01 2016 +0200

    A bit more documentation on ESIL (for AVR) does not hurt (#5701)

commit 003ecd510826ec2a572d139d5bc154b0c7f506d6
Author: Maijin <maijin21@gmail.com>
Date:   Mon Sep 5 14:19:40 2016 +0200

    Man correction -n is the new -N and opposite

commit 00d74d68e157829b369644e106a4cf98fb740172
Author: BlueC0re <bluec0re@users.noreply.github.com>
Date:   Mon Sep 5 12:17:01 2016 +0200

    fixed array types in parsing routines + added special case for char[] (#5696)
    
    Interpret char[] as char* in the pf format (use z instead of c).

commit 66b87e12fd06daa8c645235cb1e394bb07e65e6e
Author: pancake <pancake@nopcode.org>
Date:   Mon Sep 5 04:34:16 2016 +0200

    Fix crash in self://

commit c23c5971a21a438b97bee157557989b5af669cc2
Author: Anton Kochkov <anton.kochkov@gmail.com>
Date:   Mon Sep 5 04:45:41 2016 +0300

    Fix macroses help

commit 38f8f7bf60783e440dbd79c55f1840e09f4782de
Author: Ahmed Mohamed Abd El-MAwgood <ahmedsoliman0x666@gmail.com>
Date:   Sun Sep 4 19:13:10 2016 +0300

    fixing bug in anal type matching
    
    It should stop its work if the calling convention is not found

commit c4f301e52e2c6a66d0f633e0c340d7e67c28ef4e
Author: BlueC0re <coding@bluec0re.eu>
Date:   Sun Sep 4 15:49:24 2016 +0200

    Fix null pointer deref in meta variable comments

commit 5d3c7d1d36d03b29f3f60d5d05680c271b694650
Author: BlueC0re <bluec0re@users.noreply.github.com>
Date:   Sun Sep 4 16:49:12 2016 +0200

    Added array size support for structures

commit 1dbcdb3ca8378907269ff2fc9184a9656ee34ec6
Author: Vlad Ivanov <vlad-mbx@ya.ru>
Date:   Sun Sep 4 15:24:13 2016 +0300

    anal_xtensa: fix "callx0 a0" ESIL (#5689)

commit dad684788344e7b3238a30d39c723f37984c798c
Author: pancake <pancake@nopcode.org>
Date:   Sun Sep 4 14:12:55 2016 +0200

    Add zG exact-match zignatures support

commit 158d3fcc6b266727dd3613f2d561bc9a5029245c
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sun Sep 4 14:03:35 2016 +0200

    More ELFic works

commit 07656c523b353def9c02325e61e7b1f09545e752
Author: pancake <pancake@nopcode.org>
Date:   Sun Sep 4 14:02:27 2016 +0200

    Fix #5684 - Add cfg.minzlen to force minimum length as valid zignatures

commit e3e95d1f4c618d1311a60132698c9d4712728cda
Author: pancake <pancake@nopcode.org>
Date:   Sun Sep 4 13:54:37 2016 +0200

    Implement optimized zo command

commit e6324bcc62fea5d467a447fa29181a1ce39bbcab
Author: pancake <pancake@nopcode.org>
Date:   Sun Sep 4 13:43:36 2016 +0200

    Add zo command and fix build

commit 4d82d3b3bb4a37c64ba67d94f402ef60f32f21bb
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sun Sep 4 13:43:31 2016 +0200

    fix build

commit 69cefa144292a1f920bea3806e129cdd357703e4
Author: pancake <pancake@nopcode.org>
Date:   Sun Sep 4 13:31:25 2016 +0200

    More fixes for agv path discoverty

commit 4b9aeee4a1dae0e7440e83c36b29548f92a36ee2
Author: Ben Cheney <0xbc@users.noreply.github.com>
Date:   Sun Sep 4 20:38:52 2016 +0930

    Replace ${LIB} with lib in bochs Makefile (#5682)
    
    r2 builds currently fail on Bash on Ubuntu on Windows due to the
    ${NAME} variable being defined in the environment (as the current
    hostname), which meant that libbochs.a was being placed in an
    unexpected location. This patch fixes the issue for BoUoW by replacing
    use of the ${LIB} variable with a set value of 'lib'. It should be
    noted that other build scripts (e.g. shlr/bochs/deps.mk) currently
    assume that libbochs.a is located precisely at
    shlr/bochs/lib/libbochs.a anyway (and as such, it is suspected that
    the use of ${LIB} here may have been spurious to begin with).

commit 9f7ebda012e650dc08a9a3d46a64a0c3199d8028
Author: NighterMan <jpenalbae@gmail.com>
Date:   Sun Sep 4 12:17:46 2016 +0200

    Fix for invalid JSON ouput on search cmd

commit 6b5e4f151bdaae4c7e8600a20f4e6c715407469b
Author: pancake <pancake@nopcode.org>
Date:   Sun Sep 4 01:05:14 2016 +0200

    Add core.breakLoop for 1000ds and fix 'ds #'

commit e4948d4c288c081a1e95d4a69c99bc627d89f363
Author: pancake <pancake@nopcode.org>
Date:   Sat Sep 3 20:31:30 2016 +0200

    asm.emustr enables asm.emu automatically

commit dbffaeb6025b0e4cbebf5e8ed7bd3f1a771200bb
Author: pancake <pancake@nopcode.org>
Date:   Sat Sep 3 18:38:12 2016 +0200

    Aim to fix the missing font tag issue in scr.html

commit b3ccf6387c6eed354cdded56966119b31f846b23
Author: pancake <pancake@nopcode.org>
Date:   Sat Sep 3 17:57:30 2016 +0200

    More checks for agv

commit 0db81708011ca83fbf134e6b3f9115fb9c35dbc3
Author: pancake <pancake@nopcode.org>
Date:   Sat Sep 3 17:26:46 2016 +0200

    Fix latest covs

commit d5c0671a50f3bd51affee4de9790d7a17b85fe49
Author: SkUaTeR <skuater@hotmail.com>
Date:   Sat Sep 3 17:08:21 2016 +0200

    fixed esil STOSB opcode for 16 bits (#5676)

commit ea09d9df2bbd4eb486d92920583da1aa35d1c9c2
Author: pancake <pancake@nopcode.org>
Date:   Sat Sep 3 17:08:02 2016 +0200

    Fix pxr0 regression

commit 41a584b91bec5b3c639bc5c3b42bd2dc362e5c59
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sat Sep 3 16:58:36 2016 +0200

    cache symbols and imports from phdr

commit 76d2e3e74f40a1052c0a71cc70fea17b5db5c1b0
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sat Sep 3 16:29:16 2016 +0200

    fix uaf introduced in faster load elf

commit 320a4aad2545661778e49fa564856877e5ffa482
Author: pancake <pancake@nopcode.org>
Date:   Sat Sep 3 14:57:59 2016 +0200

    Fix #5573 - avoid bad names in functions after af

commit bd15b62ed0563cd9ee719c1467fc2f0b9fbcff74
Author: pancake <pancake@nopcode.org>
Date:   Sat Sep 3 14:53:34 2016 +0200

    Always run afva from af if anal.vars is set

commit 8a4ac505b042ec83832c5923d6db38e0dc948321
Author: pancake <pancake@nopcode.org>
Date:   Sat Sep 3 14:39:43 2016 +0200

    Fix #5665 - Properly handle 32/64 bit spawning on OSX

commit 1ad646698ed14fd383782ea75c0dfb3dfc966eff
Author: pancake <pancake@nopcode.org>
Date:   Sat Sep 3 14:22:31 2016 +0200

    Add ?w and drop anal.vars check in afva command

commit bdd87084295b92cb87043fb927f8955c41f11b6e
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sat Sep 3 11:51:33 2016 +0200

    Load ELF files faster caching symbols and imports

commit c397cda15d29982bca3aafc89d233002b75b38d6
Author: pancake <pancake@nopcode.org>
Date:   Sat Sep 3 04:38:45 2016 +0200

    Fix #5667 - Override SHDR symbols with PHDR ones

commit 34a1bdf23c265c2ad8138ca35cc7dc4672003e90
Author: Maijin <maijin21@gmail.com>
Date:   Fri Sep 2 22:27:24 2016 +0200

    Fix #5640

commit daacec5753684cdb08599ede2965958b2d79d0b0
Author: pancake <pancake@nopcode.org>
Date:   Fri Sep 2 20:57:45 2016 +0200

    Fix #5668 - Honor =H arg path

commit 90fee6d5ddcd4c823ca7fd34def0f8155fc7c9ee
Author: pancake <pancake@nopcode.org>
Date:   Fri Sep 2 20:00:16 2016 +0200

    Fix regression logic in agv and update help

commit 7c0f154dea78e470314c5f19d06957da02648c69
Author: pancake <pancake@nopcode.org>
Date:   Fri Sep 2 18:11:56 2016 +0200

    Fix #5627 - Iterate over all instructions with @@i

commit 6b1a0677fdb929575a02f091570aa3907a707459
Author: pancake <pancake@nopcode.org>
Date:   Fri Sep 2 17:14:52 2016 +0200

    Revert "Remove agv fix #5662"
    
    This reverts commit 12486179891fe7842f4f0f6dc82f59d13e9fab43.

commit 6b046b240b2fe87f9eaabec72c4f97abada20dbe
Author: pancake <pancake@nopcode.org>
Date:   Fri Sep 2 17:13:03 2016 +0200

    Fix make depgraph.png

commit 90fb18dcfcc3258403feee7322f05a323261646c
Author: pancake <pancake@nopcode.org>
Date:   Fri Sep 2 17:11:49 2016 +0200

    Fix endian issue in mips.gnu assembler

commit aab6ebf06b54cab571ee6162e310e32cdc1fcf3e
Author: Maijin <maijin21@gmail.com>
Date:   Fri Sep 2 16:48:25 2016 +0200

    Remove afna false-positive

commit 48cbf32b880fdd561db9ae0f9a1109954da29968
Author: Maijin <maijin21@gmail.com>
Date:   Fri Sep 2 14:15:05 2016 +0200

    Fix #5666

commit 12486179891fe7842f4f0f6dc82f59d13e9fab43
Author: Maijin <maijin21@gmail.com>
Date:   Fri Sep 2 14:11:42 2016 +0200

    Remove agv fix #5662

commit 19d4154e39a5e16abd554e4804e22142fe7066f3
Author: Vlad Ivanov <vlad-mbx@ya.ru>
Date:   Thu Sep 1 23:50:28 2016 +0300

    anal_xtensa: initial ESIL support

commit 0a1e99ce0458a25c8ea730fba4d07531e151e89f
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 1 22:46:07 2016 +0200

    Fix assemble() endianness for mips

commit 4429de16f95eaedec387e3b97749b83c9f15f498
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 1 22:34:28 2016 +0200

    Fix pa/pad for big/lil endian

commit dc545c8102e55ee4e68a897805ae594831dd4114
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 1 21:50:04 2016 +0200

    Fix regression in rasm2 -e

commit d8941295e66798fd0fa420fc1514f3b318329d21
Author: Wladimir J. van der Laan <laanwj@gmail.com>
Date:   Thu Sep 1 21:02:38 2016 +0200

    Fix off-by-one error in afx- handling (#5664)

commit f0a2d8657db71a21617caa9d993c77bdf2936687
Author: Tiago Gasiba <tjemg@users.noreply.github.com>
Date:   Thu Sep 1 19:11:46 2016 +0200

    Add support for conditional breakpoints running r2 commands

commit e16773367fd7615ad9d6eac1162553c24a02c418
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 1 17:12:06 2016 +0200

    Aim to fix OSX crash after last rcons change

commit e18b2b81f18751ed03d9153e9345f97db3659062
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 1 14:15:08 2016 +0200

    Fix pdb regression and more syntax cleanup

commit 945d6690f9e385cd13eb8e39323982bc6aefd8d8
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 1 12:39:32 2016 +0200

    Fix latest coverities

commit 0dab9829234a9ca27912ed4c84045e083dc14535
Author: pancake <pancake@nopcode.org>
Date:   Thu Sep 1 12:06:22 2016 +0200

    Disable the uncolorful non-tty behaviour by default

commit 697de91c861777fb407ce792556569680a84625b
Author: pancake <pancake@nopcode.org>
Date:   Thu Jun 2 12:45:11 2016 +0200

    Fix #5038 - Disable color when stdout is not in a terminal

commit d9cac5b3ff5b0b6f3b99b74878a579d8b4923ac9
Author: Tiago Gasiba <tjemg@users.noreply.github.com>
Date:   Thu Sep 1 11:51:00 2016 +0200

    fix radare2-regressions/t.archos/Linux-x86_64/dbg_bps regressions (#5661)

commit 9fa781beccaca5759b2990cb11358b43c17683ee
Author: pankajkataria <me@pankajkataria.com>
Date:   Sat Aug 27 20:34:18 2016 +0530

    Add av* and avj to show vtables in r2 and json formats

commit 722e568d6649f2a097201bceac7adb2612672dcb
Author: pancake <pancake@nopcode.org>
Date:   Wed Aug 31 11:24:50 2016 +0200

    Implement drb[1,2,4,8]

commit 7a79e801ff15ddd11cf7a07440f725a625921b8d
Author: Tiago Gasiba <tjemg@users.noreply.github.com>
Date:   Wed Aug 31 10:32:54 2016 +0200

    Fix 5649 - afu documentation (#5659)

commit b1480739eb3caae2efc414dbd045202c107c654c
Author: pancake <pancake@nopcode.org>
Date:   Wed Aug 31 03:30:41 2016 +0200

    Add @@b iterator for all the basic blocks

commit 1ef0944cf59129371a6410a0f69da9df071dd94b
Author: pancake <pancake@nopcode.org>
Date:   Wed Aug 31 03:17:51 2016 +0200

    Fix #5657 - aap segfaults

commit 82d42ba5b23bcc427b247484053277cab92281f4
Author: pancake <pancake@nopcode.org>
Date:   Wed Aug 31 02:30:20 2016 +0200

    Fix build and basic run of the ios-arm64 debugger

commit 12a6469bbd4fc7e5542d692a6a43fdc482505080
Author: pancake <pancake@nopcode.org>
Date:   Wed Aug 31 01:57:36 2016 +0200

    Various fixes for the debug register state on XNU for ARM and x86

commit 71ba33e2ad11bfdfdf7dadd38307b8178315d84c
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 30 23:41:09 2016 +0200

    Fix stack alignment bug in anal.arm64.esil

commit dc7d65c07ae0d2e2f64f8650e793beab560cf1b1
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 30 23:21:23 2016 +0200

    Extend arm64 regprofile for 16 and 8bit registers

commit bf6f4c547772fad94ad699da7f984b9b87c0cabf
Author: Pau Oliva <pau@eslack.org>
Date:   Tue Aug 30 16:28:24 2016 +0200

    Add CPS-2 encryption support

commit c474aa5a9f6d0fb8f29f1de57c414075998f595f
Author: Ahmed Mohamed Abd El-MAwgood <ahmedsoliman0x666@gmail.com>
Date:   Tue Aug 30 16:47:04 2016 +0300

    Fixing nasty bug in CC implementation (#5650)
    
    That is not the kind of bug I see everyday
    1- calling convention db is loaded
    2- function cc types is initialized by project file, that string is only
    one copy across the whole database for memory efficiency.
    3- The db is reloaded due to change in arch or what ever, Old strings
    are freed and new one is created with totally new address. Most cases it
    just reload the same database.
    4- Addresses in function cc types are not updates, they are already
    freed at reloading db step
    
    Solution implemented at db reloading step:
    1- create new temp db with all possible available calling conventions and
    the adresses in memory of these calling conventions
    2- once db is reloaded, grab adress of cc from function, match it with
    the name in the new temp db, then replace it with the constant value
    from the newly loaded db

commit b95ab62f05c2415002ce8efadf65e08e47dcd2fc
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 30 15:44:52 2016 +0200

    Fix #5646 - Division by zero in asm.hints

commit e04498ac02f87b207b8085a9408b7fae875c0724
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 30 04:26:20 2016 +0200

    Add rabin2 -X and r_bin_package for FAT and ZIP

commit b11298b8f78e90eddd29aa6ade8db695cff46f48
Author: BlueC0re <bluec0re@users.noreply.github.com>
Date:   Mon Aug 29 20:20:10 2016 +0200

    fix visual mark target address (#5637)

commit 912bc40327d9ac6ec1fd2a6924ab419633224f35
Author: Ahmed Mohamed Abd El-MAwgood <ahmedsoliman0x666@gmail.com>
Date:   Mon Aug 29 21:19:05 2016 +0300

    Initial support for afta command

commit 530ee2d06fdd1a8fce2ff182b096ffc45bcc3cee
Author: Riccardo Schirone <ret2libc@users.noreply.github.com>
Date:   Mon Aug 29 12:29:30 2016 +0200

    bin: fix elf program header name INERP -> INTERP
    
    core/cmd_print: update pf help message

commit 2a6468698191cb55a75f6b825527a39272d2e39e
Author: Akihiko Odaki <akihiko.odaki.4i@stu.hosei.ac.jp>
Date:   Mon Aug 29 18:39:50 2016 +0900

    Fix #5634: Use 32 bit calling convention for ARM Thumb

commit dbfd630927423795f1112a63d200ca9c5158b2fb
Author: Akihiko Odaki <akihiko.odaki.4i@stu.hosei.ac.jp>
Date:   Mon Aug 29 18:39:30 2016 +0900

    Fix cc.arm64.name

commit 673d3da145a3f5df9c07b2466aeda1f22ab06bda
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 29 01:20:05 2016 +0200

    Fix null deref in aftm

commit 0d3595e83ab6ff09a01fc84254e630d8e696568f
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 29 01:12:05 2016 +0200

    Fix #5555 - Misleading in/out annotations for AVR

commit 6d040b2f7164c1c6d11c4b2b31b971c231a6df6e
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 29 01:09:10 2016 +0200

    Syntax indentation fixes in mach0 and cbin

commit 36bc8056928efe7eeaa389edb99907d69bdfebbf
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 28 23:35:27 2016 +0200

    Update www/m

commit 4c7f2e722e3e8d276e582f112bfd7fa90597374a
Author: Sebastien Marie <semarie@users.noreply.github.com>
Date:   Sun Aug 28 22:14:28 2016 +0200

    r_sys_mkdir() is now a function instead of a macro to properly check the sandbox

commit 104c240d0ad01a1c07772f473e346c3ee4c38f85
Author: Maijin <maijin21@gmail.com>
Date:   Sun Aug 28 21:35:31 2016 +0200

    Add initial function list for osx-64

commit 520106bac98c99bb5e4e6b070370047b2f615769
Author: Tiago Gasiba <tjemg@users.noreply.github.com>
Date:   Sun Aug 28 19:36:59 2016 +0200

    Fix #5556 - prints all hashes, even if have gap between the bits

commit 84e871e45603bd6a508ed47d1b9df249fa31d0fb
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sun Aug 28 17:35:28 2016 +0200

    Fix #5476 - fix UAF executing twice izz~:0

commit 3e215697228da90471839ad3168090b291c54be5
Author: Tiago Gasiba <tjemg@users.noreply.github.com>
Date:   Sun Aug 28 15:48:38 2016 +0200

    Fix dbic <num> <cmd> Arg parsing

commit 1639113cb13e896dd0c675c383af066cf2efbe2d
Author: Tiago Gasiba <tjemg@users.noreply.github.com>
Date:   Sun Aug 28 13:56:29 2016 +0200

    Fix swstep on x86-32 for UCALL/UJMP instructions

commit 0e3949214857af8ee934855b16f491c6229d39a9
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 28 13:53:59 2016 +0200

    Make dalvik method/field names consistent again

commit e686af49aa14a77a85acde13794c238dcf78b746
Author: Tiago Gasiba <tjemg@users.noreply.github.com>
Date:   Sun Aug 28 13:41:06 2016 +0200

    Make !? help available via ?!

commit 220a0b46bd76c8f897e028f60a253fa1da65d916
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 28 13:39:15 2016 +0200

    Fix #5554 - Update !? help

commit 9f55b79ca364e89deb1cdac086aae454460e3d99
Author: Vlad Ivanov <vlad-mbx@ya.ru>
Date:   Sun Aug 28 14:27:13 2016 +0300

    anal_xtensa: fix stack pointer definition in reg profile

commit 0b32cf7c90a5f96024da7c28ea2101760e494c88
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 28 13:18:11 2016 +0200

    Fix recent regressions for DEX, fix entrypoints, {s,i}fields and lot of segfaults!

commit cc73f46ee31e02c59efeb03afd0ff29f49c99edb
Author: SkUaTeR <skuater@hotmail.com>
Date:   Sun Aug 28 03:59:47 2016 +0200

    fix overflow on reg sync (#5628)

commit 3a7a46441ec9b7f23bba9054e2f861274288baa0
Author: Tiago Gasiba <tjemg@users.noreply.github.com>
Date:   Sat Aug 27 19:19:58 2016 +0200

    Fix swstep on call [addr]

commit 7cf0e1b63361e14a92512f6a940e18283acd2afe
Author: pancake <pancake@nopcode.org>
Date:   Sat Aug 27 02:32:43 2016 +0200

    Fix r2pipe:// (initial \x00 issue and cmd chop messages properly)

commit 66772837c0e6efb4f53394e4f5343c742673880e
Author: Rakholiya Jenish <P4N74@users.noreply.github.com>
Date:   Sat Aug 27 05:06:40 2016 +0530

    Add support to have custom directory name for cloned repo

commit e9e8ae362970b894dbdd179bbeb7bcd933ffbd41
Author: Damien Zammit <damien@zamaudio.com>
Date:   Sat Aug 27 09:34:45 2016 +1000

    Bigendian fixes: DEX parser (#5588)

commit 8b17834eb5178660225c9214220e572a22f2277b
Author: SkUaTeR <skuater@hotmail.com>
Date:   Fri Aug 26 23:51:56 2016 +0200

    Fix command do in windows, fix dr command to get segments registers, …

commit 3ae075cba9acbbbd18eea34062275e12f029e8cc
Author: Damien Zammit <damien@zamaudio.com>
Date:   Sat Aug 27 06:21:06 2016 +1000

    rabin2: Fix check for binaries and as a result don't need to open twice (#5614)

commit 16502dbe90599c99e36ff64b1ed5d8f3650c5194
Author: Pankaj Kataria <me@pankajkataria.com>
Date:   Sat Aug 27 01:42:13 2016 +0530

    Updated av to fix recent regression

commit 40aa48681dcaebde89adcc47da4e28e31109e088
Author: BlueC0re <bluec0re@users.noreply.github.com>
Date:   Fri Aug 26 21:35:10 2016 +0200

    Fix vmarks and save them in the project
    
    removing deletion of marks after dump and using UT64_MAX as an unset flag throughout the code.

commit 6f314bf0db9e9802e1bc73df5d67c1a4ed10b6c7
Author: BlueC0re <bluec0re@users.noreply.github.com>
Date:   Fri Aug 26 20:02:02 2016 +0200

    fix immediate base setting in visual mode

commit 0ad02a8afcaf522fd18da97914dd74f02fecd05e
Author: BlueC0re <bluec0re@users.noreply.github.com>
Date:   Fri Aug 26 20:01:31 2016 +0200

    fixed missing newline in graph help menu
    
    Was almost hiding the function callgraph keybinding.

commit ee7216a11705a0846734a5a68b48842172dd6f1e
Author: Phil <philipp.B.610@googlemail.com>
Date:   Fri Aug 26 20:01:15 2016 +0200

    Fix typos in cmd help msg

commit bf95f88fe8812d9601db066f5869f0cce5b275ca
Author: Jeffrey Crowell <crowell@bu.edu>
Date:   Thu Aug 25 23:23:45 2016 -0400

    ignore kdev4 garbage

commit 64d91ce2fb1c1ddbf351436b4133b58f8d11f4a3
Author: pancake <pancake@nopcode.org>
Date:   Thu Aug 25 20:27:52 2016 +0200

    Add scr.color.bytes and rename scr.colorops to scr.color.ops

commit 0db6959c6d2cf2675aec6ab08eb19f9413fb4f3d
Author: Jeffrey Crowell <crowell@bu.edu>
Date:   Thu Aug 25 18:26:59 2016 +0000

    fixup grammar in r_debug_kill

commit 30e3d06dbf0dd11d6d37446fe334d7385d12942a
Author: pancake <pancake@nopcode.org>
Date:   Thu Aug 25 20:17:55 2016 +0200

    Fix #4814 - Make asm.reloff less confusing and add experimental asm.reloff.flags

commit 26709536784251f505ae2d1ed5fd747342799370
Author: pancake <pancake@nopcode.org>
Date:   Thu Aug 25 18:54:07 2016 +0200

    Initial boolification of the DisasmOptions struct

commit fb4a895d9ad34d1684fd59c9d3b5ec477efdce62
Author: zlowram <zlowram@gmail.com>
Date:   Thu Aug 25 18:41:49 2016 +0200

    Fix #5571 - Add e asm.cmtrefs
    
    Disabled by default. When enabled, it shows the flag and comment that is at the ref of the current instruction.

commit a74fed4fdf8a1ca77f1f6813a3ac8260d2138a3e
Author: pancake <pancake@nopcode.org>
Date:   Thu Aug 25 17:46:08 2016 +0200

    Fix infinite loop in r2 -e cfg.editor=- -c- --

commit c86010e702de2b45815857c140ceafdc03b58e19
Author: Rakholiya Jenish <P4N74@users.noreply.github.com>
Date:   Thu Aug 25 20:36:23 2016 +0530

    pf indent fix and follow code standards (#5607)

commit 12ba06aab6683d01e91d8ffe67e3a7f6a7812b09
Author: Ahmed Mohamed Abd El-MAwgood <ahmedsoliman0x666@gmail.com>
Date:   Thu Aug 25 15:55:22 2016 +0300

    Fixing coverties in anal_tp.c (#5606)
    
    CID 1361922
    CID 1361920

commit ee30afde4528d92003b43a5467d390bbbc61eb2a
Author: Ahmed Mohamed Abd El-MAwgood <ahmedsoliman0x666@gmail.com>
Date:   Thu Aug 25 12:26:35 2016 +0300

    Fixing infinite loop issue (#5601)

commit 59a03b7d9a9c61a3ab8eb8680983a46e3496267d
Author: Wladimir J. van der Laan <laanwj@gmail.com>
Date:   Thu Aug 25 09:50:12 2016 +0200

    Fix stack pointer tracking for POPCNT POPFD POPFQ (#5604)
    
    - POPFD and POPFQ were not counted
    - POPCNT is not a stack operation but counts the '1' bits in a word.
      Not sure where POPCNT belongs with it was wrong here.

commit 7df4fc3ce49ca1ed96e7a0ba50c7ce4e93974357
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Aug 24 22:02:38 2016 +0200

    Fix some coverities

commit a3ce21645e60387d43a30ba4634c0f627e26b373
Author: pancake <pancake@nopcode.org>
Date:   Wed Aug 24 16:47:41 2016 +0200

    Fix infinite loop in afm

commit e3c8b637f63ca7a014524aee426373b7e906797e
Author: pancake <pancake@nopcode.org>
Date:   Wed Aug 24 16:45:55 2016 +0200

    Update help for 'af' and handle invalid af subcommands

commit a461d533978a7b1e65655a8a1e939184fe9308ef
Author: Rakholiya Jenish <P4N74@users.noreply.github.com>
Date:   Wed Aug 24 20:03:45 2016 +0530

    Implement stack based splitting of args
    
    * stack based splitting of args
    * fix r_str_rchr

commit 4c1b1b7481e6e3426974dc16fcf2fbcfe7b79fff
Author: Sebastien Marie <semarie@users.noreply.github.com>
Date:   Wed Aug 24 16:30:43 2016 +0200

    make r_sys_truncate() obey to sandbox mode (#5594)
    
    the diff corrects a logic error in `__WINDOWS__ && !__CYGWIN__` case, as
    r_sandbox_open() will return `-1` on error.
    
    and it makes a sandbox check before calling truncate(2) syscall.

commit 2e0434d2118231a50d72639e914637d4968ce786
Author: Sebastien Marie <semarie@users.noreply.github.com>
Date:   Wed Aug 24 16:30:23 2016 +0200

    spelling namepsace->namespace (#5596)

commit 34c6e3e1a189c8119c48b96b5bc34047a72ce8a5
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Aug 24 00:23:14 2016 +0200

    Fix #5543 - oob write in Sr command (#5598)

commit da564f28ee270211b3618c24a98b2930e7f138e1
Author: Wladimir J. van der Laan <laanwj@gmail.com>
Date:   Wed Aug 24 00:01:40 2016 +0200

    Remove unused field addr from SymName

commit 25e75fc00c8ef66307843fcd89b690d1974565fa
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 23 19:27:03 2016 +0200

    Update www-m from git (updated settings panel)

commit fb196362e15585c0600f8114f3e47f523f43bbfa
Author: Wladimir J. van der Laan <laanwj@gmail.com>
Date:   Tue Aug 23 13:11:30 2016 +0200

    Handle NULL strings in r_bin_demangle (#5587)

commit 4a3c341ade6b2cb24468eaf33a78eda58a971247
Author: Ahmed Mohamed Abd El-MAwgood <ahmedsoliman0x666@gmail.com>
Date:   Tue Aug 23 14:10:15 2016 +0300

    Fixing more bugs in type matching (#5586)
    
    * Fixing more bugs in type matching
    * Adding functionality to restore ESIL env var state before aftm was issued

commit 4f1c50f7f5bf824e57510d2cd02a085d6d53761b
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 23 03:02:23 2016 +0200

    Code cleanup and reindent in visual/core

commit 662d4827080e38693cc756fe6fee476ce9d6fdb2
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 23 01:46:07 2016 +0200

    Fix #5559 - Fix build of release capstone

commit 0b86c2ac5535257923eb1a35970a7c13ba5b1bec
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 23 01:39:16 2016 +0200

    Fix memleaks and r2pipe annoyance with izz

commit 24c2bf009ee27a08d1955fe4c975ca7a831b454d
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 22 18:57:27 2016 +0200

    Update capstone and r2webui from git

commit 2f73865c5c102b4403d536f2ce3e2de2ed149db3
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 22 18:44:52 2016 +0200

    Fix #5572 - show disasm in Vx and also fix build

commit fd0810fbf1abca62bed1c2d25370546b57dd9b9e
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 22 18:32:18 2016 +0200

    Fix memleaks in av, lot of anal code cleanup and do not always allocate bb->diff

commit b68c34594889dccc880a6becd4dc41f88eddeff9
Author: Wladimir J. van der Laan <laanwj@gmail.com>
Date:   Mon Aug 22 18:07:15 2016 +0200

    Add stackptr to aOj output (#5582)
    
    It's 10:00 PM, do you know where your stack pointers are?

commit b526aded9cfc2eb6bbe48e734612c75e32af7ae2
Author: Joshua J. Drake <github.jdrake@qoop.org>
Date:   Mon Aug 22 10:13:13 2016 -0500

    Don't restore breakpoints on STEP recoil (#5583)
    
    As the comment says, we need to pretend to satisfy the caller. For some reason
    I also restored the breakpoints here. I cannot for the life of me figure out
    why since it should be ok with in all cases.
    
    For swstep=false, the step will stop right away (regardless of any breakpoints)
    and thus need to remove breakpoints anyway.
    
    For swstep=true, a breakpoint is created on the next instruction and would stop
    too and thus need to remove breakpoints anyway.
    
    So yeah, don't do this. Thanks for the report skuater!

commit 9a9e9326a5f792704bb5d8af1d748cd26980e663
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 22 14:52:06 2016 +0200

    Fix two null derefs in anal.var code

commit 97103102f4bbbf6fe46c2e71f25a2a46a80d05bd
Author: zlowram <zlowram@gmail.com>
Date:   Mon Aug 22 13:26:35 2016 +0200

    Fixed warnings (#5579)

commit 4bf045b5da7468dc65a1fa1ecda538e5227d7452
Author: Alexandru Caciulescu <alex.darredevil@gmail.com>
Date:   Mon Aug 22 12:39:21 2016 +0200

    Coverity patch + refactor (#5574)

commit eb50b7edd1dc8dc181a713be408cd9d4a72856e3
Author: Jaguar83 <bmarsh@netspace.net.au>
Date:   Mon Aug 22 20:36:30 2016 +1000

    Patch 1 (#5544)
    
    * Bad Trap on MIPS ADDI ESIL
    added $$ to TRAP as per ES_TRAP_DS
    
    * Fixed ADDI logic
    
    Based on QEMU, overflow occurs when the operands have the same sign, but the sign of the result is different.

commit 59620e1364e388edc4ded30c64bd9b6253cdf55f
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 22 12:33:42 2016 +0200

    Fixes in pf indent output. More to come

commit 18cd2f5ec5082a4a24497f98b43c16cbf8629be4
Author: Rakholiya Jenish <rakholiyajenish.07@gmail.com>
Date:   Thu Aug 18 01:47:56 2016 +0530

    anon pf struct and add n/N
    
    add anon nested struct help and fix tests
    
    fix tests
    
    minor changes
    
    add support for unsigned and signed char, short, int and long long
    
    add help
    
    cleanup
    
    minor fix

commit 29bf4e2fe213a6e36f876cc71b99ca4f42b5620b
Author: Ahmed Mohamed Abd El-MAwgood <ahmedsoliman0x666@gmail.com>
Date:   Mon Aug 22 12:22:22 2016 +0300

    fixing bugs with tp (#5567)
    
    - Fixing (type matching with esil into non initialized stack)
    
    - FIXING CIDS in anal_tp.c and var.c
    
      - CID 1361741
      - CID 1361734
      - CID 1361731

commit d83779445d949f3b4eedb2dc43a63fc7c5688bd8
Author: Alexandru Caciulescu <alex.darredevil@gmail.com>
Date:   Mon Aug 22 11:22:13 2016 +0200

    Update depgraph.pl script usage (#5577)

commit 8a08de39ecb7420fe04bf8d70aba367150d7b8da
Author: zlowram <zlowram@gmail.com>
Date:   Sun Aug 21 08:33:21 2016 +0200

    Improvements on zignatures generation and new mataching command
    
    - Generation of zignatures were to specific to be useful. They were
    generated by getting the first 128 bytes of the functions defined,
    as is. Now, it generates more generic signatures by getting the
    whole function bytes and masking out all the operands.
    
    - New z. command, that performs zignature match by function. It
    works for a given offset with @ addr, so with @@ fcn* it can be
    run against all detected functions of the bin.

commit 1a561b62ced8638c4f5e1bb74c20d126f81cd4fb
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 21 12:10:44 2016 +0200

    Drop that speedup analysis

commit 0016fb6d334ff3daf5921c8cfffbe7c42bcb40a7
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 21 11:50:33 2016 +0200

    Add JAYRO_03 aac improvement (disabled for now)

commit 239007594687166e26fb566525a08d6579755ff9
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 21 11:39:37 2016 +0200

    Try the JAYRO_04 patch to speedup analysis

commit 5023918793c7376555f022b5d320be362a601bea
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 21 11:31:15 2016 +0200

    Add hotpatching function preludes from MSVC

commit 43c99e4e6a814d2cc6fae67355d885c66fcc2a72
Author: Alexandru Caciulescu <alex.darredevil@gmail.com>
Date:   Sun Aug 21 10:21:44 2016 +0200

    Split ROP SDB per class (#5561)

commit 56844d68f3d3838c9433091a9dac3265d384d5a1
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 21 03:07:19 2016 +0200

    Rollback the tinyrange optimization

commit 1bdb2c9f93fa4190c8f3c1b7f1ea9362a1933f38
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 21 00:53:39 2016 +0200

    Add and use tinyrange.c: get 10% speedup in analysis

commit bab8d67c5e983b43fd8299f3aeaed1a82159f576
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 21 00:25:03 2016 +0200

    Add @@f foreach iterator to walk all the functions

commit c8fbe92cfec319788d23eb27306dadfebe50b193
Author: pancake <pancake@nopcode.org>
Date:   Fri Aug 19 23:29:50 2016 +0200

    Update www-m from git

commit f3085dd3e499813fac14f0841c28c82ee7b7b1dd
Author: Rakholiya Jenish <P4N74@users.noreply.github.com>
Date:   Sat Aug 20 05:28:38 2016 +0530

    remove %hh usage

commit 4c60a11f7e3ce3d08c8e05d25344adebf8ab8d33
Author: Ahmed Mohamed Abd El-MAwgood <ahmedsoliman0x666@gmail.com>
Date:   Fri Aug 19 21:31:41 2016 +0300

    Types docs (#5557)
    
    * Adding types documentation
    
    * refactoring and optimizing types databases
    
    All based on docs
    
    * fixing r_core_types_init
    
    Basically we needed to try all possible 7 combinatios of file name,
    I am not sure if there is a way to do that automatically.
    one extra thing, since this is init subroutine we should make sure
    that the db is already empty, when reloading this function
    (by changing env vars), it will be reloaded thus it needs a reset first.

commit 22b78d5c73d7caa0048ed96fb7d165ffa9b3352b
Author: pancake <pancake@nopcode.org>
Date:   Fri Aug 19 14:15:10 2016 +0200

    afn without arg show current function name

commit b5d1bbf333b0c5f0600ded5ee6581d693f76cb8b
Author: pancake <pancake@nopcode.org>
Date:   Fri Aug 19 14:13:57 2016 +0200

    Fix afn without argument issue

commit e0e15baa6cfeb410c895ab5c8038930bf09745c6
Author: pancake <pancake@nopcode.org>
Date:   Fri Aug 19 13:53:11 2016 +0200

    2x speedup in objc mach0 parsing with memoication

commit d779aa33522276289a043286a5d7aa01e78b0fca
Author: pancake <pancake@nopcode.org>
Date:   Fri Aug 19 12:58:07 2016 +0200

    Fix debrujn format strings

commit c6d76d52b2f268d9e052b174f6456ea028af7ce8
Author: pancake <pancake@nopcode.org>
Date:   Fri Aug 19 12:48:55 2016 +0200

    Fix #5562 - Only STACK_INC and RESET changes stackptr

commit 3f2b2a172630c791e05e1ec073a17730ab4e9e39
Author: Pau Oliva <pau@eslack.org>
Date:   Fri Aug 19 12:04:53 2016 +0200

    Fix endianness issues in CPS-2 decryption

commit e0ee8cdefa96cda4e3d7880561ffb4d94fedddd7
Author: Sebastien Marie <semarie@users.noreply.github.com>
Date:   Thu Aug 18 15:59:36 2016 +0200

    update native sandboxing method for OpenBSD (#5545)
    
    move from systrace(4) (removed in 6.0 release) to pledge(2) (available
    since 5.9).

commit 7661c3930ac62571c852bd1ea32bf5911415729a
Author: Mitchell Johnson <ehntoo@gmail.com>
Date:   Thu Aug 18 09:58:38 2016 -0400

    Add a missing MSP430 constant register instruction encoding (#5548)
    
    * Fix a missing #1 constant-generator encoding for msp430
    * Fix up some tab/space mixing

commit 52ce3359a8c75073953ce2e03ed3190be9e558a2
Author: Pau Oliva <pau@eslack.org>
Date:   Thu Aug 18 14:48:31 2016 +0200

    fix set_key return value in crypto_cps2 (#5552)

commit 5d7cc088cd32ecbe0c7ab9419f69de0ecad052e8
Author: pancake <pancake@nopcode.org>
Date:   Thu Aug 18 14:23:33 2016 +0200

    Update shlr/www from git

commit adaf59c7189e098c03a339fb609638ebf5788c0c
Author: pancake <pancake@nopcode.org>
Date:   Thu Aug 18 03:55:17 2016 +0200

    Minor fixes for ios-cydia.sh

commit 8e238858165604fce58ae13ba1e2c205f3d2f2f3
Author: Ahmed Mohamed Abd El-MAwgood <ahmedsoliman0x666@gmail.com>
Date:   Thu Aug 18 11:52:20 2016 +0300

    adding option load types manually (#5550)

commit 74e6fda450437f24f35e993ab63eba484d9b38e0
Author: leberus <osalvador.vilardaga@gmail.com>
Date:   Thu Aug 18 10:43:08 2016 +0200

     Coredump support for ARM and fix-ups (#5549)
    
    * Fixes: 5540 (now i386 will not complain in case they're missing GETREGSET)
     * Fixup: Owner set to Linux for NT_PRXFPREG
     * Fixup: Now extra section hdr is being written with the right offset
     * Fixup: Bug with multithread cfg fixed
     * Add: Now r2 is able to generate coredumps on ARM platforms

commit 50473d8897962e42c1b03d9e7ab5912e01809d49
Author: pancake <pancake@nopcode.org>
Date:   Thu Aug 18 02:48:29 2016 +0200

    Reduce Cydia package size by removing development files 79MB -> 19MB

commit a877693dc7548f297a61efd7a20cb962898b3e0d
Author: pancake <pancake@nopcode.org>
Date:   Thu Aug 18 02:13:34 2016 +0200

    Fix issue with silly compilers

commit b5febd2690296e572759c690f5e7bd66f0baee96
Author: pancake <pancake@nopcode.org>
Date:   Thu Aug 18 01:27:24 2016 +0200

    Add pP in Vv with afi, pds, pdc, pdr, pdf

commit 38b1aedb03a419e245377a80dcc535f82d8d6a2f
Author: pancake <pancake@nopcode.org>
Date:   Thu Aug 18 01:27:11 2016 +0200

    Fix infinite loop in aftm

commit 90217893823e049b13e0e62b0083c75b9a4b3147
Author: pancake <pancake@nopcode.org>
Date:   Thu Aug 18 00:29:11 2016 +0200

    Fix #5546 - Implement Vv[JK] to scroll pages of functions

commit 3bc4716aad59c82b76b3b6f4a3ecdac0efc5beb7
Author: pancake <pancake@nopcode.org>
Date:   Thu Aug 18 00:15:30 2016 +0200

    After release version bump

commit 34dea157f0cefcc78e3a530f332b9915f46e4a55
Author: Philip Grohe <pgrohe@users.noreply.github.com>
Date:   Wed Aug 17 09:09:19 2016 -0400

    Edit stack.size description for clarity (Fix #5542)
    
    Remove mention of anotated stack from description of stack.size configurable.  stack.size applies regardles of value of stack.anotat
    
    Fix for issue 5541

commit b9ae1d9dc6536399ec7d7c255bc7ed58f91e712d
Author: Maijin <maijin21@gmail.com>
Date:   Wed Aug 17 00:51:49 2016 -0400

    Add aO Description

commit 940f2d311d8e011ad76ed54122d46beea4b6db90
Author: pancake <pancake@nopcode.org>
Date:   Wed Aug 17 01:28:34 2016 +0200

    Release 0.10.5 - codename: PreCon

commit 4eafce512f7416138638cd73023925b3f387a99d
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 19:54:13 2016 +0200

    Remove noisy printf for mach0

commit c647c23182f0ec543b088808ec77d64111223129
Author: Alexandru Caciulescu <alex.darredevil@gmail.com>
Date:   Tue Aug 16 19:41:58 2016 +0200

    Adding ArithmeticConst pattern (#5531)

commit fb7ecedf737c15f6513d2260a278d54695bb28b0
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 19:35:25 2016 +0200

    Add edges and ebbs info in function

commit 123d1f1964ad0b51e4ac3b5482f27f59e44ab529
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 19:27:55 2016 +0200

    Fix android-x86 build

commit 57b357fb0a7103afe5c4fa18fff4eb049eb6f890
Author: Jeffrey Crowell <crowell@bu.edu>
Date:   Tue Aug 16 15:42:15 2016 +0000

    eprintf on pattern that is longer than we can do
    
    closes  #5513

commit 1cab8b93b6140ae9a87d64c5d8d92ae66e29d8d2
Author: @bezjaje <mrmacete@protonmail.ch>
Date:   Tue Aug 16 17:42:42 2016 +0200

    arj with flags quick fix (#5538)

commit 58a58574e1c5dee885bcc0bddf99c1624c1d84b4
Author: Inndy <inndy.tw@gmail.com>
Date:   Tue Aug 16 23:35:33 2016 +0800

    Fix null defrefs and memory leak in var_cmd

commit 0b4c00440a823eb07f189ecdcaee0463b5dce40e
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 14:46:32 2016 +0200

    Remove some unused vars from the ms demangler

commit 00d0aedb9b19fdef6c3aa40777326c392281261c
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 14:40:08 2016 +0200

    Fix Android build

commit 8efaec08324924da0bff40ccb46bbce5ab14d9b4
Author: Damien Zammit <damien@zamaudio.com>
Date:   Tue Aug 16 22:22:26 2016 +1000

    Big Endian fixes, mainly for ELF (WIP) (#5535)

commit 9620e0e992b9c3771659be5432b72d428d3393e2
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 13:54:59 2016 +0200

    Rest has_description in the right places

commit f5f923aea5fcf02245340805855372ee043d4c35
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 13:38:40 2016 +0200

    Fix all latest COVs

commit 33e97661403b0d925f07fec3dd16c3c1483aa119
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 12:19:02 2016 +0200

    Fix #5248 - Do not show asm.describe if IO desc is found already

commit ed4e5afbbb2395e662b116be86b81889178e55b4
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 11:56:55 2016 +0200

    Load types and cc info on asm.arch change

commit 3be9aa12bee34dab0ad3820dd30d99c6e0d2e70c
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 11:05:45 2016 +0200

    Workaround for the anal op.size capstone problem

commit bf7a6fa9731c6ee498d72df1eea31e16d108320e
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 10:59:30 2016 +0200

    Refix #5526 - Use f.** to save all function flags

commit d76dfbfd5dc517532e996a7c1d942993130c22ba
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 10:43:33 2016 +0200

    Fix #5533 - Honor ^C in aftm

commit 796a03d8b481695dbad5842d3db02da63c5b1df6
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 10:41:16 2016 +0200

    Fix #5533 - Fix aftm segfault

commit 273964a27c424da449f2fca9773052c0e8e34993
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 03:26:26 2016 +0200

    Fix two null derefs pointed out by Coverity

commit acae6fc18866c4fa4d38294f415d5d8c9a5237ff
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 03:21:50 2016 +0200

    Fix COV 1361613

commit 83266a0a4e9bd76774a17465f11b98de23f50239
Author: SkUaTeR <skuater@hotmail.com>
Date:   Tue Aug 16 03:19:15 2016 +0200

    Add socket timeout on windows connect

commit 70c9face23d9ae26b5d7f47568e204ef687d689b
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 03:17:36 2016 +0200

    Properly fix the esil regression

commit de227c40c6c0e7d3a7bbe0eb883e4e65bf122299
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 03:05:43 2016 +0200

    Update pkg-config template files

commit fe938ae91dd07929f9ef5c6b120d017888bd7347
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 02:52:37 2016 +0200

    Fix infinite loop issue in esil expressions with ,,

commit 63ef956a754901c1f6e63c3cbf92ec79545df5f1
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 02:42:27 2016 +0200

    Fix #5522 - rap:// write operation wrongly processed

commit dfebbd6252725fb27147a3844eaae3b4fbb6f0e2
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 01:49:32 2016 +0200

    Fix #4928 - Show string context in /z

commit 026ccc7202e7f36341fcd447213df9ff91bb9374
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 01:37:38 2016 +0200

    Add help for VV_ and VVF

commit 2498a61ebeb929949c60368110af160488d19728
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 01:32:44 2016 +0200

    Fix #5524 - Add 'F' and '_' in graph

commit 533d325cdc6d0396164a77a551c126a9715b1cb2
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 01:32:31 2016 +0200

    Speedup RCons.hud

commit fbdbd09b262bf118df5f0d4dee93343d4a346c0f
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 01:18:44 2016 +0200

    Support cfg.big_endian in pxd

commit b5e57379cde163954d25d3336c533267bff05579
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 01:14:02 2016 +0200

    Implement pxd8 and fix warnings

commit 61b7f4af379e25fecc69afa90a27db1a2f04c999
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 16 00:59:31 2016 +0200

    Fix #4195 - Remove r_cons dependency from r_flags

commit 4b263b3475bc8c4dfe9e3d7605f18396eec4ca55
Author: dx <dx@dxzone.com.ar>
Date:   Mon Aug 15 19:45:33 2016 -0300

    Fix a handful of boring leaks (#5518)
    
    Valgrinding to get exp. Testing with "r2 -Aqcq /bin/ls"
    
    Before:
    
           definitely lost: 22,735 bytes in 250 blocks
           indirectly lost: 23,542 bytes in 605 blocks
             possibly lost: 2,464 bytes in 7 blocks
           still reachable: 3,876,216 bytes in 80,761 blocks
    
    After:
    
           definitely lost: 25,216 bytes in 58 blocks
           indirectly lost: 24,830 bytes in 739 blocks
             possibly lost: 0 bytes in 0 blocks
           still reachable: 20,105 bytes in 34 blocks
    
    The "goto beach" (named like that for consistency) change resulted in
    freeing most of the "still reachable" stuff on quit, which also moved
    stuff out of "possibly lost", so.. it looks like it's leaking more now.
    Yay.

commit 93cb2941d3233487b11e1bffa5087fcf103b3bac
Merge: bc5eff1 9b47635
Author: radare <pancake@nopcode.org>
Date:   Tue Aug 16 00:40:59 2016 +0200

    Merge pull request #5527 from crorvick/cr/fix-backward-seek
    
    Fix backward seek

commit bc5eff1a164873b0759aa043c7c0233b18e4672c
Author: Alexandru Caciulescu <alex.darredevil@gmail.com>
Date:   Tue Aug 16 00:40:17 2016 +0200

    Fix false positives for LoadConst + optimize Nop pattern (#5515)

commit 9b47635f0cd8ab8f5ebd5a60f97e4d37ea92aa22
Author: Chris Rorvick <chris@rorvick.com>
Date:   Mon Aug 15 13:56:23 2016 -0500

    remove `next' param from r_core_block_read()
    
    This was originally used to cause a seek to the next block prior to
    reading such that successive calls to r_core_block_read() would progress
    through memory one block at a time.  This was broken, though, by commit
    452669d94113 ("more cleanup in r_core_block_read") when when it used
    `next' to directly calculate the offset rather than via a seek.
    
    Only one call site remains that attempts to read the next block instead
    of the current, and this probably was not even observable due to the
    "hacky fix" added in commit 3bfa61946eca ("Cleaner pvj, fix tinype load,
    and honor 'ao N's").
    
    The current of semantics of `next' appear to be broken and there is very
    little dependence on it.  If the original behavior should be restored
    anywhere, it would be much better to add a new function, or just do the
    seek explicitly, rather than parameterizing r_core_block_read() on it.

commit 97cea6343565b1f033c004e8c68dfd6e4cd84fb2
Author: Chris Rorvick <chris@rorvick.com>
Date:   Mon Aug 15 10:53:46 2016 -0500

    fix backwards seek
    
    Commit 57b199789d6a ("Reread block after undo seek. Fixes dbg.status
    issue") reads the *next* block into the buffer rather than the current.
    This breaks backwards seeking as can be seen in the following example:
    
      $ r2 -N malloc://0x4000
      [0x00000000]> b 64
      [0x00000000]> wb 38
      [0x00000000]> s 64
      [0x00000040]> wb deadbeef
      [0x00000040]> s-32
      [0x00000020]> px
      - offset -   0 1  2 3  4 5  6 7  8 9  A B  C D  E F  0123456789ABCDEF
      0x00000020  dead beef dead beef dead beef dead beef  ................
      0x00000030  dead beef dead beef dead beef dead beef  ................
      0x00000040  0000 0000 0000 0000 0000 0000 0000 0000  ................
      0x00000050  0000 0000 0000 0000 0000 0000 0000 0000  ................
      [0x00000020]> s+16
      [0x00000030]> px
      - offset -   0 1  2 3  4 5  6 7  8 9  A B  C D  E F  0123456789ABCDEF
      0x00000030  3838 3838 3838 3838 3838 3838 3838 3838  8888888888888888
      0x00000040  dead beef dead beef dead beef dead beef  ................
      0x00000050  dead beef dead beef dead beef dead beef  ................
      0x00000060  dead beef dead beef dead beef dead beef  ................
    
    The first block to a string of ASCII '8' bytes and the second to
    0xdeadbeef.  We then seek backwards 32 bytes from our current 64 byte
    offset but a dump at the resulting offset shows data from half way into
    the second block (i.e., offset 0x60.)  Dumping again after seeking 16
    bytes forward shows the expected last bit of the first block.  Clearly
    the intent was to reread the current block, not the next block, after an
    undo or backward seek.
    
    NOTE: The above example will only work after applying the previous
    commit as rereading the buffer when displaying the prompt hides this
    bug.
    
    Additionally, since the commit intended to reread the buffer only after
    an undo seek, do not do this at all on a backward seek.

commit ad3034067e82fdfa9ff6cf01783149b94211c228
Author: Pankaj Kataria <me@pankajkataria.com>
Date:   Tue Aug 16 00:27:56 2016 +0530

    Added av command for listing virtual tables

commit 62b1e431c06e3b7d9e6659ca91c5668fa2c90730
Author: Rakholiya Jenish <P4N74@users.noreply.github.com>
Date:   Tue Aug 16 00:25:52 2016 +0530

    Fix pf for . and :

commit f671097ea7cb6f7f11e93beb2fd19178fb3c8f92
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 15 20:47:46 2016 +0200

    Fix #5526 - Save function local flags in projects

commit 486fd329498e6213d5f575a054b19fedc24ebfd8
Author: Chris Rorvick <chris@rorvick.com>
Date:   Mon Aug 15 12:30:41 2016 -0500

    remove hacky fix
    
    Commit 3bfa61946eca ("Cleaner pvj, fix tinype load, and honor 'ao N's
    help") added a hack to reread the current block when printing the
    prompt.  This has the drawback of causing scripts loaded via the `-i'
    command line option to potentially behave differently than reading the
    commands via stdin.  Remove the hack and fix the bugs.

commit 213c6f29d1c19b26980302866ae35991bde4e5ea
Author: Ahmed Mohamed Abd El-MAwgood <ahmedsoliman0x666@gmail.com>
Date:   Mon Aug 15 18:34:12 2016 +0300

    Fixing some aftm bugs and null dereferences (#5521)

commit d0fb42aa464d0f6a0eadcbfedc49865d86b96cd3
Author: Ahmed Mohamed Abd El-MAwgood <ahmedsoliman0x666@gmail.com>
Date:   Mon Aug 15 18:33:27 2016 +0300

    Fixing Invalid address at var display (#5523)

commit 12dbe30cbbf8e4f34d8f606227ae87ab48d686ce
Author: Ahmed Mohamed Abd El-MAwgood <ahmedsoliman0x666@gmail.com>
Date:   Mon Aug 15 10:54:25 2016 +0300

    Fixing coverity CIDs (#5516)
    
    fix CID 1361617
    Resource leaks (RESOURCE_LEAK)
    /libr/core/tp.c: 148 in stack_clean()
     Var iable "str" going out of scope leaks the storage it points to.
    
    fix CID 1361612
    Null pointer dereferences (NULL_RETURNS)
    /libr/core/tp.c: 178 in r_anal_type_match()
    Dereferencing a null pointer "op".
    
    fix CID 1361611
    /libr/anal/var.c: 112 in r_anal_var_retype()
    /libr/anal/var.c: 125 in r_anal_var_retype()
    Dereferencing a null pointer "fcn".
    
    fix CID 1361610
    Incorrect expression (IDENTICAL_BRANCHES)
    /libr/core/cmd_anal.c: 1616 in __anal_reg_list()
    Dereferencing null pointer "fcn".

commit 55a76c29e6c0fc31c6d764190bb6a88999895ffa
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 15 09:53:15 2016 +0200

    Fix iV tests

commit 397790250cde0c4a086a83d4a4df7f3e394c9c88
Author: Ahmed Mohamed Abd El-MAwgood <ahmedsoliman0x666@gmail.com>
Date:   Mon Aug 15 09:50:46 2016 +0300

    Update types databases

commit 97f3a46100a37a2af18e8f1eec3c2b782a90479b
Author: Daniel L. Polanco <dlpolanco05@gmail.com>
Date:   Sun Aug 14 20:42:45 2016 -0600

    Add final dll mfc90u to close issue 5486 (#5514)
    
    This is an empty file because I (DanTheColoradan) was unable to
    obtain any ordinal information. I tried two versions:
    
    -  9.0.30729.1
    -  9.0.30729.6161
    
    Both were downloaded from dll-files.com. I also tried a version
    from MS Windows 10, but I don't know what version it was.
    
    This change should close #5486.

commit e33a6acbe71fdffc79e87a8c0919db34a03b4701
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 15 03:09:27 2016 +0200

    Fix version info section sizes

commit c35666ef8a26df5aca68458a8d94434071fefca0
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 15 02:37:45 2016 +0200

    Minor rap:// fixes. More to come

commit 771acc81f6e3cef4a61eb87af3aeee4353cd125a
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 15 02:37:24 2016 +0200

    Fix huge load times for fuzzed versioninfo bins

commit 0f39a486f5be629959c30c8c433eafcb1fda35d8
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 15 01:54:53 2016 +0200

    Fix #5341 - rap:// with no file works now

commit d001066eb447cf60d5b2da9430cbb042b45da170
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 15 01:40:34 2016 +0200

    Support longer wopD.. still not complete

commit 75fd458df8b838cb81d323dc1d570f1cd6f9341e
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 15 01:10:42 2016 +0200

    Fix #5007 - Clarify the difference of hash/encoder/crypto

commit 39fa8c37b125555753f995f261caec96646551d3
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 15 01:04:27 2016 +0200

    Fix build of nocache://

commit 2a5e49ee40a42ff478875f7676eb738e44ea7acb
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 15 01:03:22 2016 +0200

    Fix b64 decode oob vuln ported from sdb

commit e1b94b83438a72e7ca8f829b30be364a0dee5cc2
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 15 01:02:05 2016 +0200

    Update sdb to fix an overflow in the base64 decoder

commit d18a63e9ed8b17817ac74857919ee0ebd6c2c563
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 15 00:14:36 2016 +0200

    Fix #5379 - Implement nocache:// for the posix io plugin

commit deb05ed3830b242f532329828b30ec798569342b
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 14 23:49:13 2016 +0200

    Honor cfg.bigendian in wopO for debrujn patterns

commit 2b35ce2ed42d079972e694fa4250315c6d1b15b3
Author: Alexandru Caciulescu <alex.darredevil@gmail.com>
Date:   Sun Aug 14 23:24:32 2016 +0200

    Fix undeclared variable error (#5512)
    
    Undeclared variable "i" at line 2215.

commit 6c9af2e69068379364780b79699354f80740f187
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 14 19:55:54 2016 +0200

    Fix #4841 - Restricted r2 shell thing

commit 3495e98545d2a6841b7e72ec250e7b7ef0b85115
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 14 19:46:50 2016 +0200

    Fix Warning: Too big version thing in some ELFs

commit 0d0428b670600f74645b8638db92a50ef8665e64
Author: Maijin <maijin21@gmail.com>
Date:   Sun Aug 14 13:38:52 2016 -0400

    Fix  #5508

commit fe0530aa9cc52f09edb5c8ecfe5f6f3b2c3c72fb
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 14 19:35:24 2016 +0200

    Fix OOB read in vax disassembler

commit be220ec03801b0ee414e0a1d47b7cc1c0e6240ec
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 14 19:29:59 2016 +0200

    Fix VRR on windows issues

commit 3654e5f33b80a4f934bcc0350137f8c664e52b98
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 14 19:12:52 2016 +0200

    Fix regression in reg.type=flg

commit e9bd690aa569dae57d5afd9a58acbd15d5e688c6
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 14 14:39:35 2016 +0200

    Remove bashisms from travis.yml

commit 08912e2e67ed3c7343b89b0ea9792f81531ef908
Author: Maijin <maijin21@gmail.com>
Date:   Sat Aug 13 23:18:00 2016 -0400

    Temporary disconnect coveralls

commit 6e478431dd02a8b3efe0e02abffe2996ff79ad02
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 14 02:29:37 2016 +0200

    Fix 4 warnings (unused stuff) in cmd_search_rop

commit f4f163afcbf7af375c14c49ef3541128e78a14a2
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 14 02:25:50 2016 +0200

    Update www-m from radare2-webui

commit 138c69f98fb8915419ac57317cc9cb3c70106072
Author: Alexandru Caciulescu <alex.darredevil@gmail.com>
Date:   Sun Aug 14 02:24:02 2016 +0200

    Fix flag regs being seen as 'gpr' instead of 'flg'

commit f60597b2eee78d974b1756b22573d26af68ba768
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 14 02:23:47 2016 +0200

    Fix ar 1 to honor RReg.Type.flg

commit f8fa41bac8220ab764a0cc5bc18f3f4db0bfa417
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 14 02:09:38 2016 +0200

    Add gsprop32 and spr32d70 in bin/d/Makefile

commit 5d551c68fbab82d975f948336e7fcb305c0bfffa
Author: Daniel L. Polanco <dlpolanco05@gmail.com>
Date:   Sat Aug 13 18:08:53 2016 -0600

    Add spr32d70 and gsprop32 sdb for issue 5486 (#5491)
    
    As per Maijin's request, I have added two out of the three dlls
    I need to run radare2 on an exe I'm trying to disassemble. I was
    unable to get any useful function exports for the third file,
    mfc90u.

commit e652a18469783265c343d3685d040f2194948151
Author: Alexandru Caciulescu <alex.darredevil@gmail.com>
Date:   Sun Aug 14 02:08:40 2016 +0200

    Implement Arithmetic Pattern matching for ROP classification
    
    * /R can now classify nop gadgets
    * MovRegs and LoadConst pattern classification for /R
    * Moved classification logic in separate file
    * Adding Arithmetic Pattern classification for /R (work in progress)

commit 52da64becceaa8b7f2bdefd3359f86545bd36662
Author: Ahmed Mohamed Abd El-MAwgood <ahmedsoliman0x666@gmail.com>
Date:   Sun Aug 14 03:07:43 2016 +0300

    Fix for function name decorators (oridinal, sym.blablabla) (#5488)
    
    implemented function guess matched name which finds longest function name in sdb_types that is substring of the current function name

commit 4f413e772083636ce62ed83a7a24a824ebab288a
Author: Ahmed Mohamed Abd El-MAwgood <ahmedsoliman0x666@gmail.com>
Date:   Sat Aug 13 13:09:14 2016 +0300

    initial support for type matching (#5480)
    
    Enabling stepping over
    Basic (sym.imp.*) call catching routines
    Fixing esil tracing bug and verbosity
    Adding some apis for handling function prototypes and abstacting sbd queries
    Fixing the double execusion bug in esil tracing
    passing types into vars for `stack`
    fixing trailing spaces
    doing the regester branch
    doing the stack_rev

commit 1f000046415ef5254bf0b7951e37671f67615582
Author: pancake <pancake@nopcode.org>
Date:   Sat Aug 13 11:43:44 2016 +0200

    Update capstone from git

commit a7da94ba336aa954d4a85639cb7226c9eaf44984
Author: pancake <pancake@nopcode.org>
Date:   Thu Aug 11 11:31:44 2016 +0200

    Update capstone from git

commit 46cec371db40e892a6928853099ab86ebe7ec1cb
Author: pancake <pancake@nopcode.org>
Date:   Thu Aug 11 02:32:23 2016 +0200

    Fix asm.filter parse issue for m68k

commit 52656941fe92230dd1f41951d3dea87fd1abc6c9
Author: Paul <pvt.gord@gmail.com>
Date:   Wed Aug 10 21:10:00 2016 +0200

    r_core_print_disasm_json fix (#5479)
    
    * r_core_print_disasm_json fix

commit dc5673ec3acac01bdd77fe2ff47761984481e840
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Wed Aug 10 18:49:44 2016 +0200

    Fix regression with the arm/thumb changes (#5464)
    
    Now we build a list of ranges (RAnalRange) based on anal hints to handle the
    bits in a better way in the case of arm/thumb
    
    Now instead of asm.bits that rules the whole binary we can define ranges with
    anal hints

commit d670aaa77ac63d03f3dee465374b0431ae81ad8c
Author: Paul <pvt.gord@gmail.com>
Date:   Wed Aug 10 16:20:15 2016 +0200

    Adding R2PM_GITDIR for easy packages local testing (#5475)
    
    * Adding R2PM_GITDIR for easy packages local testing
    
    Usage:
    
    export R2PM_DBDIR="/path/to/the/folder/with/package/description"
    export R2PM_GITDIR="/path/to/the/root/folder/of/the/local/repository"
    r2pm -i package

commit d6ee8fe3009e29b7c623c33d2fa9b568fc870d69
Author: Daniel Roberson <droberson@users.noreply.github.com>
Date:   Wed Aug 10 07:07:39 2016 -0700

    PowerPC calling conventions (#5477)
    
    * added powerpc-32 calling conventions
    * added powerpc-64 calling conventions
    * fixed grammar
    * added powerpc 32 and 64

commit 72e58c2e010dbd85f397822da338b7c32e1a623c
Author: Alexandru Caciulescu <alex.darredevil@gmail.com>
Date:   Tue Aug 9 17:24:25 2016 +0200

    /R gadget classification patches for #5397 (#5448)
    
    * /R can now classify nop gadgets
    * MovRegs and LoadConst pattern classification for /R
    * Moved classification logic in separate file

commit aca34ee0b3e68111509b6c5113aa07be2354b31c
Author: Ahmed Mohamed Abd El-MAwgood <oddcoder@users.noreply.github.com>
Date:   Tue Aug 9 13:58:44 2016 +0300

    fixing watcom calling convention

commit a2d9300d7702c3d8dd4289a18e1b3b768fc3caa0
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 9 11:32:02 2016 +0200

    Fix #5339 - Projects now work with r2pipe

commit 059ad1a51cb564737da36dd33893b69cca96c39f
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 9 01:40:12 2016 +0200

    Differentiate methods from functions in objc parser

commit ac73a4b2dca51bcc096ca91b2e797be59faa732d
Author: pancake <pancake@nopcode.org>
Date:   Tue Aug 9 01:16:10 2016 +0200

    Add calling convention definitions for AMD64, ARM, MIPS, SPARC

commit ad1565d9e4c9c8151b2f1507703c1bdd61c1700f
Author: Ahmed Mohamed Abd El-MAwgood <oddcoder@users.noreply.github.com>
Date:   Tue Aug 9 01:17:42 2016 +0300

    few enhancements for `afv` FIX #5459 (#5461)
    
    replacing afv[bsr]n  with afvn
    replacing negative sign `n` with `_`
    being consistent across the documentations (args + locals = vars)
    refactoring code

commit 4e71ff36fe014f32bb172c54a9dad9c61f94df74
Author: @bezjaje <mrmacete@protonmail.ch>
Date:   Mon Aug 8 23:40:56 2016 +0200

    Honor endiannes and size too in reference values in disasm (#5469)

commit 56636c8d09d3f493f482c517a43ac8e08973af07
Author: javierprtd <javierprtd@gmail.com>
Date:   Mon Aug 8 18:42:18 2016 +0200

    Update dmh

commit 6d1d02024e4cd7802a688c5a3760eb721d5a7a9e
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 8 13:40:50 2016 +0200

    Remove problematic asprintf defines from libiberty.h

commit b39fb262648181ab2359db53b95c5e72b8ba5ebe
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 8 13:32:23 2016 +0200

    Add $Fb and $Fs to handle basicblock address and size

commit 8f2e4e4f5d0560256b442ae1d25bf05c7a0c1f6e
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 8 11:47:09 2016 +0200

    Fix #5283 - In case of no sudo, just tell the user to run the command by hand

commit 5cafd20194d300c249c3155999b44ca1c2846d77
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 8 11:40:31 2016 +0200

    Show r2pm clone directory in r2pm init

commit e8464e6d75c2db203aac9dcc313f8accf14432c2
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 8 11:35:03 2016 +0200

    Honor endian in reference values in disasm

commit e866c7614731a12968d50c4ca0ce750c36901f6a
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 8 11:07:05 2016 +0200

    Fix #5432 - Implement pdrj

commit 3fe30f5c351c7a0b5fe72c223f421ec009b6162a
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 8 10:56:47 2016 +0200

    Fix #5450 - Implement 'n' key in VV graph to rename function

commit 0777232b1b76ba9dbc78b0b9cbc4ba9bf0bb24c4
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 8 10:45:49 2016 +0200

    Rename core/bin.c as cbin.c to avoid confussion with bin/bin.c

commit bf63107f9ac992d9ea1b995083e1472bca992265
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 8 10:45:32 2016 +0200

    Fix uninitialized entry field for MZ bins (jman issue)

commit 3e5f6368691365bcfd632cf41dc3e01e6d4dec0e
Author: pancake <pancake@nopcode.org>
Date:   Mon Aug 8 01:00:47 2016 +0200

    Fix Vcdn to rename local vars - reported by @ret2libc

commit b8363bc5cc2136bf66d8ecc9bd0c307c3c483718
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sun Aug 7 19:58:34 2016 +0200

    another fix due to regression

commit 9f1deb5be654e2035e109cf50697b6c74ba128d7
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sun Aug 7 19:27:50 2016 +0200

    try again to fix the regression

commit 32335f76351699db6c7cc908afc84b09ba204b8d
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sun Aug 7 19:05:55 2016 +0200

    fix regression

commit c793151d584589d961072a8c4a157019ad827701
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 7 18:57:31 2016 +0200

    Fix rabin2 -L empty output issue

commit b765f0e7864249ad95da876ba0f44c21073498b0
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sun Aug 7 18:00:40 2016 +0200

    Fix #4639 - Problem with arm32

commit 0bc983027f6052044b4c3d9fe143229df0f18aab
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sun Aug 7 17:37:33 2016 +0200

    improve arm/thumb  in elf file format and disasm

commit 33c6d01531380c06a604156fa22dbe41ea2325a1
Author: Roman Valls Guimerà <brainstorm@users.noreply.github.com>
Date:   Sun Aug 7 17:14:14 2016 +0200

    [AVR] First approach to afCl/cdecl for AVR (#5453)
    
    * First approach to afCl/cdecl. Thanks @oddcoder.
    * Remove compilers that do not exist for AVR
    * Remove unnecessary platform-specific code since 'cc-arch-bits' should be already a stable convention.
    * Typo on the afC way

commit 5adf93a570c9e08bb5d8e510c411997357b8a62d
Author: Ahmed Mohamed Abd El-MAwgood <oddcoder@users.noreply.github.com>
Date:   Sun Aug 7 18:08:52 2016 +0300

    fixing aek- (#5454)
    
    according to `ae?`,  aek- is used to delete all esil->stats key/value pairs, but it wasn't actually implemented.

commit b53a7bb84bc7ef309c045f4dbc342dae51fb5c51
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 7 14:07:52 2016 +0200

    Fix regression in AFR related to io_is_valid

commit 7a3fddf46cb8f721e54868fe327014c1a19cd043
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sun Aug 7 13:02:51 2016 +0200

    fix crash in hud

commit d0032b08eaff77b868bffedc335711fc4464ff0f
Author: Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
Date:   Sun Aug 7 12:54:29 2016 +0200

    fix crash in dex

commit a4ff60743f688d3c1013720dea843b38f21bf915
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 7 09:17:05 2016 +0100

    Follow fcn calls one step further WIP

commit d07b7887865007519f019925972bc46c25238c1b
Author: pancake <pancake@nopcode.org>
Date:   Sun Aug 7 00:43:16 2016 +0100

    Fix #5404 - r2agent -v show version

commit c37fe01bc3bd90415b0ea8298f9bb81efa24046c
Author: pancake <pancake@nopcode.org>
Date:   Sat Aug 6 12:17:28 2016 +0200

    Update termux

commit bb6aae5c4a571419c8429425bba250730a41db35
Author: pancake <pancake@nopcode.org>
Date:   Sat Aug 6 12:17:28 2016 +0200

    Update termux

commit 4dbdc4a50ccdbc715171f01de52ea881404d8399
Author: pancake <pancake@nopcode.org>
Date:   Sat Aug 6 12:17:28 2016 +0200

    Update termux
